(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    288100,       5252]
NotebookOptionsPosition[    283099,       5077]
NotebookOutlinePosition[    283470,       5093]
CellTagsIndexPosition[    283427,       5090]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Setup", "Section",
 CellChangeTimes->{{3.472921133453125*^9, 3.472921136578125*^9}, {
  3.48059696478125*^9, 3.480596966078125*^9}}],

Cell[CellGroupData[{

Cell["Clear Workspace", "Subsection",
 CellChangeTimes->{{3.465644519984375*^9, 3.465644520671875*^9}, {
  3.5824075291179495`*^9, 3.5824075314267535`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4628993695007*^9, 3.4628993711507*^9}, {
  3.4628995236937*^9, 3.4628995417777*^9}, {3.4629012084867*^9, 
  3.4629012144207*^9}, {3.4629012669617*^9, 3.4629012747977*^9}, {
  3.4629013846857*^9, 3.4629013853077*^9}, {3.4741254201057*^9, 
  3.4741254219427*^9}, {3.6286038941019564`*^9, 3.628603894301956*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["System Size", "Subsection",
 CellChangeTimes->{{3.582407536044362*^9, 3.582407537822765*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ns", "=", "7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "18"}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"Number", " ", "of", " ", "Equations"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"f", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5824075512387886`*^9, 3.582407558399201*^9}, {
   3.586273229420745*^9, 3.5862732294907455`*^9}, 3.588350123742902*^9, {
   3.619622798834332*^9, 3.619622800534735*^9}, 3.6196240529907374`*^9, 
   3.6278336380324993`*^9, {3.629555511454953*^9, 3.629555511954954*^9}, {
   3.63190529947622*^9, 3.6319053143202505`*^9}, 3.6319891306880264`*^9, {
   3.6319928797314863`*^9, 3.631992879921487*^9}, 3.632152140377499*^9, {
   3.6321525755861244`*^9, 3.632152576546126*^9}, 3.642519025853237*^9, 
   3.6477022197247257`*^9, {3.7039544773811717`*^9, 3.7039544776611996`*^9}, {
   3.7039549825306816`*^9, 3.7039550120036287`*^9}, {3.7041475867420325`*^9, 
   3.7041475868460383`*^9}, {3.704198378788159*^9, 3.7041983791391935`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Equilibrium Conditions", "Subsection",
 CellChangeTimes->{{3.465644523125*^9, 3.46564452759375*^9}}],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"(*", " ", "Household", " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "=", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Exp", "[", "c", "]"}], 
       RowBox[{"-", "\[Omega]"}]], "-", 
      RowBox[{
       RowBox[{"Exp", "[", "\[Lambda]", "]"}], "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", "\[Tau]c"}], ")"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"\[Psi]", "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "l", "]"}], 
        RowBox[{"1", "/", "\[Theta]"}]]}], "-", 
      RowBox[{
       RowBox[{"Exp", "[", "\[Lambda]", "]"}], "*", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Tau]i"}], ")"}], "*", 
       RowBox[{"Exp", "[", "w", "]"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"\[Beta]", "*", 
       RowBox[{"Exp", "[", "\[Lambda]p", "]"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Tau]ip"}], ")"}], "*", 
          RowBox[{"Exp", "[", "up", "]"}]}], "+", "1", "-", "\[Delta]"}], 
        ")"}]}], "-", 
      RowBox[{"Exp", "[", "\[Lambda]", "]"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "4", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"\[Beta]", "*", 
       FractionBox[
        RowBox[{"Exp", "[", "\[Lambda]p", "]"}], 
        RowBox[{"Exp", "[", "\[CapitalPi]p", "]"}]], "*", 
       RowBox[{"Exp", "[", "rb", "]"}]}], "-", 
      RowBox[{"Exp", "[", "\[Lambda]", "]"}]}]}], ";"}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "Firms", " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "5", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       FractionBox["\[Alpha]", 
        RowBox[{"1", "-", "\[Alpha]"}]], "*", 
       FractionBox[
        RowBox[{"Exp", "[", "w", "]"}], 
        RowBox[{"Exp", "[", "u", "]"}]]}], "-", 
      RowBox[{
       RowBox[{"Exp", "[", "klag", "]"}], "/", 
       RowBox[{"Exp", "[", "l", "]"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "6", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["1", 
          RowBox[{"1", "-", "\[Alpha]"}]], ")"}], 
        RowBox[{"1", "-", "\[Alpha]"}]], "*", 
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["1", "\[Alpha]"], ")"}], "\[Alpha]"], "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "w", "]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]], "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "u", "]"}], "\[Alpha]"]}], "-", 
      RowBox[{"Exp", "[", "mc", "]"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "7", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        FractionBox[
         RowBox[{"\[Eta]", "-", "1"}], "\[Eta]"], ")"}], "*", 
       RowBox[{"Exp", "[", "P", "]"}], "*", 
       RowBox[{"Exp", "[", "y", "]"}]}], "+", 
      RowBox[{"\[Beta]", "*", "\[Gamma]", "*", 
       FractionBox[
        RowBox[{"Exp", "[", "\[Lambda]p", "]"}], 
        RowBox[{"Exp", "[", "\[Lambda]", "]"}]], "*", 
       FractionBox[
        RowBox[{"Exp", "[", "P", "]"}], 
        RowBox[{"Exp", "[", "Pp", "]"}]], "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "\[CapitalPi]p", "]"}], 
        RowBox[{"\[Eta]", "-", "1"}]], "*", 
       RowBox[{"Exp", "[", "bp", "]"}]}], "-", 
      RowBox[{"Exp", "[", "b", "]"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "8", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Exp", "[", "mc", "]"}], "*", 
       RowBox[{"Exp", "[", "y", "]"}]}], "+", 
      RowBox[{"\[Beta]", "*", "\[Gamma]", "*", 
       FractionBox[
        RowBox[{"Exp", "[", "\[Lambda]p", "]"}], 
        RowBox[{"Exp", "[", "\[Lambda]", "]"}]], "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "\[CapitalPi]p", "]"}], "\[Eta]"], "*", 
       RowBox[{"Exp", "[", "bp", "]"}]}], "-", 
      RowBox[{"Exp", "[", "b", "]"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "9", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"\[Gamma]", "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "\[CapitalPi]", "]"}], 
        RowBox[{"\[Eta]", "-", "1"}]]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Gamma]"}], ")"}], "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "P", "]"}], 
        RowBox[{"1", "-", "\[Eta]"}]]}], "-", "1"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{"Monetary", " ", "Policy"}], " ", "*)"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "10", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox[
          RowBox[{"Exp", "[", "rblag", "]"}], 
          RowBox[{"Exp", "[", "rbss", "]"}]], ")"}], "\[Rho]r"], "*", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"Exp", "[", "\[CapitalPi]", "]"}], "\[Phi]\[Pi]"], "*", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"Exp", "[", "y", "]"}], 
             RowBox[{"Exp", "[", "yss", "]"}]], ")"}], "\[Phi]y"]}], ")"}], 
        RowBox[{"1", "-", "\[Rho]r"}]]}], "-", 
      FractionBox[
       RowBox[{"Exp", "[", "rb", "]"}], 
       RowBox[{"Exp", "[", "rbss", "]"}]]}]}], ";"}], "\n", "\n", 
   RowBox[{"(*", " ", 
    RowBox[{"Market", " ", "Clearing"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "11", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"Exp", "[", "y", "]"}], "-", 
      RowBox[{"Exp", "[", "c", "]"}], "-", 
      RowBox[{"Exp", "[", "inv", "]"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "12", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Delta]"}], ")"}], "*", 
       RowBox[{"Exp", "[", "klag", "]"}]}], "+", 
      RowBox[{"Exp", "[", "inv", "]"}], "-", 
      RowBox[{"Exp", "[", "k", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "13", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"Exp", "[", "klag", "]"}], "\[Alpha]"], "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "l", "]"}], 
        RowBox[{"1", "-", "\[Alpha]"}]]}], "-", 
      RowBox[{
       RowBox[{"Exp", "[", "\[Nu]", "]"}], "*", 
       RowBox[{"Exp", "[", "y", "]"}]}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "14", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Gamma]"}], ")"}], "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "P", "]"}], 
        RowBox[{"-", "\[Eta]"}]]}], "+", 
      RowBox[{"\[Gamma]", "*", 
       SuperscriptBox[
        RowBox[{"Exp", "[", "\[CapitalPi]", "]"}], "\[Eta]"], "*", 
       RowBox[{"Exp", "[", "\[Nu]lag", "]"}]}], "-", 
      RowBox[{"Exp", "[", "\[Nu]", "]"}]}]}], ";"}], "\n", "\n", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"Fiscal", " ", "Policy"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "15", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"\[Mu]c", "[", "s", "]"}], "+", "\[Epsilon]c", "-", 
      "\[Tau]c"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "16", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"\[Mu]i", "[", "s", "]"}], "+", "\[Epsilon]i", "-", 
      "\[Tau]i"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "17", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"\[Rho]c", "*", "\[Epsilon]clag"}], "+", 
      RowBox[{"\[Sigma]c", "*", "uc"}], "-", "\[Epsilon]c"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"[", "18", "]"}], "]"}], "=", 
     RowBox[{
      RowBox[{"\[Rho]i", "*", "\[Epsilon]ilag"}], "+", 
      RowBox[{"\[Sigma]i", "*", "ui"}], "-", "\[Epsilon]i"}]}], ";"}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.6973247354189615`*^9, 3.6973250979523773`*^9}, {
   3.697325153253471*^9, 3.6973254269950237`*^9}, {3.6973868305695667`*^9, 
   3.697386851728397*^9}, 3.697386923538805*^9, {3.697387443165724*^9, 
   3.697387472120942*^9}, {3.6973885993157635`*^9, 3.697388602302509*^9}, {
   3.6973886607036886`*^9, 3.697388710583001*^9}, {3.697388803197996*^9, 
   3.6973888208777156`*^9}, {3.6973890997001705`*^9, 3.697389113420538*^9}, {
   3.697396266101205*^9, 3.697396268403435*^9}, {3.6977466266744976`*^9, 
   3.6977466585713215`*^9}, {3.7039546323266644`*^9, 3.703954962666695*^9}, {
   3.704147547213772*^9, 3.704147619269893*^9}, {3.7041484901106853`*^9, 
   3.7041484907427216`*^9}, {3.7041946412192173`*^9, 3.704194675714217*^9}, {
   3.704198363683648*^9, 3.704198375979878*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Print", " ", "Equilibrium", " ", "Conditions"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"f", "//", "MatrixForm"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ff", "=", "f"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6243726074691887`*^9, 3.624372609139191*^9}, {
   3.624372665354273*^9, 3.6243726980943193`*^9}, 3.646929449967928*^9, {
   3.6469298361482534`*^9, 3.6469298368082542`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          SuperscriptBox["\[ExponentialE]", "c"], ")"}], 
         RowBox[{"-", "\[Omega]"}]], "-", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "\[Lambda]"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "\[Tau]c"}], ")"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"w", "+", "\[Lambda]"}]]}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Tau]i"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "l"], ")"}], 
          FractionBox["1", "\[Theta]"]], " ", "\[Psi]"}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", "\[Lambda]"]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "\[Lambda]p"], " ", "\[Beta]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Delta]", "+", 
           RowBox[{
            SuperscriptBox["\[ExponentialE]", "up"], " ", 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Tau]ip"}], ")"}]}]}], ")"}]}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", "\[Lambda]"]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"rb", "+", "\[Lambda]p", "-", "\[CapitalPi]p"}]], " ", 
         "\[Beta]"}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"klag", "-", "l"}]]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "u"}], "+", "w"}]], " ", "\[Alpha]"}], 
         RowBox[{"1", "-", "\[Alpha]"}]]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", "mc"]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "u"], ")"}], "\[Alpha]"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "w"], ")"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["1", 
            RowBox[{"1", "-", "\[Alpha]"}]], ")"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["1", "\[Alpha]"], ")"}], "\[Alpha]"]}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", "b"]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
          "bp", "+", "P", "-", "Pp", "-", "\[Lambda]", "+", "\[Lambda]p"}]], 
         " ", 
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "\[CapitalPi]p"], ")"}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Eta]"}]], " ", "\[Beta]", " ", 
         "\[Gamma]"}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"P", "+", "y"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Eta]"}], ")"}]}], "\[Eta]"]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", "b"]}], "+", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"mc", "+", "y"}]], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"bp", "-", "\[Lambda]", "+", "\[Lambda]p"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "\[CapitalPi]p"], ")"}], 
          "\[Eta]"], " ", "\[Beta]", " ", "\[Gamma]"}]}]},
      {
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "P"], ")"}], 
          RowBox[{"1", "-", "\[Eta]"}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Gamma]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "\[CapitalPi]"], ")"}], 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Eta]"}]], " ", "\[Gamma]"}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"rb", "-", "rbss"}]]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"rblag", "-", "rbss"}]], ")"}], "\[Rho]r"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"y", "-", "yss"}]], ")"}], "\[Phi]y"], " ", 
            SuperscriptBox[
             RowBox[{"(", 
              SuperscriptBox["\[ExponentialE]", "\[CapitalPi]"], ")"}], 
             "\[Phi]\[Pi]"]}], ")"}], 
          RowBox[{"1", "-", "\[Rho]r"}]]}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", "c"]}], "-", 
        SuperscriptBox["\[ExponentialE]", "inv"], "+", 
        SuperscriptBox["\[ExponentialE]", "y"]}]},
      {
       RowBox[{
        SuperscriptBox["\[ExponentialE]", "inv"], "-", 
        SuperscriptBox["\[ExponentialE]", "k"], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "klag"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Delta]"}], ")"}]}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"y", "+", "\[Nu]"}]]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "klag"], ")"}], "\[Alpha]"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "l"], ")"}], 
          RowBox[{"1", "-", "\[Alpha]"}]]}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", "\[Nu]"]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "P"], ")"}], 
          RowBox[{"-", "\[Eta]"}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Gamma]"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", "\[Nu]lag"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["\[ExponentialE]", "\[CapitalPi]"], ")"}], 
          "\[Eta]"], " ", "\[Gamma]"}]}]},
      {
       RowBox[{"\[Epsilon]c", "-", "\[Tau]c", "+", 
        RowBox[{"\[Mu]c", "[", "s", "]"}]}]},
      {
       RowBox[{"\[Epsilon]i", "-", "\[Tau]i", "+", 
        RowBox[{"\[Mu]i", "[", "s", "]"}]}]},
      {
       RowBox[{
        RowBox[{"-", "\[Epsilon]c"}], "+", 
        RowBox[{"\[Epsilon]clag", " ", "\[Rho]c"}], "+", 
        RowBox[{"uc", " ", "\[Sigma]c"}]}]},
      {
       RowBox[{
        RowBox[{"-", "\[Epsilon]i"}], "+", 
        RowBox[{"\[Epsilon]ilag", " ", "\[Rho]i"}], "+", 
        RowBox[{"ui", " ", "\[Sigma]i"}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.650978279592637*^9, 3.6509905067252016`*^9, 3.650990747844183*^9, 
   3.65099143476217*^9, 3.6509919492692986`*^9, 3.6509961535884185`*^9, 
   3.6509966237868366`*^9, 3.6509969964972725`*^9, 3.6509986146500525`*^9, 
   3.6510009702140093`*^9, 3.651055421623643*^9, 3.6510558293210783`*^9, 
   3.651056021996505*^9, 3.6510562265920305`*^9, 3.6510569658955636`*^9, 
   3.6510570974749584`*^9, 3.651057775808802*^9, 3.6510595001431303`*^9, 
   3.651490428620801*^9, 3.6514905573243876`*^9, 3.6514920642149415`*^9, 
   3.65149212007111*^9, 3.651492207285326*^9, 3.6514922800875335`*^9, 
   3.6514923771918573`*^9, 3.6514925001891837`*^9, 3.6514926363686275`*^9, 
   3.651492704785932*^9, 3.6514927637260833`*^9, 3.6514932466509795`*^9, 
   3.6514932881490383`*^9, {3.651493354942175*^9, 3.6514933794282284`*^9}, 
   3.6514950929895735`*^9, 3.6514957503426046`*^9, {3.6514974838824763`*^9, 
   3.6514975056655493`*^9}, 3.651502286371219*^9, 3.6515024065610805`*^9, 
   3.6515079407669263`*^9, 3.651519564541645*^9, {3.6515196073597174`*^9, 
   3.651519636872763*^9}, {3.6515203849210005`*^9, 3.6515204034250298`*^9}, {
   3.651520435734081*^9, 3.6515204547571106`*^9}, {3.6515204909401655`*^9, 
   3.651520501997183*^9}, 3.6515205378752365`*^9, 3.6515205912053146`*^9, 
   3.65152187117959*^9, {3.651521905709882*^9, 3.65152191732699*^9}, 
   3.651521947686259*^9, {3.6515220027097263`*^9, 3.6515220288719416`*^9}, 
   3.6515289568130627`*^9, 3.651577323304578*^9, 3.6515839202629023`*^9, 
   3.651584049625288*^9, 3.651590311969711*^9, 3.6515913033457694`*^9, 
   3.6515917792586374`*^9, 3.651591841575882*^9, 3.6515920252806363`*^9, 
   3.651592209764387*^9, {3.6515955494172893`*^9, 3.6515955610863423`*^9}, 
   3.6515979049437585`*^9, 3.6515997007624736`*^9, 3.6516003786902485`*^9, 
   3.6516009372651978`*^9, 3.6516009705881033`*^9, 3.651601438581871*^9, 
   3.667768228982025*^9, 3.6677712311926937`*^9, 3.667771845251528*^9, 
   3.6677727970503144`*^9, 3.667774178124113*^9, 3.6680137819468746`*^9, 
   3.6688053646650286`*^9, {3.6706839257243137`*^9, 3.6706839530323625`*^9}, 
   3.670692418839319*^9, 3.670693170087288*^9, 3.6707623402875223`*^9, 
   3.6732829792263126`*^9, 3.683460859249631*^9, 3.697386796918887*^9, {
   3.6973870909793*^9, 3.6973871195227823`*^9}, 3.697387186173931*^9, {
   3.6973873144186897`*^9, 3.697387366929098*^9}, 3.6973874001926875`*^9, {
   3.6973874313953967`*^9, 3.6973874495954914`*^9}, {3.697387488689216*^9, 
   3.6973875121798525`*^9}, 3.697387554170001*^9, {3.6973885894957085`*^9, 
   3.697388612147048*^9}, {3.697388652526538*^9, 3.6973886637010536`*^9}, {
   3.697388713176392*^9, 3.6973887402947083`*^9}, {3.6973887965132837`*^9, 
   3.6973888237880898`*^9}, 3.6973890780920644`*^9, 3.6973891156827393`*^9, 
   3.697389150081133*^9, 3.697395033643365*^9, 3.6973962718337784`*^9, 
   3.697399617217399*^9, 3.6974100484813232`*^9, 3.6974104903874893`*^9, 
   3.6977466917172174`*^9, 3.7039545722186546`*^9, {3.703954972265655*^9, 
   3.703955014449873*^9}, 3.703955113347762*^9, {3.7039552100084267`*^9, 
   3.7039552370051265`*^9}, {3.7039552824776735`*^9, 3.703955310477473*^9}, 
   3.7039553583882637`*^9, 3.703955445412965*^9, 3.7039555078582087`*^9, 
   3.703955896068026*^9, 3.7039559611935377`*^9, 3.70395602151857*^9, 
   3.7039560716815853`*^9, 3.7039561437457914`*^9, 3.7039561885042667`*^9, 
   3.703956233777794*^9, 3.703956470516965*^9, 3.703956509106824*^9, 
   3.703956616644576*^9, 3.7039617325244074`*^9, 3.7040214752518854`*^9, 
   3.7040218578374395`*^9, {3.7041478524772243`*^9, 3.704147862416793*^9}, 
   3.7041479050172296`*^9, 3.704148009255192*^9, {3.7041481484831553`*^9, 
   3.704148160213826*^9}, 3.704148930305231*^9, 3.7041489756853065`*^9, 
   3.704149141353685*^9, 3.704149737512473*^9, 3.7041907711659184`*^9, 
   3.7041910915479183`*^9, 3.7041912478289185`*^9, 3.7041916927198076`*^9, 
   3.704192099794501*^9, 3.7041946207972174`*^9, {3.704194712091181*^9, 
   3.7041947226091805`*^9}, 3.704196169445468*^9, 3.704198424146694*^9, 
   3.7041995418695183`*^9, 3.7042046398275766`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Variables Definitions", "Subsection",
 CellChangeTimes->{{3.5359999768587947`*^9, 3.5359999836951857`*^9}, {
  3.615633630524619*^9, 3.6156336328847537`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"yvarsp", "=", 
   RowBox[{"{", 
    RowBox[{
    "cp", ",", "\[Lambda]p", ",", "lp", ",", "wp", ",", "up", ",", "\[Tau]cp",
      ",", "\[Tau]ip", ",", "\[CapitalPi]p", ",", "mcp", ",", "Pp", ",", "bp",
      ",", "yp", ",", "invp"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yvars", "=", 
   RowBox[{"{", 
    RowBox[{
    "c", ",", "\[Lambda]", ",", "l", ",", "w", ",", "u", ",", "\[Tau]c", ",", 
     "\[Tau]i", ",", "\[CapitalPi]", ",", "mc", ",", "P", ",", "b", ",", "y", 
     ",", "inv"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yfuns", "=", 
   RowBox[{"{", 
    RowBox[{
    "cfun", ",", "\[Lambda]fun", ",", "lfun", ",", "wfun", ",", "ufun", ",", 
     "\[Tau]cfun", ",", "\[Tau]ifun", ",", "\[CapitalPi]fun", ",", "mcfun", 
     ",", "Pfun", ",", "bfun", ",", "yfun", ",", "invfun"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yvarss", "=", 
    RowBox[{"{", 
     RowBox[{
     "css", ",", "\[Lambda]ss", ",", "lss", ",", "wss", ",", "uss", ",", 
      "\[Tau]css", ",", "\[Tau]iss", ",", "\[CapitalPi]ss", ",", "mcss", ",", 
      "Pss", ",", "bss", ",", "yss", ",", "invss"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Predetermined", " ", "Variables"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xvars", "=", 
   RowBox[{"{", 
    RowBox[{
    "rb", ",", "k", ",", "\[Nu]", ",", "\[Epsilon]c", ",", "\[Epsilon]i"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xlag", "=", 
   RowBox[{"{", 
    RowBox[{
    "rblag", ",", "klag", ",", "\[Nu]lag", ",", "\[Epsilon]clag", ",", 
     "\[Epsilon]ilag"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xfuns", "=", 
   RowBox[{"{", 
    RowBox[{
    "rbfun", ",", "kfun", ",", "\[Nu]fun", ",", "\[Epsilon]cfun", ",", 
     "\[Epsilon]ifun"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xvarss", "=", 
    RowBox[{"{", 
     RowBox[{
     "rbss", ",", "kss", ",", "\[Nu]ss", ",", "\[Epsilon]css", ",", 
      "\[Epsilon]iss"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", "Shocks", " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"epsp", "=", 
   RowBox[{"{", 
    RowBox[{"ucp", ",", "uip"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eps", "=", 
    RowBox[{"{", 
     RowBox[{"uc", ",", "ui"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Markov", " ", "Switching", " ", "Variables"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tvarsp", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Mu]c", "[", "sp", "]"}], ",", 
     RowBox[{"\[Mu]i", "[", "sp", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tvars", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Mu]c", "[", "s", "]"}], ",", 
     RowBox[{"\[Mu]i", "[", "s", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tvarss", "=", 
   RowBox[{"{", 
    RowBox[{"\[Mu]cbar", ",", "\[Mu]ibar"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tvarpss", "=", 
   RowBox[{"{", 
    RowBox[{"\[Mu]cbar", ",", "\[Mu]ibar"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.535999984840251*^9, 3.536000001554207*^9}, {
   3.536005086215033*^9, 3.5360052939959173`*^9}, 3.536083139658459*^9, {
   3.536500921418427*^9, 3.5365009274607725`*^9}, {3.5367729297623*^9, 
   3.5367729788763*^9}, {3.5367730237223*^9, 3.5367731112469*^9}, {
   3.5367734417241*^9, 3.5367734852271*^9}, {3.5367735523880997`*^9, 
   3.5367735544981003`*^9}, {3.5367817442977*^9, 3.5367817544067*^9}, {
   3.5367836107967*^9, 3.5367836251417*^9}, {3.5367846744405003`*^9, 
   3.5367846794305*^9}, {3.5372876398215504`*^9, 3.5372876486540556`*^9}, {
   3.5372877555041676`*^9, 3.5372878847665606`*^9}, {3.5372880415745296`*^9, 
   3.5372880788836637`*^9}, {3.537296501365402*^9, 3.537296506414691*^9}, {
   3.537297147782375*^9, 3.5372971497324867`*^9}, {3.5372973728222466`*^9, 
   3.5372973847949314`*^9}, {3.5372981197899704`*^9, 3.5372981339397798`*^9}, 
   3.537298320979478*^9, {3.5372984146668367`*^9, 3.5372984156088905`*^9}, {
   3.5426312576781454`*^9, 3.5426312938772163`*^9}, {3.542631350315444*^9, 
   3.5426313836693516`*^9}, {3.5426321159252343`*^9, 3.542632116933292*^9}, {
   3.5426330409471426`*^9, 3.5426330411861563`*^9}, {3.542640800975155*^9, 
   3.542640801830204*^9}, {3.542651780162711*^9, 3.542651802717001*^9}, {
   3.5432439313836203`*^9, 3.543243939541087*^9}, 3.543329776327094*^9, 
   3.5435779008858023`*^9, {3.5442926656997757`*^9, 3.544292672913188*^9}, {
   3.5493843029446044`*^9, 3.549384318547497*^9}, {3.5493844084616394`*^9, 
   3.549384412816889*^9}, {3.5493844430756197`*^9, 3.54938454518746*^9}, {
   3.549384666285386*^9, 3.549384677769043*^9}, {3.549385502548218*^9, 
   3.549385525979558*^9}, {3.549385610494392*^9, 3.5493856221490583`*^9}, {
   3.549386434895545*^9, 3.5493864352475653`*^9}, {3.5493867086142006`*^9, 
   3.549386710412304*^9}, {3.5493890302981157`*^9, 3.5493890771097937`*^9}, {
   3.549390576303542*^9, 3.549390593546529*^9}, {3.549390637327033*^9, 
   3.5493906539709845`*^9}, {3.5493909881640997`*^9, 
   3.5493909908162513`*^9}, {3.5493912272307734`*^9, 
   3.5493912328750963`*^9}, {3.5493913366630325`*^9, 
   3.5493913397022066`*^9}, {3.549391392863247*^9, 3.549391420586833*^9}, {
   3.549627256105661*^9, 3.5496272595588584`*^9}, {3.5496273722373033`*^9, 
   3.5496273766525555`*^9}, {3.5496276570335927`*^9, 
   3.5496276613008366`*^9}, {3.5496279233278236`*^9, 
   3.5496279334624033`*^9}, {3.549647136571004*^9, 3.54964715241491*^9}, {
   3.5559347628040514`*^9, 3.5559347810280943`*^9}, {3.5595072862351875`*^9, 
   3.559507302677616*^9}, 3.5599104197025485`*^9, {3.560026947532451*^9, 
   3.5600271269377127`*^9}, 3.560027323071931*^9, {3.560028499138198*^9, 
   3.560028500309265*^9}, {3.5600286139237633`*^9, 3.560028625474424*^9}, {
   3.5600288247608223`*^9, 3.5600288288370557`*^9}, {3.5600295489682446`*^9, 
   3.5600295568176937`*^9}, {3.5600296511760907`*^9, 
   3.5600296620457125`*^9}, {3.5600297956523542`*^9, 
   3.5600298042908487`*^9}, {3.560029966628134*^9, 3.560029973090503*^9}, {
   3.560030174683034*^9, 3.5600301831625185`*^9}, {3.560030296074977*^9, 
   3.5600303028943667`*^9}, {3.5600305016217337`*^9, 3.560030506159993*^9}, {
   3.560030842858251*^9, 3.5600308502446737`*^9}, {3.5600310990479045`*^9, 
   3.5600311096125083`*^9}, {3.560091770440095*^9, 3.560091777452496*^9}, {
   3.565701009337118*^9, 3.5657010192571316`*^9}, {3.5657082999901953`*^9, 
   3.565708301806299*^9}, {3.5657083441737223`*^9, 3.5657083443657336`*^9}, {
   3.5657228709652567`*^9, 3.56572287865607*^9}, {3.565723344691289*^9, 
   3.5657233520545015`*^9}, {3.565724383488701*^9, 3.565724386589879*^9}, {
   3.5775559926898017`*^9, 3.577556004349818*^9}, {3.6155686571242495`*^9, 
   3.615568657723284*^9}, {3.6156335389283795`*^9, 3.6156337370787134`*^9}, 
   3.6156337862785273`*^9, {3.6156338921635838`*^9, 3.6156339632606497`*^9}, {
   3.615634863591146*^9, 3.6156349048145037`*^9}, {3.615634973670442*^9, 
   3.6156349805578365`*^9}, {3.6156351986793118`*^9, 3.615635212134082*^9}, {
   3.6399430487499356`*^9, 3.6399430640289574`*^9}, {3.639943213306177*^9, 
   3.639943236419216*^9}, {3.639943474522558*^9, 3.6399434817025685`*^9}, {
   3.639943522394627*^9, 3.6399435353546457`*^9}, {3.639943744962951*^9, 
   3.6399437517129602`*^9}, {3.639943998010315*^9, 3.6399440420573783`*^9}, {
   3.6399974824587674`*^9, 3.639997510695834*^9}, {3.639997746437427*^9, 
   3.639997822574616*^9}, {3.6399978670807195`*^9, 3.6399979031877975`*^9}, {
   3.639997976178359*^9, 3.6399981187126927`*^9}, {3.6399982064329348`*^9, 
   3.639998227289982*^9}, {3.6400222466898003`*^9, 3.640022253487719*^9}, {
   3.640431362773322*^9, 3.64043136466033*^9}, {3.6404336610926065`*^9, 
   3.6404336692506266`*^9}, {3.6404337088597317`*^9, 3.640433730317783*^9}, {
   3.6404370484277925`*^9, 3.6404370644958153`*^9}, 3.6404371118208847`*^9, {
   3.6404428767608566`*^9, 3.640442879800861*^9}, {3.6404432258023615`*^9, 
   3.6404432417623835`*^9}, {3.640443365233593*^9, 3.640443377487611*^9}, {
   3.6405444664032593`*^9, 3.6405444680932617`*^9}, {3.640544604320462*^9, 
   3.6405446299424987`*^9}, {3.640691557067618*^9, 3.640691659381145*^9}, {
   3.6463135565861444`*^9, 3.64631356175444*^9}, {3.646313867866948*^9, 
   3.6463138738892927`*^9}, {3.646313943629282*^9, 3.646313945731402*^9}, {
   3.6463139938541546`*^9, 3.646314154499343*^9}, {3.64631424413547*^9, 
   3.646314276099298*^9}, 3.6463143784891543`*^9, {3.646314675782159*^9, 
   3.646314684092634*^9}, {3.6463156113086677`*^9, 3.6463156222712946`*^9}, {
   3.6463187810209646`*^9, 3.6463187907175193`*^9}, {3.6464962997644606`*^9, 
   3.6464963951217594`*^9}, {3.6464964304523973`*^9, 3.646496656933423*^9}, {
   3.6464969536872854`*^9, 3.6464969782364283`*^9}, {3.6464970914207287`*^9, 
   3.6464970925617313`*^9}, 3.6464971698915567`*^9, {3.6464972113248014`*^9, 
   3.646497214539813*^9}, {3.6465024572248635`*^9, 3.64650247538793*^9}, {
   3.650214473129029*^9, 3.650214492571057*^9}, 3.6502151557613487`*^9, {
   3.6502151968024244`*^9, 3.650215209095443*^9}, {3.65021541312574*^9, 
   3.650215484009856*^9}, {3.6502155267999187`*^9, 3.650215588147008*^9}, {
   3.650216227386963*^9, 3.650216292361057*^9}, {3.650216338423125*^9, 
   3.6502163512621546`*^9}, {3.6502166452556*^9, 3.650216665036631*^9}, {
   3.6502167050196886`*^9, 3.6502167214897118`*^9}, 3.6502167689507804`*^9, {
   3.650216923907304*^9, 3.650217042747591*^9}, {3.6502171176887608`*^9, 
   3.6502171269717803`*^9}, 3.6502172468191156`*^9, {3.6502173732034197`*^9, 
   3.650217393301463*^9}, {3.6502179416498957`*^9, 3.6502179826669884`*^9}, {
   3.6514209050593495`*^9, 3.651420932996442*^9}, {3.6514902417151675`*^9, 
   3.6514902461221805`*^9}, {3.651490413364726*^9, 3.6514904229357843`*^9}, {
   3.651493225116949*^9, 3.6514932851490345`*^9}, {3.651495741913556*^9, 
   3.651495744770564*^9}, {3.6514974948325124`*^9, 3.651497497812522*^9}, {
   3.6515022195430856`*^9, 3.651502235116117*^9}, {3.651502269349188*^9, 
   3.6515022711461906`*^9}, {3.651519516441564*^9, 3.651519523672575*^9}, {
   3.651520372905981*^9, 3.6515204017920275`*^9}, {3.651520562616273*^9, 
   3.6515205801162977`*^9}, {3.651521897021806*^9, 3.6515218994568276`*^9}, {
   3.6515219986206894`*^9, 3.65152202629392*^9}, {3.6515289406730404`*^9, 
   3.6515289412230415`*^9}, {3.6677741137056*^9, 3.667774152567268*^9}, {
   3.697325473747698*^9, 3.697325496547002*^9}, {3.697386867921425*^9, 
   3.6973870780921555`*^9}, {3.6973875383534193`*^9, 
   3.6973875522268066`*^9}, {3.697410010785268*^9, 3.6974100386103096`*^9}, {
   3.697746664553664*^9, 3.6977466735461783`*^9}, {3.7039553241858435`*^9, 
   3.7039553556989946`*^9}, {3.7039561094273596`*^9, 3.703956123571774*^9}, {
   3.7039561590623226`*^9, 3.7039561598374004`*^9}, {3.704147602382927*^9, 
   3.70414762620629*^9}, {3.7041946790402174`*^9, 3.7041946811122174`*^9}, {
   3.704198381836464*^9, 3.7041983850367837`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Functions", "Subsection",
 CellChangeTimes->{{3.61962287734927*^9, 3.6196228785660725`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Define", " ", "State"}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"state", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{"xlag", ",", "eps", ",", "\[Chi]"}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"statep", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{"xvars", ",", 
        RowBox[{"\[Chi]", "*", "epsp"}], ",", "\[Chi]"}], "}"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Function", " ", "Lists"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yfunlist", "=", 
     RowBox[{"Through", "[", 
      RowBox[{"Apply", "[", 
       RowBox[{
        RowBox[{"Through", "[", 
         RowBox[{"Apply", "[", 
          RowBox[{"yfuns", ",", 
           RowBox[{"{", "_", "}"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", "__", "}"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xfunlist", "=", 
     RowBox[{"Through", "[", 
      RowBox[{"Apply", "[", 
       RowBox[{
        RowBox[{"Through", "[", 
         RowBox[{"Apply", "[", 
          RowBox[{"xfuns", ",", 
           RowBox[{"{", "_", "}"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", "__", "}"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Define", " ", "Functions"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"funrulei", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Thread", "[", 
         RowBox[{"yvars", "\[Rule]", 
          RowBox[{"Through", "[", 
           RowBox[{"Apply", "[", 
            RowBox[{
             RowBox[{"Through", "[", 
              RowBox[{"Apply", "[", 
               RowBox[{"yfuns", ",", 
                RowBox[{"{", "s", "}"}]}], "]"}], "]"}], ",", "state"}], 
            "]"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Thread", "[", 
         RowBox[{"xvars", "\[Rule]", 
          RowBox[{"Through", "[", 
           RowBox[{"Apply", "[", 
            RowBox[{
             RowBox[{"Through", "[", 
              RowBox[{"Apply", "[", 
               RowBox[{"xfuns", ",", 
                RowBox[{"{", "s", "}"}]}], "]"}], "]"}], ",", "state"}], 
            "]"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Thread", "[", 
         RowBox[{"tvars", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{"tvarss", "+", 
            RowBox[{"\[Chi]", "*", 
             RowBox[{"(", 
              RowBox[{"tvars", "-", "tvarss"}], ")"}]}]}], ")"}]}], "]"}]}], 
       "\[IndentingNewLine]", "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"funrulej", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Thread", "[", 
         RowBox[{"yvarsp", "\[Rule]", 
          RowBox[{"Through", "[", 
           RowBox[{"Apply", "[", 
            RowBox[{
             RowBox[{"Through", "[", 
              RowBox[{"Apply", "[", 
               RowBox[{"yfuns", ",", 
                RowBox[{"{", "sp", "}"}]}], "]"}], "]"}], ",", "statep"}], 
            "]"}], "]"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Thread", "[", 
         RowBox[{"tvarsp", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{"tvarpss", "+", 
            RowBox[{"\[Chi]", "*", 
             RowBox[{"(", 
              RowBox[{"tvarsp", "-", "tvarpss"}], ")"}]}]}], ")"}]}], "]"}]}],
        "\[IndentingNewLine]", "}"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"f", "=", 
     RowBox[{
      RowBox[{"f", "/.", "funrulej"}], "/.", "funrulei"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.619622889283291*^9, 3.6196228896420918`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["System Dimensions", "Subsection",
 CellChangeTimes->{{3.619622858769637*^9, 3.619622861172042*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Vector", " ", "Sizes"}], " ", "*)"}], "\n", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ny", "=", 
     RowBox[{
      RowBox[{"Dimensions", "[", "yvars", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nx", "=", 
     RowBox[{
      RowBox[{"Dimensions", "[", "xvars", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ne", "=", 
     RowBox[{
      RowBox[{"Dimensions", "[", "eps", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nt", "=", 
     RowBox[{
      RowBox[{"Dimensions", "[", "tvars", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Check", ":", " ", 
     RowBox[{"Should", " ", "Print", " ", "Zero"}]}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "-", "nx", "-", "ny"}], "//", "Print"}]}]}]], "Input",
 CellChangeTimes->{{3.619622863652446*^9, 3.6196228649472485`*^9}, 
   3.619622924539353*^9, {3.627836631195562*^9, 3.6278366315855627`*^9}}],

Cell[BoxData["0"], "Print",
 CellChangeTimes->{
  3.619623079213625*^9, {3.6196240464543257`*^9, 3.619624056765944*^9}, 
   3.6196365627923217`*^9, 3.6196366525860796`*^9, 3.619637059084594*^9, 
   3.6196371803124065`*^9, 3.6196372360825047`*^9, {3.6196374204774027`*^9, 
   3.6196374337218266`*^9}, 3.619637466185483*^9, 3.6196376471614013`*^9, {
   3.6196377001546946`*^9, 3.61963772601954*^9}, 3.6196377602928*^9, 
   3.619637844626548*^9, {3.6196380290968723`*^9, 3.619638055897719*^9}, 
   3.620474518310116*^9, 3.6204745569283247`*^9, 3.6204750399079494`*^9, {
   3.6204752064854774`*^9, 3.6204752489869084`*^9}, 3.6204778375093613`*^9, 
   3.6204784165174246`*^9, 3.620478599218855*^9, 3.6204786727500544`*^9, {
   3.6204787037528224`*^9, 3.620478747263305*^9}, {3.620478808561797*^9, 
   3.6204788376794624`*^9}, 3.620478895094736*^9, 3.6204789688469467`*^9, 
   3.620479029770425*^9, {3.6204791988040304`*^9, 3.620479313458578*^9}, {
   3.62047940001952*^9, 3.620479413921315*^9}, 3.620479773951846*^9, 
   3.6204798495721626`*^9, 3.620479912056735*^9, {3.6204853916269984`*^9, 
   3.620485408058938*^9}, {3.620485498320101*^9, 3.6204855511331215`*^9}, 
   3.620485602475058*^9, 3.62048567419116*^9, {3.620485719609758*^9, 
   3.6204857396729054`*^9}, 3.620485782531357*^9, 3.620485850110222*^9, {
   3.6204858883194075`*^9, 3.620485915758977*^9}, 3.620487023351169*^9, {
   3.620487062284396*^9, 3.620487081113473*^9}, 3.620487271828763*^9, {
   3.6204874614593344`*^9, 3.620487505183664*^9}, 3.6204898928107257`*^9, 
   3.6204899426625614`*^9, 3.6204900797003536`*^9, 3.6204901887235575`*^9, 
   3.6204902336721106`*^9, {3.6204903185639334`*^9, 3.6204903377010207`*^9}, 
   3.620490519910369*^9, {3.6204905517621775`*^9, 3.6204905591825976`*^9}, 
   3.6204906355589385`*^9, 3.6204906737231054`*^9, 3.620490704855875*^9, 
   3.620492154720347*^9, 3.620492200834985*^9, {3.620492379066179*^9, 
   3.620492414414201*^9}, 3.6204924729975514`*^9, 3.6204925235744443`*^9, {
   3.6204942591091433`*^9, 3.6204942838695602`*^9}, 3.620494325865962*^9, 
   3.620494446884884*^9, 3.620494649534475*^9, 3.620494923963171*^9, {
   3.620494959799221*^9, 3.6204949844916334`*^9}, 3.620495017384515*^9, {
   3.6204950733737173`*^9, 3.620495109740797*^9}, 3.62049519301256*^9, {
   3.6204956295925307`*^9, 3.6204956506317344`*^9}, {3.6204956929511547`*^9, 
   3.6204957294842443`*^9}, 3.6204957831803155`*^9, 3.6204958773787036`*^9, 
   3.620495931606805*^9, {3.6204960472144175`*^9, 3.6204960689656615`*^9}, 
   3.6204962093776927`*^9, 3.6204962454437556`*^9, {3.620496363658517*^9, 
   3.6204963824985948`*^9}, 3.620496816164399*^9, 3.620497386010992*^9, 
   3.6204975295932045`*^9, 3.620497599040177*^9, 3.6204976944156322`*^9, 
   3.6204978378028336`*^9, 3.621942592611867*^9, 3.62194288213155*^9, {
   3.6219429344505415`*^9, 3.6219429526145797`*^9}, {3.621943030813052*^9, 
   3.621943042976748*^9}, 3.6243656523130383`*^9, 3.6243726385422335`*^9, {
   3.62437269122431*^9, 3.624372700754323*^9}, 3.624373518565479*^9, 
   3.6243761100270777`*^9, {3.624376283819496*^9, 3.6243763026165576`*^9}, {
   3.6243763583606777`*^9, 3.6243763816107254`*^9}, 3.6243764916790204`*^9, 
   3.624379381992824*^9, 3.624379523691423*^9, 3.624384764893501*^9, 
   3.624551188071272*^9, 3.6245517050754204`*^9, 3.6277499071347456`*^9, 
   3.6277519616292977`*^9, 3.627754887449149*^9, 3.627754933181432*^9, 
   3.6277571279967966`*^9, 3.6277575051202736`*^9, 3.62776939301901*^9, 
   3.627769839583986*^9, 3.627769923041177*^9, 3.627769956917281*^9, 
   3.6277699954943676`*^9, 3.6277704754503574`*^9, 3.6277711972794576`*^9, {
   3.6277712278902082`*^9, 3.6277712449021816`*^9}, 3.6278338665621214`*^9, 
   3.6278339009262047`*^9, {3.6278339397073207`*^9, 3.6278339729664006`*^9}, 
   3.627834031675545*^9, 3.627834205156021*^9, 3.62783424659711*^9, {
   3.627834279014184*^9, 3.6278343069073043`*^9}, 3.627834338014375*^9, {
   3.627834381352479*^9, 3.6278343945355124`*^9}, 3.6278345346868696`*^9, 
   3.6278354576652966`*^9, 3.627835890914811*^9, 3.6278359334349427`*^9, 
   3.6278361429824543`*^9, 3.627836649407587*^9, 3.62783749480015*^9, {
   3.627838417954126*^9, 3.6278384418801613`*^9}, 3.627838601977532*^9, 
   3.627838664997672*^9, 3.6278387172908287`*^9, 3.627838909552163*^9, 
   3.6278403688033752`*^9, 3.627840401095422*^9, 3.627840477254533*^9, 
   3.628603604099067*^9, 3.6286037811733418`*^9, 3.62860389667196*^9, 
   3.628604073712208*^9, 3.628604280314497*^9, 3.6286059772879057`*^9, 
   3.6286061164401007`*^9, 3.6294802605956697`*^9, 3.629480631088189*^9, 
   3.629480804879432*^9, {3.6294808960895844`*^9, 3.6294809082096014`*^9}, 
   3.629481012531748*^9, 3.629481067102824*^9, 3.62948130007315*^9, 
   3.6294814208753195`*^9, {3.6294814558553686`*^9, 3.629481484375408*^9}, 
   3.629481543527491*^9, {3.629481595407564*^9, 3.629481615837592*^9}, 
   3.629481766777804*^9, 3.629481837637903*^9, 3.629486915639333*^9, 
   3.6294871147026114`*^9, 3.629488623154544*^9, {3.6294888360348415`*^9, 
   3.629488854585868*^9}, 3.6294889005969324`*^9, 3.6294891022232194`*^9, {
   3.6294893645735865`*^9, 3.6294893773136044`*^9}, 3.6294895727321243`*^9, 
   3.6294898649567766`*^9, 3.6294913399808416`*^9, 3.6294914940920577`*^9, 
   3.6295504093056545`*^9, {3.6295504481437583`*^9, 3.6295504878638563`*^9}, 
   3.6295517279279795`*^9, {3.6295539016232233`*^9, 3.6295539312063117`*^9}, {
   3.629554034783572*^9, 3.6295540503306103`*^9}, 3.629554889285256*^9, 
   3.6295554725147953`*^9, {3.6295555154119635`*^9, 3.629555548572112*^9}, 
   3.629555616346303*^9, {3.629555656519417*^9, 3.6295556812926574`*^9}, 
   3.629555804686976*^9, {3.629556020428549*^9, 3.6295560325445857`*^9}, 
   3.6295560957047615`*^9, {3.6295565397559032`*^9, 3.6295565681580257`*^9}, 
   3.6295566277812347`*^9, 3.62956037600187*^9, 3.6295612004004745`*^9, 
   3.629561907193303*^9, 3.629561972483492*^9, 3.629562288079296*^9, 
   3.62956249814272*^9, 3.629562594935873*^9, 3.629562691713011*^9, 
   3.6295627636541357`*^9, 3.6295628884073153`*^9, {3.629562942455392*^9, 
   3.629563009315525*^9}, 3.6295630436995745`*^9, 3.629563358378229*^9, 
   3.629566417458815*^9, 3.6295668763516173`*^9, 3.6295670094499598`*^9, 
   3.6295671011061764`*^9, {3.6295692699599857`*^9, 3.6295692847390146`*^9}, {
   3.6295694756817455`*^9, 3.6295695998291707`*^9}, 3.629569687346388*^9, {
   3.6295697415205355`*^9, 3.629569775383616*^9}, 3.6295711469210625`*^9, {
   3.62957118091817*^9, 3.629571201010231*^9}, {3.6295712310803175`*^9, 
   3.6295712384353476`*^9}, {3.6295715450226808`*^9, 3.6295715724087553`*^9}, 
   3.629571777728323*^9, 3.6296414024777603`*^9, 3.629641436598811*^9, 
   3.629641564350275*^9, 3.6296423270139246`*^9, 3.6296432381279616`*^9, {
   3.629643268537039*^9, 3.62964327998508*^9}, 3.629643312319206*^9, 
   3.629644671494763*^9, 3.629645488057398*^9, {3.629646809604828*^9, 
   3.629646834285881*^9}, {3.629646866367951*^9, 3.6296469002120285`*^9}, 
   3.6296469389952693`*^9, 3.629647206753276*^9, {3.6296527834506636`*^9, 
   3.629652873732792*^9}, {3.629653582043149*^9, 3.629653599753174*^9}, 
   3.6296543834462614`*^9, {3.629654431879372*^9, 3.6296544587794333`*^9}, {
   3.6296548670103135`*^9, 3.629654879828332*^9}, {3.6296549287294006`*^9, 
   3.629654973792465*^9}, {3.629655728320402*^9, 3.629655768266461*^9}, 
   3.62965582462379*^9, 3.629655915683029*^9, 3.629655948307888*^9, 
   3.62965654793344*^9, 3.629656581464489*^9, 3.629656613649536*^9, {
   3.629725095063517*^9, 3.6297251083165483`*^9}, 3.629725330839159*^9, 
   3.629725363659238*^9, 3.629725421790392*^9, 3.6297255812427416`*^9, 
   3.6297263058271065`*^9, 3.629726339881222*^9, 3.6297263709820538`*^9, 
   3.629726652426796*^9, 3.629726890160836*^9, 3.629726923811017*^9, 
   3.629727728347686*^9, 3.62972790890317*^9, {3.631905293194208*^9, 
   3.6319053164502544`*^9}, 3.631905361927354*^9, 3.631905620102109*^9, {
   3.631905733921269*^9, 3.6319057756103277`*^9}, 3.6319058413144226`*^9, 
   3.631905873424469*^9, {3.6319059514425793`*^9, 3.6319059594745927`*^9}, {
   3.6319061122792716`*^9, 3.6319061214492846`*^9}, {3.631906163822344*^9, 
   3.631906179424366*^9}, 3.631906263204484*^9, 3.6319062981765327`*^9, {
   3.631906334652585*^9, 3.631906348102604*^9}, {3.631906407320689*^9, 
   3.6319064289327197`*^9}, 3.6319064943608117`*^9, 3.6319066297870026`*^9, {
   3.6319066753180676`*^9, 3.631906688083085*^9}, 3.6319068390573*^9, 
   3.631907342253347*^9, {3.631907464738628*^9, 3.6319074854446974`*^9}, 
   3.6319075166587667`*^9, 3.6319075596458826`*^9, 3.6319076119599876`*^9, 
   3.6319077036382093`*^9, 3.6319077662423925`*^9, {3.6319079045137067`*^9, 
   3.631907922500743*^9}, 3.6319750165795965`*^9, 3.631975090476804*^9, 
   3.6319836903805757`*^9, 3.63198482018687*^9, {3.6319848650539694`*^9, 
   3.6319849199411144`*^9}, 3.6319850880965157`*^9, 3.631985144692024*^9, {
   3.631985182878132*^9, 3.631985277892357*^9}, 3.631985329113041*^9, 
   3.6319891338300343`*^9, 3.631989211424261*^9, {3.631990874218893*^9, 
   3.631990938190032*^9}, {3.6319917559733343`*^9, 3.631991781960395*^9}, {
   3.6319918960356827`*^9, 3.631991986303944*^9}, {3.6319920617411566`*^9, 
   3.631992087045226*^9}, {3.6319936800340924`*^9, 3.631993695457117*^9}, {
   3.6319937942982593`*^9, 3.6319938509883413`*^9}, 3.6319938928664007`*^9, 
   3.631994130231739*^9, 3.631994170320797*^9, 3.6319949310848503`*^9, 
   3.631995285632494*^9, {3.632152521650044*^9, 3.632152561969105*^9}, 
   3.632152601481161*^9, 3.632152668965259*^9, 3.632152729804345*^9, {
   3.6321529414462643`*^9, 3.63215296275799*^9}, {3.632153012785932*^9, 
   3.632153032078061*^9}, {3.632153148818736*^9, 3.6321531707828627`*^9}, {
   3.6321533149717093`*^9, 3.632153423373313*^9}, 3.632153498874771*^9, {
   3.641647714203848*^9, 3.6416477294988956`*^9}, {3.6416478230895147`*^9, 
   3.6416479019852705`*^9}, 3.641649546137762*^9, 3.6416495982298455`*^9, 
   3.6416496662688503`*^9, 3.641649896915925*^9, {3.6416500041121054`*^9, 
   3.6416500186311283`*^9}, 3.641655281347024*^9, 3.64165543922371*^9, {
   3.642285292853327*^9, 3.6422853035629396`*^9}, 3.642285772168742*^9, 
   3.642285809348869*^9, 3.6422863727360926`*^9, {3.642329329438281*^9, 
   3.642329347380398*^9}, 3.642329606377466*^9, {3.642519019812229*^9, 
   3.6425190296022434`*^9}, {3.6425191568424263`*^9, 3.642519170321447*^9}, {
   3.6425192399765024`*^9, 3.6425193393267746`*^9}, 3.642519446522979*^9, 
   3.6425196494502926`*^9, 3.64251968038734*^9, 3.6425197616624613`*^9, 
   3.6425198088835335`*^9, 3.642519874846632*^9, 3.6425237587543535`*^9, {
   3.6425255258837695`*^9, 3.642525534016797*^9}, {3.6425259297760143`*^9, 
   3.6425260756575394`*^9}, 3.642529013303693*^9, 3.6425290452758293`*^9, {
   3.6425292783847218`*^9, 3.6425292935857744`*^9}, {3.642529398352207*^9, 
   3.64252941648027*^9}, {3.6425295699128637`*^9, 3.6425295857269244`*^9}, 
   3.642529664032209*^9, {3.642529876134022*^9, 3.642529913607169*^9}, {
   3.6425307798923297`*^9, 3.642530891873747*^9}, {3.642532365079084*^9, 
   3.642532389545123*^9}, 3.6428673504980307`*^9, {3.6433813863296385`*^9, 
   3.6433814279197345`*^9}, 3.6433815437360964`*^9, {3.643383621371189*^9, 
   3.643383683147357*^9}, 3.643390996924905*^9, 3.643391089606037*^9, 
   3.6433911674341507`*^9, 3.6446639396833315`*^9, 3.6446639928457384`*^9, 
   3.6446640485828304`*^9, 3.644664085540888*^9, 3.644664120109968*^9, 
   3.644664150432019*^9, {3.6477022099747105`*^9, 3.647702222016729*^9}, {
   3.6477023222312555`*^9, 3.647702358247693*^9}, {3.6477024477206917`*^9, 
   3.6477024565491962`*^9}, 3.6477027161325054`*^9, 3.647702949968727*^9, {
   3.6477029864008675`*^9, 3.6477030136415157`*^9}, {3.6477031972862535`*^9, 
   3.647703238487322*^9}, {3.647705102035844*^9, 3.6477051565219603`*^9}, 
   3.6477052021045675`*^9, 3.647705233112341*^9, 3.647706851475418*^9, 
   3.647706968596819*^9, {3.647707026399209*^9, 3.647707058064645*^9}, 
   3.6477071039593105`*^9, {3.647707155052607*^9, 3.6477071711146307`*^9}, {
   3.6477088518709497`*^9, 3.6477088612964892`*^9}, 3.647710641976965*^9, 
   3.6477107049514008`*^9, 3.647710777059122*^9, 3.6477108331333294`*^9, 
   3.647710870638702*^9, {3.647711340417951*^9, 3.6477114254068127`*^9}, 
   3.7039545722666593`*^9, {3.703954972369665*^9, 3.7039550145128794`*^9}, 
   3.703955113402767*^9, {3.7039552100634327`*^9, 3.7039552370661325`*^9}, {
   3.7039552825296783`*^9, 3.703955310529478*^9}, 3.7039553584402685`*^9, 
   3.70395544546497*^9, 3.703955507916215*^9, 3.703955896115031*^9, 
   3.703955961223541*^9, 3.703956021560574*^9, 3.7039560717215896`*^9, 
   3.703956143790796*^9, 3.7039561885352697`*^9, 3.703956233822798*^9, 
   3.7039564705629697`*^9, 3.703956509152828*^9, 3.7039566166905813`*^9, 
   3.7039617325744114`*^9, 3.7040214753018856`*^9, 3.704021857887432*^9, {
   3.7041478525092263`*^9, 3.7041478624637957`*^9}, 3.704147905052232*^9, 
   3.704148009291194*^9, {3.704148148518157*^9, 3.7041481602448277`*^9}, 
   3.704148930345231*^9, 3.7041489757153063`*^9, 3.704149141383685*^9, 
   3.704149737543475*^9, 3.7041907712019186`*^9, 3.7041910915859184`*^9, 
   3.704191247865918*^9, 3.7041916927658124`*^9, 3.7041920998325043`*^9, 
   3.7041946208412175`*^9, {3.7041947121471806`*^9, 3.7041947226511807`*^9}, 
   3.704196169499403*^9, 3.704198424193699*^9, 3.704199541921524*^9, 
   3.70420463987757*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Regimes", "Subsection",
 CellChangeTimes->{{3.6196228242467766`*^9, 3.619622825026778*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Pmat", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "-", "p"}], ",", "p", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "q", ",", "0", ",", "0", ",", 
       RowBox[{"1", "-", "q"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "q", ",", "0", ",", 
       RowBox[{"1", "-", "q"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "q", ",", 
       RowBox[{"1", "-", "q"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"1", "-", "q"}], ",", "q"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"1", "-", "r"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"1", "-", "r"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Pmat", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"regimetable", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Mu]i", "[", "i", "]"}], ",", 
       RowBox[{"\[Mu]c", "[", "i", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "ns"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"regimeparms", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]i0", ",", "\[Mu]c0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]i0", ",", "\[Mu]c0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]i0", ",", "\[Mu]c0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]i0", ",", "\[Mu]c0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]i0", ",", "\[Mu]c0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]i0", ",", "\[Mu]c0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]i1", ",", "\[Mu]c1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"regimerule", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Flatten", "[", "regimetable", "]"}], ")"}], "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"Flatten", "[", "regimeparms", "]"}], ")"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.619622846445616*^9, 3.6196228469292164`*^9}, {
   3.619622951231*^9, 3.6196229516522007`*^9}, {3.619636685299337*^9, 
   3.61963670971338*^9}, {3.620494275640089*^9, 3.6204942803433585`*^9}, {
   3.6277702394266596`*^9, 3.6277703328569074`*^9}, {3.627770443739544*^9, 
   3.6277704669338703`*^9}, 3.627771194582303*^9, {3.627772291585209*^9, 
   3.6277723054602365`*^9}, {3.627833765223838*^9, 3.6278338300050106`*^9}, 
   3.6278338945191917`*^9, {3.6278339486923423`*^9, 3.627833958893366*^9}, {
   3.627837608712327*^9, 3.6278376109123297`*^9}, {3.6278376815354524`*^9, 
   3.6278377013904805`*^9}, {3.6278388961621375`*^9, 3.627838906748153*^9}, {
   3.629569620873223*^9, 3.629569659376296*^9}, {3.6319049426583405`*^9, 
   3.6319049452683477`*^9}, {3.6319053392002993`*^9, 3.631905498518685*^9}, {
   3.6319055344189854`*^9, 3.6319056089010925`*^9}, {3.6319059168785315`*^9, 
   3.631905955414587*^9}, {3.631984771885747*^9, 3.6319847903327837`*^9}, {
   3.631994059049636*^9, 3.631994060058638*^9}, {3.642525511113697*^9, 
   3.642525513156703*^9}, {3.70395541906133*^9, 3.7039554422866526`*^9}, {
   3.7039559243068495`*^9, 3.70395595121354*^9}, {3.703961619561733*^9, 
   3.703961720447373*^9}, {3.7041497274378967`*^9, 3.704149733294232*^9}, {
   3.704190699282923*^9, 3.7041907049309235`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"1", "-", "p"}], "p", "0", "0", "0", "0", "0"},
     {"0", "0", "q", "0", "0", 
      RowBox[{"1", "-", "q"}], "0"},
     {"0", "0", "0", "q", "0", 
      RowBox[{"1", "-", "q"}], "0"},
     {"0", "0", "0", "0", "q", 
      RowBox[{"1", "-", "q"}], "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"1", "-", "q"}], "q"},
     {"r", "0", "0", "0", "0", 
      RowBox[{"1", "-", "r"}], "0"},
     {"r", "0", "0", "0", "0", "0", 
      RowBox[{"1", "-", "r"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6319052932142076`*^9, 3.6319053164602547`*^9}, {
   3.6319053573873444`*^9, 3.6319054653616185`*^9}, 3.6319054991496863`*^9, 
   3.631905539718993*^9, {3.63190559312407*^9, 3.631905620102109*^9}, {
   3.6319057339312687`*^9, 3.631905775620328*^9}, 3.6319058413244224`*^9, 
   3.6319058734444685`*^9, {3.631905933258554*^9, 3.631905959484593*^9}, {
   3.6319061122892714`*^9, 3.6319061214592843`*^9}, {3.631906163832344*^9, 
   3.631906179444366*^9}, 3.6319062632244835`*^9, 3.631906298186533*^9, {
   3.631906334662585*^9, 3.6319063481126037`*^9}, {3.631906407340689*^9, 
   3.6319064289427195`*^9}, 3.6319064943708115`*^9, 3.631906629797003*^9, {
   3.6319066753280673`*^9, 3.6319066881030855`*^9}, 3.6319068390673*^9, 
   3.6319073422633467`*^9, {3.631907464768628*^9, 3.631907485464698*^9}, 
   3.6319075166787667`*^9, 3.6319075596558824`*^9, 3.631907611969988*^9, 
   3.63190770365821*^9, 3.6319077662523923`*^9, {3.631907904543707*^9, 
   3.631907922510743*^9}, 3.6319750166095963`*^9, 3.6319750905168037`*^9, 
   3.6319836903905754`*^9, {3.6319847906517844`*^9, 3.63198482019687*^9}, {
   3.6319848650639696`*^9, 3.6319849199511147`*^9}, 3.631985088106516*^9, 
   3.631985144702024*^9, {3.631985182908132*^9, 3.631985277922357*^9}, 
   3.631985329123041*^9, 3.6319891338400345`*^9, 3.631989211434261*^9, {
   3.631990874228893*^9, 3.631990938200032*^9}, {3.6319917559833345`*^9, 
   3.6319917819703946`*^9}, {3.6319918960456824`*^9, 3.631991986313944*^9}, {
   3.631992061761157*^9, 3.6319920870752263`*^9}, {3.6319936800540924`*^9, 
   3.631993695457117*^9}, {3.631993794308259*^9, 3.6319938509983416`*^9}, 
   3.6319938928764005`*^9, 3.6319941302617393`*^9, 3.6319941703307967`*^9, 
   3.6319949310948505`*^9, 3.6319952856424937`*^9, {3.6321525216600437`*^9, 
   3.632152561979105*^9}, 3.6321526014911613`*^9, 3.632152668985259*^9, 
   3.632152729814345*^9, {3.632152941467264*^9, 3.63215296276299*^9}, {
   3.632153012795932*^9, 3.632153032088061*^9}, {3.6321531488287363`*^9, 
   3.632153170792863*^9}, {3.6321533149917097`*^9, 3.632153423383313*^9}, 
   3.6321534988847713`*^9, {3.641647714213848*^9, 3.641647729508896*^9}, {
   3.6416478230995145`*^9, 3.6416479019952707`*^9}, 3.6416495461477623`*^9, 
   3.6416495982498455`*^9, 3.6416496662788506`*^9, 3.641649896915925*^9, {
   3.6416500041221056`*^9, 3.641650018651129*^9}, 3.641655281367024*^9, 
   3.6416554392337103`*^9, {3.6422852928713284`*^9, 3.64228530357294*^9}, 
   3.6422857721867433`*^9, 3.64228580936687*^9, 3.6422863727540936`*^9, {
   3.6423293294582815`*^9, 3.6423293473903975`*^9}, 3.6423296063974667`*^9, {
   3.642519019822229*^9, 3.642519029622244*^9}, {3.6425191568524265`*^9, 
   3.6425191703314466`*^9}, {3.6425192399865026`*^9, 3.642519339346774*^9}, 
   3.642519446532979*^9, 3.642519649470292*^9, 3.6425196804173403`*^9, 
   3.6425197616724615`*^9, 3.642519808893533*^9, 3.6425198748666315`*^9, 
   3.6425237587643538`*^9, {3.6425255258937693`*^9, 3.642525534026797*^9}, {
   3.642525929786014*^9, 3.642526075667539*^9}, 3.6425290133166933`*^9, 
   3.6425290452858295`*^9, {3.642529278394722*^9, 3.6425292936057744`*^9}, {
   3.6425293983622074`*^9, 3.64252941650027*^9}, {3.6425295699228635`*^9, 
   3.642529585736924*^9}, 3.642529664042209*^9, {3.642529876144022*^9, 
   3.6425299136171694`*^9}, {3.6425307799023294`*^9, 
   3.6425308918937473`*^9}, {3.6425323650890837`*^9, 3.6425323895551233`*^9}, 
   3.6428673505180306`*^9, {3.643381386349639*^9, 3.643381427929734*^9}, 
   3.643381543756097*^9, {3.6433836213811893`*^9, 3.6433836831573567`*^9}, 
   3.643390996934905*^9, 3.6433910896160374`*^9, 3.643391167444151*^9, 
   3.6446639396933317`*^9, 3.6446639928557386`*^9, 3.64466404861283*^9, 
   3.644664085550888*^9, 3.6446641201199684`*^9, 3.6446641504420195`*^9, {
   3.6477022099847107`*^9, 3.647702222036729*^9}, {3.6477023222412558`*^9, 
   3.647702358257694*^9}, {3.647702447732692*^9, 3.647702456562197*^9}, 
   3.647702716162505*^9, 3.6477029499787273`*^9, {3.6477029864108677`*^9, 
   3.6477030136515155`*^9}, {3.6477031973162537`*^9, 
   3.6477032385073223`*^9}, {3.6477051020508447`*^9, 3.6477051565489616`*^9}, 
   3.647705202116568*^9, 3.6477052331243415`*^9, 3.647706851495418*^9, 
   3.647706968606819*^9, {3.6477070264092093`*^9, 3.6477070580886464`*^9}, 
   3.6477071039693103`*^9, {3.647707155062607*^9, 3.647707171124631*^9}, {
   3.6477088518799505`*^9, 3.6477088613054895`*^9}, 3.6477106419869647`*^9, 
   3.6477107049714007`*^9, 3.6477107770811234`*^9, 3.6477108331473303`*^9, 
   3.6477108706487017`*^9, {3.6477113404289517`*^9, 3.647711425419813*^9}, 
   3.7039545722826605`*^9, {3.703954972385667*^9, 3.7039550145278807`*^9}, 
   3.7039551134157686`*^9, {3.703955210080434*^9, 3.7039552370821342`*^9}, {
   3.7039552825436797`*^9, 3.7039553105444794`*^9}, 3.70395535845627*^9, 
   3.7039554454789715`*^9, 3.7039555079272156`*^9, 3.7039558961300325`*^9, {
   3.7039559434287615`*^9, 3.703955961236542*^9}, 3.703956021571575*^9, 
   3.703956071735591*^9, 3.7039561438027973`*^9, 3.703956188548271*^9, 
   3.7039562338347993`*^9, 3.7039564705709705`*^9, 3.70395650916383*^9, 
   3.703956616700582*^9, {3.703961720961417*^9, 3.703961732584412*^9}, 
   3.7040214753118854`*^9, 3.7040218578974304`*^9, {3.7041478525172267`*^9, 
   3.7041478624727964`*^9}, 3.7041479050652323`*^9, 3.7041480092991943`*^9, {
   3.7041481485261574`*^9, 3.7041481602548285`*^9}, 3.7041489303552313`*^9, 
   3.7041489757253065`*^9, 3.7041491413936853`*^9, 3.704149737550475*^9, 
   3.7041907712109184`*^9, 3.7041910915949183`*^9, 3.7041912478759184`*^9, 
   3.704191692775813*^9, 3.7041920998415055`*^9, 3.704194620872217*^9, {
   3.7041947121581807`*^9, 3.7041947226611805`*^9}, 3.7041961695123873`*^9, 
   3.7041984242077003`*^9, 3.7041995419385257`*^9, 3.7042046398975673`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Full Set of Equilibrium Conditions", "Subsection",
 CellChangeTimes->{{3.615635820236863*^9, 3.6156358261001987`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"F", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ns"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"F", "=", 
      RowBox[{"Join", "[", 
       RowBox[{"F", ",", 
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"Pmat", "[", 
              RowBox[{"[", 
               RowBox[{"ii", ",", "jj"}], "]"}], "]"}], "*", "f"}], "/.", 
            RowBox[{"sp", "\[Rule]", "jj"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"jj", ",", "1", ",", "ns"}], "}"}]}], "]"}], "/.", 
         RowBox[{"s", "\[Rule]", "ii"}]}]}], "]"}]}], ";"}]}], 
   "\[IndentingNewLine]", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6156355973511147`*^9, 3.6156356608097444`*^9}, {
  3.61668936542866*^9, 3.616689395612385*^9}, {3.616689436404713*^9, 
  3.6166894366197257`*^9}, {3.620494238975992*^9, 3.620494255582942*^9}, {
  3.6243726859343023`*^9, 3.624372688134306*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Parameterization", "Section",
 CellChangeTimes->{{3.568151202966816*^9, 3.5681512061819997`*^9}}],

Cell[CellGroupData[{

Cell["Rules", "Subsection",
 CellChangeTimes->{{3.474923433874*^9, 3.4749234344*^9}, 
   3.5493894292229333`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Rules", " ", "Sending", " ", "Variables", " ", "to", " ", "SS", " ", 
    "Values"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"derivrule", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"d", ":", 
        RowBox[{
         RowBox[{
          RowBox[{"Derivative", "[", "__", "]"}], "[", "_", "]"}], "[", "__", 
         "]"}]}], "\[RuleDelayed]", "\[VeryThinSpace]", 
       RowBox[{"d", "[", 
        RowBox[{"[", "0", "]"}], "]"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ssrule", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thread", "[", 
         RowBox[{"xlag", "\[Rule]", "xvarss"}], "]"}], ",", 
        RowBox[{"Thread", "[", 
         RowBox[{"xfunlist", "\[Rule]", "xvarss"}], "]"}], ",", 
        RowBox[{"Thread", "[", 
         RowBox[{"yfunlist", "\[Rule]", "yvarss"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Chi]", "\[Rule]", "0"}], "}"}]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"epsrule", "=", 
     RowBox[{"Thread", "[", 
      RowBox[{"eps", "\[Rule]", "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"epsprule1", "=", 
     RowBox[{"Thread", "[", 
      RowBox[{"epsp", "\[Rule]", "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"epsprule2", "=", 
     RowBox[{"Thread", "[", 
      RowBox[{
       SuperscriptBox["epsp", "2"], "\[Rule]", "1"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.4749234354049997`*^9, 3.474923446801*^9}, {
   3.47492349829*^9, 3.474923508083*^9}, {3.474923543475*^9, 
   3.4749237409110003`*^9}, 3.474923779901*^9, {3.4749245610699997`*^9, 
   3.47492471175*^9}, {3.4749249857279997`*^9, 3.4749250108970003`*^9}, {
   3.4749252735769997`*^9, 3.474925299558*^9}, {3.4749295216070004`*^9, 
   3.474929525333*^9}, 3.474929596758*^9, 3.474930396307*^9, {
   3.474931486099*^9, 3.474931486587*^9}, 3.47493161033*^9, {
   3.4750656713884*^9, 3.4750656786604*^9}, {3.4750742966432*^9, 
   3.4750743061032*^9}, {3.475682641140625*^9, 3.475682644*^9}, {
   3.476557113015625*^9, 3.476557116203125*^9}, {3.476634186140625*^9, 
   3.4766341985625*^9}, {3.47663447765625*^9, 3.476634492109375*^9}, {
   3.4768896582138*^9, 3.4768897020938*^9}, {3.47751102091*^9, 
   3.47751102465*^9}, {3.477511060112*^9, 3.4775110922469997`*^9}, {
   3.477513905223*^9, 3.4775139544049997`*^9}, {3.477513985082*^9, 
   3.477514016223*^9}, {3.477514051443*^9, 3.477514142685*^9}, {
   3.477514319148*^9, 3.477514322231*^9}, {3.477530487416*^9, 
   3.477530490678*^9}, {3.477530536773*^9, 3.4775305583780003`*^9}, {
   3.47758726915075*^9, 3.47758733135075*^9}, {3.477662244609375*^9, 
   3.477662257546875*^9}, {3.477663098*^9, 3.477663103859375*^9}, {
   3.4776632174375*^9, 3.477663217578125*^9}, {3.47766352*^9, 
   3.47766352671875*^9}, {3.477668975*^9, 3.477668975828125*^9}, {
   3.47766900825*^9, 3.477669013375*^9}, 3.477669058390625*^9, 
   3.477669273078125*^9, {3.477669625671875*^9, 3.477669630984375*^9}, {
   3.47767003778125*^9, 3.477670046421875*^9}, {3.4776843262426*^9, 
   3.4776843406706*^9}, {3.4781157131*^9, 3.478115737601*^9}, 
   3.47818579309375*^9, {3.4781897813125*^9, 3.4781898084375*^9}, {
   3.479211813046875*^9, 3.479211889484375*^9}, {3.479211921125*^9, 
   3.47921195228125*^9}, {3.479212164453125*^9, 3.47921219015625*^9}, {
   3.479212277265625*^9, 3.479212283390625*^9}, {3.4806821020625*^9, 
   3.480682115796875*^9}, {3.480762661390625*^9, 3.480762695359375*^9}, {
   3.481543146957209*^9, 3.481543154566584*^9}, {3.481544214519709*^9, 
   3.481544220566584*^9}, {3.481544507472834*^9, 3.481544512832209*^9}, {
   3.481544586113459*^9, 3.481544593222834*^9}, {3.481544702582209*^9, 
   3.481544702847834*^9}, {3.481545013629084*^9, 3.481545046988459*^9}, {
   3.481545079175959*^9, 3.481545079363459*^9}, {3.481545540785334*^9, 
   3.481545591769709*^9}, {3.481545622394709*^9, 3.481545672457209*^9}, {
   3.481552280082209*^9, 3.481552280300959*^9}, 3.481552559113459*^9, {
   3.481552617910334*^9, 3.481552642097834*^9}, {3.481552755800959*^9, 
   3.481552758207209*^9}, {3.4855255267588*^9, 3.4855255269188004`*^9}, {
   3.48552645552355*^9, 3.48552651888105*^9}, {3.4855268751630497`*^9, 
   3.4855269478817997`*^9}, {3.48552758015055*^9, 3.48552775712105*^9}, {
   3.4855281506033*^9, 3.4855281756665497`*^9}, {3.4855282084103003`*^9, 
   3.4855282642833*^9}, {3.4855283332908*^9, 3.48552833381705*^9}, {
   3.4855284188390503`*^9, 3.48552842682655*^9}, {3.4855284895015497`*^9, 
   3.4855284912128*^9}, {3.48552867352155*^9, 3.48552867904655*^9}, {
   3.48552872013655*^9, 3.4855287287740498`*^9}, {3.48552877913855*^9, 
   3.4855287806083*^9}, {3.4855290858483*^9, 3.4855290937845497`*^9}, {
   3.48552990717455*^9, 3.4855299091883*^9}, {3.48552996267955*^9, 
   3.4855299693833*^9}, {3.48553005422255*^9, 3.48553007295755*^9}, {
   3.48553016181555*^9, 3.4855301620230503`*^9}, {3.4855302269993*^9, 
   3.48553022997305*^9}, {3.48553067781905*^9, 3.4855306805703*^9}, {
   3.48553071526005*^9, 3.4855307240713*^9}, {3.4855307754337997`*^9, 
   3.4855307957038*^9}, {3.4855308281413*^9, 3.4855308433588*^9}, {
   3.4855309129108*^9, 3.4855309131183*^9}, {3.48553184430505*^9, 
   3.4855318907338*^9}, {3.48553665855655*^9, 3.4855366963328*^9}, {
   3.4855451023315496`*^9, 3.4855451108753*^9}, {3.48554521333255*^9, 
   3.48554527051455*^9}, {3.48554530936605*^9, 3.48554531292855*^9}, {
   3.48554542939755*^9, 3.4855455260525503`*^9}, {3.48554555941755*^9, 
   3.4855455733638*^9}, {3.4855464618580503`*^9, 3.48554646871555*^9}, {
   3.4856051444120502`*^9, 3.4856051507620497`*^9}, {3.48562729880875*^9, 
   3.4856272994987497`*^9}, {3.48571715887125*^9, 3.48571716074325*^9}, {
   3.4862049460597*^9, 3.4862049650977*^9}, {3.486310416933125*^9, 
   3.48631047251125*^9}, {3.4863746686441*^9, 3.4863746819066*^9}, {
   3.4863751191291*^9, 3.4863752539906*^9}, {3.4863753187946*^9, 
   3.4863754282486*^9}, 3.4863812950442*^9, {3.48924491007495*^9, 
   3.48924494723695*^9}, {3.49331240173*^9, 3.493312406494*^9}, {
   3.4933125816099997`*^9, 3.4933126128450003`*^9}, {3.493314692177*^9, 
   3.493314692382*^9}, {3.4933158290880003`*^9, 3.493315866174*^9}, {
   3.493315984144*^9, 3.49331601485*^9}, {3.50858841825235*^9, 
   3.50858843377535*^9}, {3.50858855348035*^9, 3.50858857110035*^9}, {
   3.50858861679535*^9, 3.50858866308335*^9}, {3.50858870944335*^9, 
   3.5085887287203503`*^9}, {3.50858879101235*^9, 3.50858884957135*^9}, {
   3.5085889001813498`*^9, 3.50858892505935*^9}, {3.50858896936335*^9, 
   3.50858907029635*^9}, {3.5085891537863503`*^9, 3.50858915397335*^9}, {
   3.50858923410435*^9, 3.5085892355893497`*^9}, {3.50858927724235*^9, 
   3.5085893645563498`*^9}, {3.50858945431535*^9, 3.50858947671235*^9}, {
   3.5085895541873503`*^9, 3.5085895997393503`*^9}, {3.50859143499435*^9, 
   3.50859143641835*^9}, {3.50859160774835*^9, 3.5085917147613497`*^9}, 
   3.50859176242835*^9, {3.510666723546875*^9, 3.51066674434375*^9}, {
   3.51066677778125*^9, 3.51066678871875*^9}, {3.510666868203125*^9, 
   3.51066693875*^9}, 3.510666971484375*^9, {3.510667164078125*^9, 
   3.510667180296875*^9}, {3.51066725790625*^9, 3.5106673049375*^9}, {
   3.51066982546875*^9, 3.5106698383125*^9}, {3.510671226015625*^9, 
   3.51067128346875*^9}, {3.51067131534375*^9, 3.510671343171875*^9}, {
   3.5106713938125*^9, 3.510671414296875*^9}, {3.510671600703125*^9, 
   3.51067160678125*^9}, {3.51715008796875*^9, 3.517150090140625*^9}, {
   3.517150437265625*^9, 3.51715044896875*^9}, {3.517150584046875*^9, 
   3.51715059759375*^9}, {3.517150634796875*^9, 3.5171506515625*^9}, {
   3.517150754265625*^9, 3.517150754484375*^9}, {3.517151549*^9, 
   3.51715157053125*^9}, {3.517322244140625*^9, 3.517322258375*^9}, {
   3.517322296953125*^9, 3.51732230790625*^9}, {3.51732234765625*^9, 
   3.517322349015625*^9}, {3.517322388421875*^9, 3.51732239859375*^9}, {
   3.51732272815625*^9, 3.51732273046875*^9}, {3.517322932828125*^9, 
   3.517322948453125*^9}, {3.5173229938125*^9, 3.51732299509375*^9}, {
   3.5202730040735254`*^9, 3.5202730063386545`*^9}, 3.5202731172960014`*^9, 
   3.5202733417888412`*^9, {3.5202748936676035`*^9, 3.520274899297926*^9}, {
   3.5202749352549825`*^9, 3.5202749373191004`*^9}, {3.5202757064510927`*^9, 
   3.5202757306264753`*^9}, {3.5202757652904577`*^9, 3.520275770314745*^9}, {
   3.5203568933199997`*^9, 3.520357061439616*^9}, {3.52035736379991*^9, 
   3.5203573658000245`*^9}, {3.520357395863744*^9, 3.5203574366940794`*^9}, {
   3.520357542031104*^9, 3.520357697334987*^9}, {3.52035775857749*^9, 
   3.5203579414619503`*^9}, 3.5203579763809476`*^9, {3.520358377110868*^9, 
   3.520358377517891*^9}, 3.520358577839349*^9, 3.520358804175295*^9, {
   3.520359621918067*^9, 3.520359626222313*^9}, {3.520359858590604*^9, 
   3.520359887767273*^9}, {3.520853579903921*^9, 3.5208538641921816`*^9}, {
   3.520854046312598*^9, 3.5208540974815254`*^9}, {3.5208542559205875`*^9, 
   3.5208542763117533`*^9}, {3.520854325359559*^9, 3.5208543336000304`*^9}, {
   3.5208550285367785`*^9, 3.520855048506921*^9}, {3.5208572786989503`*^9, 
   3.520857327232726*^9}, {3.520875635751964*^9, 3.5208756746241875`*^9}, 
   3.5359963710675554`*^9, {3.535996434886205*^9, 3.5359964649439244`*^9}, {
   3.5359965046131935`*^9, 3.5359965906671157`*^9}, {3.5359966790991735`*^9, 
   3.535996832030921*^9}, {3.5359969147106495`*^9, 3.5359970868164935`*^9}, {
   3.535997137923417*^9, 3.5359971637648945`*^9}, {3.535997222650263*^9, 
   3.535997227999569*^9}, {3.535997999231681*^9, 3.5359980695587034`*^9}, {
   3.5359981039446697`*^9, 3.535998104158682*^9}, 3.5359982814148207`*^9, {
   3.5359984334935193`*^9, 3.5359984401829014`*^9}, {3.535998486409546*^9, 
   3.535998537919492*^9}, {3.5359986157319427`*^9, 3.5359986218932953`*^9}, {
   3.535998976913601*^9, 3.535998981588868*^9}, 3.5360009310673723`*^9, 
   3.5360010541354113`*^9, 3.5360012299034643`*^9, {3.5360020321363497`*^9, 
   3.53600203423947*^9}, {3.5360021095537777`*^9, 3.536002118075265*^9}, {
   3.5360035588656735`*^9, 3.536003559247696*^9}, {3.5360041232059517`*^9, 
   3.5360041579869413`*^9}, {3.5360041916598673`*^9, 3.536004194271017*^9}, {
   3.5360813492300525`*^9, 3.536081352236224*^9}, {3.5360835047053385`*^9, 
   3.5360835185991335`*^9}, {3.536083574583336*^9, 3.5360836229971046`*^9}, {
   3.536083787320503*^9, 3.5360837876965246`*^9}, {3.536083967408804*^9, 
   3.5360843170418015`*^9}, {3.536084351860793*^9, 3.536084352956856*^9}, {
   3.536084420985747*^9, 3.536084422809851*^9}, {3.53608445425665*^9, 
   3.536084454480663*^9}, {3.53608449517099*^9, 3.536084506816656*^9}, {
   3.536086999201645*^9, 3.5360870059250298`*^9}, {3.5360870816773624`*^9, 
   3.5360870836054726`*^9}, {3.536087175185711*^9, 3.536087178681911*^9}, {
   3.5360878638310995`*^9, 3.536087866450249*^9}, {3.536088342313467*^9, 
   3.5360883487978377`*^9}, {3.536329073056533*^9, 3.53632908874943*^9}, {
   3.536329316170438*^9, 3.536329334117464*^9}, {3.5363293705235467`*^9, 
   3.5363294517231913`*^9}, {3.536329755703578*^9, 3.536329756942649*^9}, {
   3.536334310450094*^9, 3.536334339692767*^9}, {3.5363345956924095`*^9, 
   3.5363345994416237`*^9}, {3.5363350044037867`*^9, 
   3.5363350102461205`*^9}, {3.5364968413140583`*^9, 3.536496921662654*^9}, {
   3.5364971857917614`*^9, 3.5364972263590813`*^9}, {3.5364977930724955`*^9, 
   3.536497799224848*^9}, {3.5365008308582473`*^9, 3.536500834669465*^9}, {
   3.5367818906497*^9, 3.5367818978487*^9}, {3.5367824664477*^9, 
   3.5367825099526997`*^9}, {3.5367836293437*^9, 3.5367836599967003`*^9}, {
   3.5367837738677*^9, 3.5367837900337*^9}, {3.5367849197039003`*^9, 
   3.5367849561099*^9}, {3.5368592827883*^9, 3.5368593168833*^9}, {
   3.536929141049206*^9, 3.536929170631898*^9}, {3.536944326889723*^9, 
   3.5369443287048264`*^9}, {3.5369457147321024`*^9, 
   3.5369457234696026`*^9}, {3.536945758557609*^9, 3.536945762753849*^9}, {
   3.5369490924102945`*^9, 3.536949102957898*^9}, {3.536952304756203*^9, 
   3.5369524129193897`*^9}, {3.5369525614238834`*^9, 3.536952574509632*^9}, {
   3.536952779576361*^9, 3.5369527892979174`*^9}, {3.5369530597443857`*^9, 
   3.5369530671448092`*^9}, {3.5370296254461155`*^9, 3.537029648422429*^9}, {
   3.5371007206210976`*^9, 3.537100729349597*^9}, {3.5371008373027716`*^9, 
   3.5371008451322193`*^9}, {3.5371010514440193`*^9, 3.537101053794154*^9}, {
   3.5371011321386347`*^9, 3.5371011346977816`*^9}, {3.5371977407370005`*^9, 
   3.537197744453213*^9}, {3.537198122716849*^9, 3.5371981271120996`*^9}, {
   3.5371982609037523`*^9, 3.5371982700422754`*^9}, {3.5371992741067047`*^9, 
   3.537199277240884*^9}, {3.5372000490840306`*^9, 3.537200054233325*^9}, {
   3.537200278824171*^9, 3.5372002851115303`*^9}, {3.5372006277661295`*^9, 
   3.537200632993428*^9}, {3.537204877884222*^9, 3.537204882815504*^9}, {
   3.5372099297471724`*^9, 3.537209935285489*^9}, {3.537210124197294*^9, 
   3.5372101294825964`*^9}, {3.5372249835522003`*^9, 3.5372249870892*^9}, {
   3.5372252561001997`*^9, 3.5372252892032003`*^9}, {3.5372254784502*^9, 
   3.5372254844972*^9}, {3.5372259659042*^9, 3.5372259749772*^9}, {
   3.537287593632909*^9, 3.5372876100118456`*^9}, {3.5372887591345716`*^9, 
   3.5372888023840456`*^9}, {3.5372893913307314`*^9, 3.537289397799101*^9}, {
   3.537289431589034*^9, 3.5372896505325565`*^9}, {3.537289727663968*^9, 
   3.537289909752383*^9}, {3.5372902460146165`*^9, 3.5372902908331795`*^9}, {
   3.5372904496662645`*^9, 3.5372906408461995`*^9}, {3.537290698662506*^9, 
   3.5372907248560047`*^9}, {3.5372908797408633`*^9, 3.537290929230694*^9}, {
   3.5372909645147123`*^9, 3.537290992560316*^9}, {3.537291028184354*^9, 
   3.537291118731533*^9}, {3.5372912733963795`*^9, 3.537291542579776*^9}, {
   3.537291869716487*^9, 3.5372918705655355`*^9}, {3.537291927921816*^9, 
   3.537291945671831*^9}, {3.537292100629694*^9, 3.537292116873623*^9}, {
   3.5372926672731047`*^9, 3.537292709588525*^9}, {3.53729305813046*^9, 
   3.537293058360473*^9}, {3.5372932390748096`*^9, 3.537293239584839*^9}, {
   3.537296427094154*^9, 3.537296427817195*^9}, 3.537296488157646*^9, {
   3.537301308671364*^9, 3.537301340281172*^9}, {3.5373725863965616`*^9, 
   3.5373725923559027`*^9}, {3.537373192232213*^9, 3.5373732020507746`*^9}, {
   3.5373736053358417`*^9, 3.537373612665261*^9}, {3.537702706113759*^9, 
   3.537702760937895*^9}, {3.5377028430145893`*^9, 3.537702873814351*^9}, {
   3.5377037457812247`*^9, 3.5377037508825164`*^9}, {3.5377042168951707`*^9, 
   3.5377042232345333`*^9}, {3.537704674666354*^9, 3.5377046797096424`*^9}, 
   3.53770502810557*^9, {3.5377050656987195`*^9, 3.537705072456106*^9}, {
   3.5426315507399073`*^9, 3.5426317650671663`*^9}, {3.542631967621752*^9, 
   3.5426319758972254`*^9}, {3.542632933413992*^9, 3.5426329412744417`*^9}, {
   3.5426397967237153`*^9, 3.5426398174369*^9}, {3.5426404232435503`*^9, 
   3.5426404284978504`*^9}, {3.542640464700921*^9, 3.5426404683301287`*^9}, {
   3.5426405359079943`*^9, 3.5426405393601913`*^9}, {3.5426406141784706`*^9, 
   3.542640625060093*^9}, {3.5426437735867615`*^9, 3.5426437768979506`*^9}, {
   3.5426438381854563`*^9, 3.542643864105939*^9}, {3.542644510857931*^9, 
   3.5426445220675716`*^9}, {3.542644557129577*^9, 3.542644562810902*^9}, {
   3.542644655920228*^9, 3.5426446621255827`*^9}, {3.5426447321375875`*^9, 
   3.5426447373328843`*^9}, {3.54264480876297*^9, 3.5426448146623073`*^9}, 
   3.542645278301826*^9, {3.5426455909647093`*^9, 3.542645595435965*^9}, {
   3.5426457450285215`*^9, 3.542645781707619*^9}, {3.542646515877611*^9, 
   3.542646521463931*^9}, {3.54264756783978*^9, 3.5426475722220306`*^9}, {
   3.542647815668955*^9, 3.5426479892858853`*^9}, {3.5426488872562466`*^9, 
   3.54264891075259*^9}, {3.542648948844769*^9, 3.5426489710390387`*^9}, {
   3.5426522890018153`*^9, 3.542652398278065*^9}, {3.5426524685790863`*^9, 
   3.5426525024830256`*^9}, {3.542993150828664*^9, 3.5429931573470364`*^9}, {
   3.5429934550520644`*^9, 3.5429934729100857`*^9}, {3.5429940071696434`*^9, 
   3.5429940239226017`*^9}, {3.542994301234463*^9, 3.542994320038539*^9}, 
   3.5431636945614476`*^9, {3.5431637283523808`*^9, 3.5431637451093388`*^9}, {
   3.5431637880867968`*^9, 3.5431637902019176`*^9}, {3.543163881763155*^9, 
   3.543163918238241*^9}, {3.54316408256364*^9, 3.543164082652645*^9}, 
   3.543164138115817*^9, {3.5431654650977163`*^9, 3.54316548509486*^9}, {
   3.5431656887955112`*^9, 3.5431656935897856`*^9}, {3.5431658116285367`*^9, 
   3.543165821932126*^9}, {3.543165909082111*^9, 3.5431659133583555`*^9}, 
   3.543166616940598*^9, 3.543167073579752*^9, {3.543167134107858*^9, 
   3.5431671342638583`*^9}, {3.5431672099395914`*^9, 3.543167232622031*^9}, {
   3.5431676808927374`*^9, 3.54316769895277*^9}, {3.543167835114558*^9, 
   3.5431678401578465`*^9}, {3.54316806696682*^9, 3.5431680711310577`*^9}, {
   3.5431683559613495`*^9, 3.543168361558669*^9}, {3.543169410131571*^9, 
   3.5431694139535775`*^9}, {3.5431695860374794`*^9, 3.543169602479909*^9}, {
   3.543169706079691*^9, 3.543169709870497*^9}, {3.543171259147977*^9, 
   3.5431712849304514`*^9}, {3.5431714612835383`*^9, 3.543171475910375*^9}, {
   3.543171576320118*^9, 3.543171581339405*^9}, {3.5431716987911234`*^9, 
   3.5431717036023984`*^9}, {3.543171830598662*^9, 3.5431718357969594`*^9}, 
   3.5432320272757444`*^9, {3.543232544502328*^9, 3.543232548626564*^9}, {
   3.5432327066626034`*^9, 3.543232710538825*^9}, {3.5432328262504435`*^9, 
   3.543232830691697*^9}, 3.543233861203639*^9, {3.543235222123479*^9, 
   3.5432352741604557`*^9}, {3.543235552420371*^9, 3.543235580061952*^9}, {
   3.543236102238819*^9, 3.5432361035458937`*^9}, {3.543236220162564*^9, 
   3.543236233265313*^9}, {3.543236359112511*^9, 3.5432363636917734`*^9}, {
   3.543242538050926*^9, 3.543242543691249*^9}, {3.5432439600732613`*^9, 
   3.5432439602162695`*^9}, {3.5432465340374837`*^9, 3.54324653799471*^9}, {
   3.543246658092579*^9, 3.5432466623208213`*^9}, {3.543246773053155*^9, 
   3.543246778199449*^9}, {3.5432474593794103`*^9, 3.543247474865296*^9}, {
   3.5432476986780977`*^9, 3.543247703553376*^9}, 3.543248170922108*^9, {
   3.543250551208253*^9, 3.543250564220997*^9}, {3.5432506987506914`*^9, 
   3.5432507030699387`*^9}, {3.543254026518029*^9, 3.5432540460321455`*^9}, {
   3.54325421343472*^9, 3.543254223587301*^9}, {3.5432544749566784`*^9, 
   3.5432544799449635`*^9}, {3.5433181762527823`*^9, 
   3.5433181798739896`*^9}, {3.5433183635934973`*^9, 
   3.5433183654266024`*^9}, {3.5433184064949512`*^9, 
   3.5433184075630126`*^9}, {3.5433191050229053`*^9, 
   3.5433191115592785`*^9}, {3.543319285595233*^9, 3.543319289575461*^9}, {
   3.543319736558027*^9, 3.5433197556181173`*^9}, {3.5433210698292856`*^9, 
   3.5433211115766735`*^9}, {3.5433213405277686`*^9, 3.543321354914592*^9}, {
   3.543322295730403*^9, 3.5433223263491545`*^9}, {3.54332251841714*^9, 
   3.543322522631381*^9}, {3.5433227691874833`*^9, 3.5433227834262977`*^9}, {
   3.5433231717955112`*^9, 3.5433232216303616`*^9}, {3.543323387777609*^9, 
   3.54332340512484*^9}, {3.5433236083863077`*^9, 3.5433236123385344`*^9}, {
   3.5433348992862186`*^9, 3.5433349675201216`*^9}, {3.543335297209082*^9, 
   3.543335302497492*^9}, {3.543578443302827*^9, 3.543578447786083*^9}, {
   3.543578554018159*^9, 3.5435785698550653`*^9}, {3.5435795163051987`*^9, 
   3.543579531508068*^9}, {3.5435809284919715`*^9, 3.5435809327412148`*^9}, {
   3.5435810407093897`*^9, 3.5435810530210943`*^9}, {3.5435843869957867`*^9, 
   3.543584439066765*^9}, {3.543584722000948*^9, 3.543584736449774*^9}, {
   3.543584834578387*^9, 3.5435848383086*^9}, 3.543587629309966*^9, {
   3.543592542703996*^9, 3.5435926048735523`*^9}, {3.5435927117686663`*^9, 
   3.5435927154118743`*^9}, {3.5435928466633816`*^9, 3.543592850037575*^9}, {
   3.5435942671786304`*^9, 3.5435943149303617`*^9}, {3.5435945120026336`*^9, 
   3.5435945246633577`*^9}, {3.543594852809127*^9, 3.5435948932474394`*^9}, {
   3.5435951352012787`*^9, 3.5435951496931076`*^9}, 3.5435957343595486`*^9, {
   3.543596384179716*^9, 3.543596421726864*^9}, {3.5435966428145094`*^9, 
   3.5435966470167494`*^9}, {3.543679806441809*^9, 3.5436798162393694`*^9}, {
   3.5436802266308427`*^9, 3.5436802451169*^9}, {3.5436803319048643`*^9, 
   3.5436803362281113`*^9}, {3.5436805572377524`*^9, 
   3.5436805695084543`*^9}, {3.543682596873413*^9, 3.543682597048423*^9}, {
   3.54368262794619*^9, 3.5436826399468765`*^9}, {3.5436827458119316`*^9, 
   3.5436827530023427`*^9}, {3.54368284210944*^9, 3.5436828467267036`*^9}, {
   3.5436846089814987`*^9, 3.54368461057259*^9}, {3.5438574108226614`*^9, 
   3.5438574268895802`*^9}, {3.5438575715248528`*^9, 
   3.5438575749300475`*^9}, {3.5438598175973206`*^9, 
   3.5438598341712685`*^9}, {3.543859989560157*^9, 3.5438600221050177`*^9}, {
   3.5439244552324147`*^9, 3.5439244585506043`*^9}, {3.5439246570239563`*^9, 
   3.54392467089675*^9}, {3.543924905814186*^9, 3.543924935573889*^9}, {
   3.5441878221516466`*^9, 3.5441878704844112`*^9}, {3.544187982856838*^9, 
   3.5441880252132607`*^9}, {3.544188388975067*^9, 3.5441884047179675`*^9}, {
   3.544188820376742*^9, 3.5441888731057577`*^9}, {3.5441890903031807`*^9, 
   3.5441891415561123`*^9}, {3.5441950350241604`*^9, 3.544195043838664*^9}, {
   3.5441951765872574`*^9, 3.5441951878999043`*^9}, {3.544195321254532*^9, 
   3.5441953472750196`*^9}, {3.5441960350283575`*^9, 
   3.5441960632449713`*^9}, {3.5441968095866594`*^9, 3.544196847106806*^9}, {
   3.5441991756219893`*^9, 3.544199244570933*^9}, {3.544200050397023*^9, 
   3.544200106311221*^9}, {3.544279077204401*^9, 3.544279104343953*^9}, {
   3.544279153800782*^9, 3.5442791893508153`*^9}, {3.5442792660071993`*^9, 
   3.544279269491399*^9}, {3.544279871865853*^9, 3.54427989489717*^9}, {
   3.544279985932377*^9, 3.544279991381689*^9}, {3.5442862699548025`*^9, 
   3.544286354144618*^9}, {3.5442864922112217`*^9, 3.544286495861628*^9}, {
   3.5442866406308823`*^9, 3.544286643766488*^9}, {3.544286691402567*^9, 
   3.5442866951177793`*^9}, {3.544290362915064*^9, 3.544290368782399*^9}, {
   3.5443796764012303`*^9, 3.5443796899108543`*^9}, {3.544379810995802*^9, 
   3.5443798160880933`*^9}, {3.5445395890912433`*^9, 3.544539598011753*^9}, {
   3.544540405074915*^9, 3.544540405815957*^9}, {3.544542616672411*^9, 
   3.5445426174874573`*^9}, {3.544544564005766*^9, 3.544544598011711*^9}, {
   3.5445446787373285`*^9, 3.544544682358536*^9}, {3.544545456622821*^9, 
   3.5445454676814537`*^9}, {3.544545502170426*^9, 3.5445455058406363`*^9}, {
   3.5445460643175793`*^9, 3.5445460651796284`*^9}, {3.5447901496296196`*^9, 
   3.5447901570010414`*^9}, {3.5447902234518423`*^9, 
   3.5447902390887365`*^9}, {3.544790872172947*^9, 3.544790873332013*^9}, {
   3.5447930273202143`*^9, 3.5447930704006786`*^9}, {3.544805230834215*^9, 
   3.544805234908448*^9}, {3.544806375541689*^9, 3.544806390983572*^9}, {
   3.5448064835074263`*^9, 3.544806530245108*^9}, {3.544807680697101*^9, 
   3.5448076842203026`*^9}, {3.544809734709584*^9, 3.5448097422960176`*^9}, {
   3.5448857685909605`*^9, 3.5448857906752243`*^9}, {3.544886173531122*^9, 
   3.5448861913791428`*^9}, {3.544886537399934*^9, 3.5448865376839504`*^9}, {
   3.5448937473663206`*^9, 3.544893763128222*^9}, {3.544893795509074*^9, 
   3.5448937958300924`*^9}, {3.5448939834638243`*^9, 
   3.5448939866050043`*^9}, {3.5448941347974806`*^9, 
   3.5448941388827143`*^9}, {3.544894269697196*^9, 3.5448942732864017`*^9}, {
   3.5448949970878005`*^9, 3.544895020063115*^9}, {3.5448970852788196`*^9, 
   3.5448970880556245`*^9}, {3.544980534789818*^9, 3.5449806021356697`*^9}, {
   3.544980705898605*^9, 3.5449807090487847`*^9}, {3.5449808065123596`*^9, 
   3.5449808096525393`*^9}, {3.544980853143027*^9, 3.5449808553491526`*^9}, {
   3.5449814472420073`*^9, 3.544981451413246*^9}, {3.545320857710656*^9, 
   3.5453208773677807`*^9}, {3.545320976581455*^9, 3.5453209951055145`*^9}, {
   3.54532111986065*^9, 3.545321122980829*^9}, {3.545389444914645*^9, 
   3.545389445228663*^9}, {3.5453897268757725`*^9, 3.545389777838687*^9}, {
   3.5453898580082726`*^9, 3.545389862027502*^9}, {3.5453900500112543`*^9, 
   3.545390055133548*^9}, {3.545391331053526*^9, 3.5453913440422688`*^9}, {
   3.5454154012478876`*^9, 3.545415414381639*^9}, {3.5454155993572187`*^9, 
   3.5454156044165087`*^9}, {3.5454179994764605`*^9, 
   3.5454180164164295`*^9}, {3.545418057062754*^9, 3.5454180603439417`*^9}, {
   3.5454181863241477`*^9, 3.545418190191369*^9}, {3.545418275844268*^9, 
   3.545418279239462*^9}, {3.5454972819479947`*^9, 3.545497282282014*^9}, {
   3.545498758885471*^9, 3.545498774489363*^9}, {3.545498898582461*^9, 
   3.5454989019236517`*^9}, {3.5454993564696503`*^9, 3.545499359625831*^9}, {
   3.5456567771593904`*^9, 3.545656805014983*^9}, {3.5493854087678537`*^9, 
   3.5493854095448985`*^9}, {3.5493854613348603`*^9, 
   3.5493854952888026`*^9}, {3.549385535349094*^9, 3.5493856423792157`*^9}, {
   3.5493856780662565`*^9, 3.5493858251866713`*^9}, {3.549385891858485*^9, 
   3.549385910022524*^9}, {3.549386177432819*^9, 3.5493864755638714`*^9}, {
   3.549386566928097*^9, 3.549386567364122*^9}, {3.5493866283226085`*^9, 
   3.5493866308587537`*^9}, {3.549386733198607*^9, 3.5493867365818005`*^9}, 
   3.5493890384735837`*^9, {3.549389264750526*^9, 3.5493892705218563`*^9}, {
   3.549389341696927*^9, 3.549389343039004*^9}, {3.549389403553465*^9, 
   3.549389440477577*^9}, {3.549389499021926*^9, 3.549389516901948*^9}, {
   3.5493895918612356`*^9, 3.5493896464933605`*^9}, 3.549390255033167*^9, {
   3.5493904576567564`*^9, 3.549390464113126*^9}, {3.5493905971017323`*^9, 
   3.549390599530871*^9}, {3.549390711662285*^9, 3.549390718796693*^9}, {
   3.5493909539661436`*^9, 3.5493909571303244`*^9}, 3.5493910571530457`*^9, 
   3.549629215800749*^9, {3.5496301204044895`*^9, 3.5496301905495014`*^9}, {
   3.549632284514269*^9, 3.549632284593274*^9}, 3.5496323344621263`*^9, {
   3.5496378780031986`*^9, 3.54963789114095*^9}, {3.549641150699631*^9, 
   3.5496411513136663`*^9}, {3.549642937228815*^9, 3.549642937411825*^9}, {
   3.5496448849842205`*^9, 3.5496448865653105`*^9}, 3.549645547558117*^9, {
   3.5496463447007113`*^9, 3.549646355355321*^9}, {3.5496466849211707`*^9, 
   3.5496466921365833`*^9}, {3.5496468578500614`*^9, 3.5496468918720074`*^9}, 
   3.549647036359272*^9, {3.549647196360423*^9, 3.5496472252240744`*^9}, {
   3.549648493101593*^9, 3.549648505074278*^9}, {3.5496485865129356`*^9, 
   3.549648611179346*^9}, {3.549650042529215*^9, 3.5496500777682304`*^9}, {
   3.549650112487216*^9, 3.5496501493313236`*^9}, {3.549711703401063*^9, 
   3.549711731126649*^9}, {3.5497125034358225`*^9, 3.5497125101662073`*^9}, {
   3.549712597736216*^9, 3.5497126011884136`*^9}, {3.549713026234725*^9, 
   3.54971311199263*^9}, {3.5497131668007646`*^9, 3.5497132663154564`*^9}, {
   3.5497133224486675`*^9, 3.549713388088422*^9}, {3.5497134278776975`*^9, 
   3.549713431455902*^9}, {3.549713588559888*^9, 3.549713600378564*^9}, {
   3.5497138301347055`*^9, 3.5497138437314825`*^9}, {3.549714007428846*^9, 
   3.549714028080027*^9}, 3.5497240569656467`*^9, {3.5497271134574676`*^9, 
   3.549727113793487*^9}, {3.5497327715950937`*^9, 3.5497327935363483`*^9}, {
   3.5497330584715023`*^9, 3.5497331014589605`*^9}, {3.549733751039115*^9, 
   3.5497337556983814`*^9}, {3.549733979682192*^9, 3.5497339866845927`*^9}, {
   3.5497342090193095`*^9, 3.5497342122874966`*^9}, {3.5497346937890368`*^9, 
   3.5497347032565784`*^9}, {3.5497360090202637`*^9, 
   3.5497360217259903`*^9}, {3.5497361524334664`*^9, 
   3.5497361573507476`*^9}, {3.5497362972007465`*^9, 3.549736300686946*^9}, {
   3.5497364084021072`*^9, 3.549736412005313*^9}, {3.549802846032355*^9, 
   3.549802851313657*^9}, {3.549802983329208*^9, 3.549802987893469*^9}, {
   3.549803029943874*^9, 3.549803035187174*^9}, {3.5498032024647417`*^9, 
   3.549803206683983*^9}, {3.549811830829256*^9, 3.549811832372344*^9}, {
   3.5498123956745634`*^9, 3.549812411366461*^9}, {3.5498125437490325`*^9, 
   3.5498125796460857`*^9}, {3.5498126617547817`*^9, 
   3.5498126659090195`*^9}, {3.549812731907795*^9, 3.5498127354349966`*^9}, {
   3.5498164588129616`*^9, 3.5498164927039*^9}, {3.5498167746530266`*^9, 
   3.5498167784992466`*^9}, {3.5498169490710025`*^9, 
   3.5498169745064573`*^9}, {3.5498173801786604`*^9, 
   3.5498173964015884`*^9}, {3.5498181797313924`*^9, 3.549818192121101*^9}, {
   3.5498189150864525`*^9, 3.549818946795266*^9}, {3.550247298702488*^9, 
   3.550247311148199*^9}, {3.550251696318017*^9, 3.5502517175522313`*^9}, {
   3.5502517482999897`*^9, 3.550251753951313*^9}, {3.5505789682114754`*^9, 
   3.5505790032194777`*^9}, {3.550579174648283*^9, 3.550579176224373*^9}, 
   3.550579305062742*^9, {3.5505802245103316`*^9, 3.5505804043616185`*^9}, {
   3.55058043516438*^9, 3.550580438737585*^9}, {3.550580477658811*^9, 
   3.5505805339670315`*^9}, {3.550581013216443*^9, 3.550581026200186*^9}, {
   3.5505826373943405`*^9, 3.550582679467747*^9}, {3.5505827148947735`*^9, 
   3.5505828686635685`*^9}, {3.5521539961619434`*^9, 3.552154006000506*^9}, {
   3.552240918921979*^9, 3.55224093641698*^9}, {3.552389872378104*^9, 
   3.5523898808795905`*^9}, 3.552389957678983*^9, 3.552392073588006*^9, {
   3.5524043375500336`*^9, 3.552404343849394*^9}, {3.5524045019904394`*^9, 
   3.552404526604847*^9}, {3.552755062968752*^9, 3.5527550632717695`*^9}, 
   3.5552585139977694`*^9, 3.555259351461669*^9, {3.5559348718412886`*^9, 
   3.555934873428379*^9}, {3.5560213532162137`*^9, 3.5560213728323355`*^9}, {
   3.55602141661084*^9, 3.5560214805764985`*^9}, {3.556022720028391*^9, 
   3.556022741814637*^9}, {3.556023535881055*^9, 3.55602354156238*^9}, 
   3.556024586180129*^9, 3.556030238057398*^9, {3.556296027847335*^9, 
   3.5562960481294947`*^9}, 3.5562974878798437`*^9, {3.5562976604897165`*^9, 
   3.5562976936896152`*^9}, {3.556297864281042*^9, 3.556297867683236*^9}, {
   3.5562980449266596`*^9, 3.556298048336664*^9}, 3.559474535797535*^9, {
   3.5594809237458706`*^9, 3.5594809543835144`*^9}, {3.5594810073932967`*^9, 
   3.5594810962050295`*^9}, {3.5595060815485353`*^9, 
   3.5595060841676855`*^9}, {3.5595070730528727`*^9, 3.559507076400064*^9}, {
   3.559507118681712*^9, 3.559507122410119*^9}, {3.559507319073245*^9, 
   3.55950732785606*^9}, {3.5599436291567917`*^9, 3.5599436318667955`*^9}, 
   3.5599453778785925`*^9, 3.5600094971788516`*^9, {3.560010222392832*^9, 
   3.560010223204033*^9}, 3.5600102641305847`*^9, {3.560010898842888*^9, 
   3.5600109060012975`*^9}, {3.560010997115509*^9, 3.56001100150476*^9}, {
   3.5600110948620996`*^9, 3.560011103319583*^9}, {3.5600115117059417`*^9, 
   3.560011517026246*^9}, {3.5600285206664295`*^9, 3.560028552483249*^9}, {
   3.5600286504008493`*^9, 3.560028783992491*^9}, {3.5600289159400377`*^9, 
   3.560029044174372*^9}, {3.5600293961805058`*^9, 3.560029402460865*^9}, {
   3.5600295807630634`*^9, 3.5600295855683384`*^9}, {3.5600296956996374`*^9, 
   3.560029696056658*^9}, {3.560029851077524*^9, 3.5600298523245955`*^9}, {
   3.56003000293021*^9, 3.56003000346424*^9}, {3.560030196748296*^9, 
   3.5600301977703543`*^9}, {3.5600303477859344`*^9, 3.560030347933943*^9}, {
   3.560030631207145*^9, 3.5600306313511534`*^9}, {3.5600312619772234`*^9, 
   3.5600312649683943`*^9}, {3.560031873998229*^9, 3.5600318843238196`*^9}, {
   3.5600857705172415`*^9, 3.5600858477786603`*^9}, {3.560091821772031*^9, 
   3.5600918303985243`*^9}, 3.560103364085464*^9, 3.5601042984819083`*^9, {
   3.56018602488393*^9, 3.5601860309352765`*^9}, {3.5601861701082363`*^9, 
   3.5601861786377244`*^9}, {3.560186304203906*^9, 3.560186308180134*^9}, {
   3.5602515025988855`*^9, 3.560251523949106*^9}, {3.5602522776302147`*^9, 
   3.5602522943971734`*^9}, {3.5602530142913485`*^9, 
   3.5602530176225395`*^9}, {3.5602718117460933`*^9, 
   3.5602718365969367`*^9}, {3.560272354599143*^9, 3.560272369621969*^9}, {
   3.56027403542198*^9, 3.5602740354689827`*^9}, {3.5602754443881845`*^9, 
   3.560275449156458*^9}, {3.5602756071484947`*^9, 3.5602756129768276`*^9}, {
   3.560275862697589*^9, 3.5602758675118647`*^9}, {3.5602761872273674`*^9, 
   3.5602762014421806`*^9}, {3.560285256989397*^9, 3.560285294460663*^9}, {
   3.560285436444273*^9, 3.5602854480079346`*^9}, {3.560285478239664*^9, 
   3.5602854844900217`*^9}, {3.5602859650836735`*^9, 3.560285969185908*^9}, {
   3.5602860023668056`*^9, 3.5602860280162725`*^9}, {3.560286171715806*^9, 
   3.5602861777558146`*^9}, {3.560286786352542*^9, 3.5602868037821674`*^9}, {
   3.5603517214921856`*^9, 3.5603517262444572`*^9}, {3.560353561927496*^9, 
   3.5603535620755043`*^9}, {3.5603537194285045`*^9, 
   3.5603537257868137`*^9}, {3.5603538007133865`*^9, 3.560353808667842*^9}, {
   3.5605113328230243`*^9, 3.5605113363532257`*^9}, {3.5605114272704268`*^9, 
   3.5605114313856616`*^9}, {3.5605115088510923`*^9, 
   3.5605115127973185`*^9}, {3.560512944607213*^9, 3.5605129904348345`*^9}, {
   3.560513120854294*^9, 3.5605131244735007`*^9}, {3.5605131941084833`*^9, 
   3.560513197522679*^9}, {3.5605136986973443`*^9, 3.5605137210606236`*^9}, {
   3.5605138252815847`*^9, 3.5605138296358337`*^9}, {3.5605138925602417`*^9, 
   3.56051389742745*^9}, {3.5605239356525884`*^9, 3.5605239426099863`*^9}, {
   3.560525660588249*^9, 3.560525675309091*^9}, 3.56052609314499*^9, {
   3.5605265188703403`*^9, 3.560526527492833*^9}, 3.560526920971339*^9, 
   3.5605273020331345`*^9, {3.560528229507183*^9, 3.560528234749483*^9}, {
   3.5605283237655745`*^9, 3.560528327276775*^9}, {3.560528921412758*^9, 
   3.5605289240329075`*^9}, {3.560535976825305*^9, 3.5605359997036133`*^9}, {
   3.560536079065153*^9, 3.5605361014364324`*^9}, {3.5605361413297143`*^9, 
   3.560536151028269*^9}, {3.5605362142848873`*^9, 3.5605362156249638`*^9}, {
   3.5605364657412696`*^9, 3.5605364668503327`*^9}, 3.5605369588474736`*^9, {
   3.560540689958*^9, 3.5605406970872126`*^9}, 3.560540878353962*^9, {
   3.560541615019598*^9, 3.5605416192940054`*^9}, {3.5605421299859524`*^9, 
   3.5605421445757866`*^9}, {3.560542340255171*^9, 3.560542340649194*^9}, {
   3.5605425267937307`*^9, 3.560542529759735*^9}, {3.560542916920251*^9, 
   3.560542950893503*^9}, {3.560542980985956*^9, 3.5605430479412737`*^9}, {
   3.5605431054117746`*^9, 3.560543192912328*^9}, {3.5605432512876306`*^9, 
   3.5605432642824535`*^9}, {3.5605432951081076`*^9, 3.560543321530365*^9}, {
   3.5605434258953342`*^9, 3.5605434315376573`*^9}, {3.5605436080689206`*^9, 
   3.560543631685762*^9}, {3.560603124490102*^9, 3.560603133600623*^9}, {
   3.560603274624689*^9, 3.560603287694437*^9}, {3.5606038317085524`*^9, 
   3.5606038686176634`*^9}, {3.5606055157758756`*^9, 3.560605519937114*^9}, {
   3.560609721932454*^9, 3.5606097260646906`*^9}, {3.560610359340912*^9, 
   3.5606103740617537`*^9}, {3.56061042154847*^9, 3.560610426872774*^9}, {
   3.5606109255762987`*^9, 3.5606109453854313`*^9}, {3.5606112732361836`*^9, 
   3.5606112856628942`*^9}, {3.5606137970743985`*^9, 
   3.5606138008526144`*^9}, {3.5606145642052755`*^9, 
   3.5606145648943152`*^9}, {3.5606148317565784`*^9, 3.5606148542368646`*^9}, 
   3.560615635991578*^9, 3.56063331619444*^9, 3.5606334384080315`*^9, {
   3.5606341996562295`*^9, 3.5606342439135075`*^9}, {3.56063436435708*^9, 
   3.5606343991360693`*^9}, {3.560635006301233*^9, 3.560635031725272*^9}, {
   3.560635201685475*^9, 3.560635208315484*^9}, {3.560635471267967*^9, 
   3.5606354952764096`*^9}, {3.5606369194574347`*^9, 
   3.5606369274446487`*^9}, {3.5607193501364827`*^9, 
   3.5607193616381407`*^9}, {3.5607196528927994`*^9, 3.5607196546509*^9}, {
   3.5607199625593066`*^9, 3.560719987815751*^9}, {3.560720064021885*^9, 
   3.560720090448331*^9}, {3.560720935067073*^9, 3.5607209457756853`*^9}, {
   3.5607210091693115`*^9, 3.560721023739145*^9}, {3.560721104564768*^9, 
   3.5607211095360518`*^9}, {3.5607212135109987`*^9, 
   3.5607212263287325`*^9}, {3.5613970890566244`*^9, 3.561397160585716*^9}, {
   3.561398017792745*^9, 3.5613980203498917`*^9}, {3.5613981058147798`*^9, 
   3.561398107345867*^9}, {3.5613981510083647`*^9, 3.5613982701041765`*^9}, {
   3.5614019769191475`*^9, 3.561402053592533*^9}, {3.5648532250135374`*^9, 
   3.564853245060684*^9}, {3.5648551999364967`*^9, 3.5648552264430127`*^9}, {
   3.564855329530909*^9, 3.5648553454498196`*^9}, {3.564855481033574*^9, 
   3.5648554994776297`*^9}, {3.564857051767415*^9, 3.5648570558546495`*^9}, {
   3.564857088510517*^9, 3.5648571203023353`*^9}, {3.5648654415529523`*^9, 
   3.5648655209804955`*^9}, {3.564865586957269*^9, 3.564865598618936*^9}, {
   3.564865657032277*^9, 3.5648656729451876`*^9}, {3.564865725528195*^9, 
   3.5648657343536997`*^9}, {3.5648657757340665`*^9, 
   3.5648657964702525`*^9}, {3.5648659310189486`*^9, 3.56486596269576*^9}, {
   3.5648676871313925`*^9, 3.564867691161623*^9}, {3.5657065578314743`*^9, 
   3.565706563369484*^9}, {3.565707244040679*^9, 3.5657072491106877`*^9}, {
   3.565708825586258*^9, 3.5657088310785723`*^9}, {3.5657096529855824`*^9, 
   3.5657096592209387`*^9}, {3.5657130353109016`*^9, 3.565713039946167*^9}, {
   3.5657152034215775`*^9, 3.565715208857888*^9}, {3.565717599081601*^9, 
   3.5657176038518744`*^9}, {3.565718018525592*^9, 3.5657180397778077`*^9}, {
   3.5657186948172736`*^9, 3.5657186987524986`*^9}, {3.565723161624967*^9, 
   3.565723166991377*^9}, {3.565725420739029*^9, 3.5657254255523043`*^9}, {
   3.565725565365301*^9, 3.565725598829215*^9}, {3.565725646257928*^9, 
   3.5657256548724203`*^9}, {3.5657259899525857`*^9, 
   3.5657260002241735`*^9}, {3.5657262094181385`*^9, 3.565726213597378*^9}, {
   3.565726993260972*^9, 3.5657269968351765`*^9}, {3.5657272409071364`*^9, 
   3.5657272451203775`*^9}, {3.566043640560302*^9, 3.5660436619947395`*^9}, {
   3.5661492515818977`*^9, 3.5661492571002135`*^9}, {3.569627151796133*^9, 
   3.5696271583125057`*^9}, {3.5696273511265345`*^9, 3.569627380729227*^9}, {
   3.569627454953473*^9, 3.569627535307069*^9}, {3.5696282621126394`*^9, 
   3.569628286029008*^9}, {3.569628477666969*^9, 3.5696285222825203`*^9}, 
   3.5696288445589533`*^9, {3.569628877098815*^9, 3.5696288955728717`*^9}, {
   3.569946741288313*^9, 3.5699467498148003`*^9}, {3.5775564560304503`*^9, 
   3.577556471160472*^9}, {3.577556527690551*^9, 3.577556528570552*^9}, {
   3.5775603546600604`*^9, 3.577560359300067*^9}, {3.5775604453426895`*^9, 
   3.5775604502626963`*^9}, {3.5775605242133007`*^9, 
   3.5775605280133057`*^9}, {3.5775605700533648`*^9, 3.577560572943369*^9}, {
   3.577560613703426*^9, 3.577560618643433*^9}, {3.577618368305851*^9, 
   3.577618415395917*^9}, {3.577618464216985*^9, 3.577618509219552*^9}, {
   3.5776185438996005`*^9, 3.577618548669607*^9}, {3.5776186182863464`*^9, 
   3.5776186234163537`*^9}, {3.615568166025161*^9, 3.6155682062524614`*^9}, {
   3.6155682831358585`*^9, 3.6155683149166765`*^9}, {3.615568461514062*^9, 
   3.6155685477749953`*^9}, {3.6155687017378016`*^9, 
   3.6155687315605073`*^9}, {3.6155690870368395`*^9, 
   3.6155691248059998`*^9}, {3.6155691997322855`*^9, 3.615569200565333*^9}, {
   3.6155694035619435`*^9, 3.615569405300043*^9}, {3.6155694617702727`*^9, 
   3.6155694625643187`*^9}, {3.615569514654298*^9, 3.615569515859367*^9}, 
   3.615573517160228*^9, {3.615573549703089*^9, 3.615573562946847*^9}, {
   3.615573777327109*^9, 3.6155737946140976`*^9}, 3.615573839381658*^9, 
   3.6155831033127356`*^9, {3.615583143554037*^9, 3.6155831454571457`*^9}, {
   3.6155842511073856`*^9, 3.6155843117858562`*^9}, {3.6155843440557017`*^9, 
   3.615584344830746*^9}, {3.6155845110992565`*^9, 3.61558455417772*^9}, {
   3.6155848971868067`*^9, 3.6155848975468273`*^9}, {3.6155849397942367`*^9, 
   3.615584939890242*^9}, {3.615585062465251*^9, 3.615585098301301*^9}, {
   3.6155851424168243`*^9, 3.615585231775935*^9}, 3.615586108859145*^9, {
   3.6155863835466423`*^9, 3.6155863854657516`*^9}, {3.615586603479205*^9, 
   3.615586649693843*^9}, {3.6155867354437313`*^9, 3.6155867648274097`*^9}, {
   3.61558680330061*^9, 3.615586885141282*^9}, {3.6155876761705165`*^9, 
   3.6155877089363904`*^9}, {3.6155882095960035`*^9, 
   3.6155882417188406`*^9}, {3.615588479160204*^9, 3.6155884796342044`*^9}, {
   3.615588584417903*^9, 3.615588584513909*^9}, {3.6155888510326753`*^9, 
   3.6155888755654793`*^9}, 3.6155890205648317`*^9, {3.6156357007330275`*^9, 
   3.615635706961384*^9}, 3.6156357387082*^9, 3.6156358944481077`*^9, {
   3.615635970333448*^9, 3.6156359715085154`*^9}, {3.6196369333553724`*^9, 
   3.619636933526973*^9}, {3.631907666874132*^9, 3.6319076723441467`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Parameterization", "Subsection",
 CellChangeTimes->{{3.6156357171419663`*^9, 3.615635719510102*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"fixedparmlist", "=", 
   RowBox[{"{", 
    RowBox[{
    "\[Beta]", ",", "\[Omega]", ",", "\[Theta]", ",", "\[Alpha]", ",", "lbar",
      ",", "\[Delta]", ",", "\[Gamma]", ",", "\[Eta]", ",", "\[Rho]c", ",", 
     "\[Rho]i", ",", "\[Rho]r", ",", "\[Phi]\[Pi]", ",", "\[Phi]y", ",", 
     "\[Sigma]c", ",", "\[Sigma]i", ",", "r"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fixedparmvals", "=", 
   RowBox[{"{", 
    RowBox[{
    "0.995", ",", "2", ",", "2", ",", "0.33", ",", "0.33", ",", "0.025", ",", 
     "0.66", ",", "10.0", ",", "0.9", ",", "0.9", ",", "0.7", ",", "1.5", ",",
      "0", ",", "0.005", ",", "0.005", ",", 
     SuperscriptBox["10.", 
      RowBox[{"-", "4"}]]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fixedparmrule", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{"fixedparmlist", "\[Rule]", "fixedparmvals"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"switchparmrule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", "\[Rule]", "0.01"}], ",", 
     RowBox[{"q", "\[Rule]", "0.50"}], ",", 
     RowBox[{"\[Mu]i0", "\[Rule]", "0.18"}], ",", 
     RowBox[{"\[Mu]i1", "\[Rule]", "0.20"}], ",", 
     RowBox[{"\[Mu]c0", "\[Rule]", "0.05"}], ",", 
     RowBox[{"\[Mu]c1", "\[Rule]", "0.07"}], ",", 
     RowBox[{"filename", "\[Rule]", "\"\<rules_check\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"switchparmrule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", "\[Rule]", "0.01"}], ",", 
     RowBox[{"q", "\[Rule]", "0.50"}], ",", 
     RowBox[{"\[Mu]i0", "\[Rule]", "0.18"}], ",", 
     RowBox[{"\[Mu]i1", "\[Rule]", "0.18"}], ",", 
     RowBox[{"\[Mu]c0", "\[Rule]", "0.05"}], ",", 
     RowBox[{"\[Mu]c1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"filename", "\[Rule]", "\"\<rules_check2\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"parmrule", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"{", 
     RowBox[{"fixedparmrule", ",", "switchparmrule"}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.5681535807469482`*^9, 3.5681535879229603`*^9}, {
   3.568215491216636*^9, 3.5682155031093163`*^9}, 3.5682239940479703`*^9, {
   3.568225724123925*^9, 3.568225825161704*^9}, {3.5682262578694534`*^9, 
   3.568226274231389*^9}, {3.5692583910674305`*^9, 3.56925844791393*^9}, {
   3.569258517872656*^9, 3.5692585304150777`*^9}, {3.5692587172389045`*^9, 
   3.569258743421402*^9}, 3.5692648039942455`*^9, 3.5692674250948668`*^9, {
   3.5692679018262186`*^9, 3.569268012914811*^9}, {3.5693395941334276`*^9, 
   3.5693396049550467`*^9}, {3.5703046636997166`*^9, 
   3.5703046682779784`*^9}, {3.5703050227542534`*^9, 
   3.5703050306577053`*^9}, {3.570905651424016*^9, 3.5709056793246117`*^9}, {
   3.570906984162244*^9, 3.5709071797704325`*^9}, {3.57090932415868*^9, 
   3.5709094528980436`*^9}, {3.571525194321679*^9, 3.5715252541321845`*^9}, {
   3.5715255221406555`*^9, 3.571525528177866*^9}, {3.571525568113936*^9, 
   3.5715255837763634`*^9}, {3.5715868254271927`*^9, 3.571586826893595*^9}, {
   3.571587686291505*^9, 3.5715876909559126`*^9}, {3.5715889114251204`*^9, 
   3.5715889127511225`*^9}, {3.571590254017276*^9, 3.5715902554212785`*^9}, 
   3.5715934207092457`*^9, {3.571594334929056*^9, 3.571594359296299*^9}, {
   3.5715949335561075`*^9, 3.5715949865650005`*^9}, {3.571595081943568*^9, 
   3.5715950832851706`*^9}, {3.5715951491640863`*^9, 3.571595217772607*^9}, {
   3.571595257100276*^9, 3.5715953609460583`*^9}, {3.57165968063253*^9, 
   3.571659698697362*^9}, 3.571659824222989*^9, {3.571659930351575*^9, 
   3.571659943954799*^9}, 3.571659984795671*^9, {3.571660370072548*^9, 
   3.571660384440173*^9}, 3.571660506026787*^9, {3.5716605472420588`*^9, 
   3.571660565509691*^9}, 3.5716606759744854`*^9, {3.5716696379900303`*^9, 
   3.5716696692680845`*^9}, {3.571672075752145*^9, 3.571672127793836*^9}, {
   3.5716736983383074`*^9, 3.5716738121093073`*^9}, {3.5716778327705755`*^9, 
   3.5716778361245813`*^9}, {3.5717473109052544`*^9, 
   3.5717473184556675`*^9}, {3.5720412927346344`*^9, 
   3.5720412940606365`*^9}, {3.5720422645715413`*^9, 
   3.5720422654295425`*^9}, {3.572042296161597*^9, 3.572042296941598*^9}, {
   3.572042679018469*^9, 3.572042680016871*^9}, {3.5720431047286167`*^9, 
   3.572043112778231*^9}, {3.5720436519941783`*^9, 3.572043660121793*^9}, {
   3.572044047268673*^9, 3.5720440485478745`*^9}, {3.5720441528634586`*^9, 
   3.5720441535810595`*^9}, {3.572044425364737*^9, 3.5720444689824133`*^9}, {
   3.5720447856005697`*^9, 3.572044786708172*^9}, {3.572045040147217*^9, 
   3.5720450427524214`*^9}, {3.572045167694041*^9, 3.572045180423663*^9}, {
   3.5720954292353106`*^9, 3.572095432485315*^9}, {3.572095769219429*^9, 
   3.5720957708594313`*^9}, {3.5720994314268827`*^9, 3.572099434196887*^9}, {
   3.572099918635625*^9, 3.572099923825632*^9}, {3.5721008855055404`*^9, 
   3.572100886605542*^9}, {3.5721023820357633`*^9, 3.572102383065765*^9}, {
   3.57210272029876*^9, 3.572102723168764*^9}, {3.5721035131344385`*^9, 
   3.5721035142544403`*^9}, {3.572110696062571*^9, 3.572110697748623*^9}, {
   3.572111147129559*^9, 3.5721111486989803`*^9}, {3.572632491980899*^9, 
   3.572632535175179*^9}, {3.572633016813266*^9, 3.5726330224276533`*^9}, {
   3.5726337340038548`*^9, 3.5726337360245123`*^9}, 3.5726927402712765`*^9, {
   3.5726928213739047`*^9, 3.572692821533905*^9}, {3.5727101832688603`*^9, 
   3.572710215918906*^9}, 3.5727102986865344`*^9, 3.5727108436768713`*^9, {
   3.5727109903345876`*^9, 3.572710997774598*^9}, {3.572711058524683*^9, 
   3.572711073577217*^9}, {3.572711595238949*^9, 3.5727115978489523`*^9}, {
   3.5727124213501883`*^9, 3.5727124231101913`*^9}, 3.5727130324156075`*^9, {
   3.5727134292237034`*^9, 3.572713451723735*^9}, 3.572714024816618*^9, 
   3.5727153495785685`*^9, {3.572715678421588*^9, 3.5727156795715895`*^9}, {
   3.5727167382866473`*^9, 3.5727167455066576`*^9}, {3.5727170256480665`*^9, 
   3.572717026798068*^9}, {3.5727173110220165`*^9, 3.5727173121020174`*^9}, {
   3.572717620442469*^9, 3.572717621672471*^9}, {3.5727177562471657`*^9, 
   3.572717757227167*^9}, {3.5727180247350984`*^9, 3.5727180382251177`*^9}, {
   3.572718186588826*^9, 3.5727181875988274`*^9}, {3.572718476129303*^9, 
   3.5727184908693237`*^9}, {3.5727188906460238`*^9, 3.572718891596025*^9}, {
   3.572718959026122*^9, 3.5727189610161247`*^9}, {3.572719116032385*^9, 
   3.572719117882387*^9}, {3.5727192960421495`*^9, 3.572719297122151*^9}, {
   3.5727194082723255`*^9, 3.5727194091523266`*^9}, {3.5727197576078396`*^9, 
   3.5727197680178537`*^9}, {3.5727201495619364`*^9, 
   3.5727201506419377`*^9}, {3.5727788561533914`*^9, 3.572778861573399*^9}, {
   3.572778988678587*^9, 3.572778992328592*^9}, {3.572779201257413*^9, 
   3.5727792022774143`*^9}, {3.572779467046296*^9, 3.5727794682587986`*^9}, {
   3.5727807897346144`*^9, 3.5727807964346237`*^9}, {3.5727816727717905`*^9, 
   3.5727816796418004`*^9}, {3.572781851644545*^9, 3.572781858134554*^9}, {
   3.572782272741243*^9, 3.572782295701275*^9}, {3.5727827583014545`*^9, 
   3.5727827798414946`*^9}, {3.572783986277199*^9, 3.57278399441721*^9}, {
   3.572784238658552*^9, 3.5727842400985537`*^9}, {3.5727843472747135`*^9, 
   3.5727843485347147`*^9}, {3.572784688274231*^9, 3.572784695274241*^9}, 
   3.5727852063175077`*^9, {3.572785245497563*^9, 3.572785245637563*^9}, {
   3.5727853445177016`*^9, 3.5727853478677063`*^9}, {3.5727861699924254`*^9, 
   3.572786172422429*^9}, {3.572786263780061*^9, 3.5727862731500735`*^9}, {
   3.572790327139424*^9, 3.572790332100232*^9}, {3.5727968708361235`*^9, 
   3.5727968892661495`*^9}, {3.5727974316574135`*^9, 3.572797441517427*^9}, {
   3.5727986946270094`*^9, 3.572798698537015*^9}, {3.5727989900074472`*^9, 
   3.5727989961474557`*^9}, {3.5727994844402122`*^9, 3.5727994855802145`*^9}, 
   3.572800032863524*^9, {3.5728012901849284`*^9, 3.572801299874942*^9}, {
   3.57280184755526*^9, 3.572801848705262*^9}, {3.5728020179906883`*^9, 
   3.5728020194506903`*^9}, {3.572802123475836*^9, 3.572802134255851*^9}, {
   3.5728022631585846`*^9, 3.572802264638587*^9}, {3.5728028564004235`*^9, 
   3.572802857440425*^9}, {3.5728031114392824`*^9, 3.5728031140392857`*^9}, {
   3.5728037771920195`*^9, 3.572803778292021*^9}, {3.572804025012391*^9, 
   3.572804030852399*^9}, {3.5728043284788947`*^9, 3.572804330848898*^9}, {
   3.5728047121694813`*^9, 3.5728047239894977`*^9}, {3.572805097093551*^9, 
   3.572805131961113*^9}, {3.572805650367403*^9, 3.5728056528274064`*^9}, {
   3.5728059392213745`*^9, 3.572805945001383*^9}, {3.572806031866506*^9, 
   3.5728060667165546`*^9}, 3.572806266535243*^9, {3.572811332411453*^9, 
   3.5728113416466694`*^9}, {3.5728115690638685`*^9, 
   3.5728116064883347`*^9}, {3.5728121450626802`*^9, 
   3.5728121521606927`*^9}, {3.5728645300530443`*^9, 3.5728645468230677`*^9}, 
   3.5732183570981913`*^9, 3.5732184487908335`*^9, {3.5732222655081897`*^9, 
   3.5732222667981915`*^9}, {3.573386257277524*^9, 3.5733862967775793`*^9}, {
   3.5733868278418245`*^9, 3.573386828661826*^9}, {3.573387464467286*^9, 
   3.573387466177289*^9}, {3.573390497961056*^9, 3.573390512281084*^9}, {
   3.573391147522668*^9, 3.5733911546526785`*^9}, 3.5733912916456113`*^9, {
   3.5733913718057237`*^9, 3.573391372085724*^9}, {3.5733958693600235`*^9, 
   3.573395871102532*^9}, {3.5733962848931427`*^9, 3.573396310923179*^9}, {
   3.5733965561585484`*^9, 3.573396562918558*^9}, {3.573397920378584*^9, 
   3.5733979219685864`*^9}, {3.573400231558552*^9, 3.573400233288554*^9}, {
   3.573415062794257*^9, 3.5734150651342616`*^9}, {3.5734154830755973`*^9, 
   3.5734154851816015`*^9}, {3.5734155366148915`*^9, 
   3.5734155845849752`*^9}, {3.573415804297762*^9, 3.5734158050153627`*^9}, {
   3.5734167574354362`*^9, 3.5734167657814503`*^9}, {3.5734172985847864`*^9, 
   3.5734173062756*^9}, {3.5734176315441713`*^9, 3.573417639780986*^9}, {
   3.573418062338928*^9, 3.5734180704665422`*^9}, {3.573418567017415*^9, 
   3.5734185744274273`*^9}, {3.5734194658773937`*^9, 3.573419474067408*^9}, {
   3.5734198142260056`*^9, 3.573419814990407*^9}, {3.5734200242959747`*^9, 
   3.5734200249355755`*^9}, {3.573420819281182*^9, 3.5734208200923834`*^9}, 
   3.5745139289565496`*^9, {3.5746138336787357`*^9, 3.5746138890588136`*^9}, {
   3.574613934768888*^9, 3.5746139469289055`*^9}, {3.574614167556732*^9, 
   3.5746141686267333`*^9}, {3.574614543573291*^9, 3.574614552773304*^9}, {
   3.574614896871301*^9, 3.574614898011303*^9}, {3.5746150200234776`*^9, 
   3.5746150212334795`*^9}, {3.574615166583691*^9, 3.5746151756412163`*^9}, {
   3.5746154029465375`*^9, 3.5746154047240458`*^9}, {3.5746159458998203`*^9, 
   3.574615955119834*^9}, {3.5746161757701426`*^9, 3.574616183760154*^9}, {
   3.5746165047426033`*^9, 3.574616505612604*^9}, {3.5746165885727205`*^9, 
   3.574616589672722*^9}, {3.574616864963107*^9, 3.574616865913109*^9}, 
   3.5746170079153075`*^9, {3.5746171154789615`*^9, 3.574617120828969*^9}, {
   3.574617517477393*^9, 3.574617519957797*^9}, {3.5746206405400786`*^9, 
   3.5746206416788807`*^9}, {3.5746299092994876`*^9, 3.574629923947913*^9}, {
   3.5746306583696036`*^9, 3.5746306595396056`*^9}, {3.5898881301073427`*^9, 
   3.589888130530367*^9}, {3.5898889031245565`*^9, 3.5898890664508986`*^9}, {
   3.589889290031687*^9, 3.5898892965340586`*^9}, {3.589889331315048*^9, 
   3.5898893315860634`*^9}, {3.589889493299313*^9, 3.5898895021038165`*^9}, {
   3.589889557974012*^9, 3.589889561109192*^9}, {3.589890156614252*^9, 
   3.5898901573892965`*^9}, {3.589890558421234*^9, 3.58989056987889*^9}, {
   3.5898906991522837`*^9, 3.5898907061536846`*^9}, {3.589891120250369*^9, 
   3.5898911263727193`*^9}, {3.5898940487383814`*^9, 
   3.5898940685192156`*^9}, {3.589894541522092*^9, 3.589894574761993*^9}, {
   3.5898946675282993`*^9, 3.5898946903036013`*^9}, {3.5898947240805335`*^9, 
   3.589894725694626*^9}, 3.5898985015495925`*^9, {3.5898988395759263`*^9, 
   3.589898868498581*^9}, 3.5898989597057977`*^9, {3.589899083039852*^9, 
   3.589899099404788*^9}, 3.589899248311305*^9, {3.5898993215784955`*^9, 
   3.589899324223647*^9}, {3.589899447116676*^9, 3.5898994606274486`*^9}, {
   3.5898997805667477`*^9, 3.5898997904453135`*^9}, 3.589900723080657*^9, {
   3.5899007542874413`*^9, 3.589900755295499*^9}, {3.5899009055310926`*^9, 
   3.589900909983347*^9}, {3.589901042455924*^9, 3.5899010443010297`*^9}, {
   3.5899013999733725`*^9, 3.5899014001583834`*^9}, 3.5899026215862455`*^9, 
   3.589902949212984*^9, {3.589902985307049*^9, 3.5899029936575265`*^9}, {
   3.5899034374219084`*^9, 3.589903437661922*^9}, {3.589903673721424*^9, 
   3.589903692867519*^9}, {3.589907662850439*^9, 3.5899076635368404`*^9}, 
   3.5899080786937757`*^9, 3.589909381948072*^9, {3.589910370562821*^9, 
   3.5899103708436213`*^9}, {3.5899113717755766`*^9, 
   3.5899113932008023`*^9}, {3.5899117864042377`*^9, 3.589911792566249*^9}, {
   3.589911953434533*^9, 3.5899119609381466`*^9}, 3.5899224471128955`*^9, 
   3.5899229035840044`*^9, {3.5899254702958117`*^9, 3.589925475814127*^9}, {
   3.589925957514679*^9, 3.589925958115713*^9}, {3.589935824916397*^9, 
   3.589935835664816*^9}, 3.5899358711548786`*^9, 3.5899359254117737`*^9, 
   3.58993608840786*^9, {3.5899370520826197`*^9, 3.5899370589934316`*^9}, {
   3.5899385735284986`*^9, 3.5899385877089233`*^9}, {3.5899817910469685`*^9, 
   3.5899818353585033`*^9}, {3.5899818907506714`*^9, 3.589981910925825*^9}, {
   3.5899819650939236`*^9, 3.5899819653169365`*^9}, {3.5899820013329964`*^9, 
   3.5899820020130353`*^9}, {3.5899820689578643`*^9, 
   3.5899820722450523`*^9}, {3.589982250619255*^9, 3.589982255899557*^9}, {
   3.589983051158043*^9, 3.589983057685416*^9}, {3.5899831012779093`*^9, 
   3.5899831125895567`*^9}, {3.5899831436213317`*^9, 
   3.5899831551729927`*^9}, {3.589984717234337*^9, 3.589984717546355*^9}, 
   3.589985001728609*^9, {3.5899854145332203`*^9, 3.5899854483811564`*^9}, {
   3.5899856634594584`*^9, 3.58998568097946*^9}, {3.589986275975492*^9, 
   3.5899862975107236`*^9}, {3.589986341623247*^9, 3.589986371085932*^9}, {
   3.5899866885080876`*^9, 3.5899866948924527`*^9}, {3.589987674467481*^9, 
   3.589987773422141*^9}, {3.5899880852129745`*^9, 3.5899880860610228`*^9}, {
   3.589988161276325*^9, 3.589988161524339*^9}, {3.5899891329489017`*^9, 
   3.589989147338724*^9}, {3.5899896436251106`*^9, 3.5899896458972406`*^9}, {
   3.5899907248739543`*^9, 3.5899907275861096`*^9}, {3.58999076221809*^9, 
   3.5899908017453513`*^9}, 3.5899908815929184`*^9, {3.589991099687392*^9, 
   3.5899911000704145`*^9}, {3.5899914472052693`*^9, 3.589991457916882*^9}, {
   3.5899920244802876`*^9, 3.589992034765876*^9}, {3.5899922628689227`*^9, 
   3.5899922978559237`*^9}, {3.5899923309038143`*^9, 3.589992331622855*^9}, {
   3.5899924632223825`*^9, 3.589992500837534*^9}, {3.589994557304157*^9, 
   3.5899945703269014`*^9}, {3.589995658008114*^9, 3.5899958924145207`*^9}, {
   3.5899959718060617`*^9, 3.5899959758222914`*^9}, {3.5899960085021605`*^9, 
   3.5899960141974864`*^9}, {3.589996591473505*^9, 3.5899966101735744`*^9}, {
   3.589996921895404*^9, 3.589996931391947*^9}, {3.5899969729063215`*^9, 
   3.5899969739503813`*^9}, {3.5899971685815134`*^9, 3.589997173397789*^9}, {
   3.5899973425244627`*^9, 3.5899973505729227`*^9}, {3.58999898559344*^9, 
   3.589999053626332*^9}, {3.5899991074024076`*^9, 3.5899991080744457`*^9}, {
   3.5899996950700207`*^9, 3.5899997129900455`*^9}, {3.59000009561193*^9, 
   3.5900001513241167`*^9}, {3.590000632267625*^9, 3.590000792444786*^9}, {
   3.5900008782406936`*^9, 3.590000878406703*^9}, {3.5900009208071284`*^9, 
   3.5900009341418915`*^9}, {3.590000991805189*^9, 3.5900010331975565`*^9}, {
   3.590001186851345*^9, 3.590001201376176*^9}, {3.5900012521710815`*^9, 
   3.5900012606685677`*^9}, {3.590001352345811*^9, 3.590001354817952*^9}, {
   3.5900699236526766`*^9, 3.5900699758186607`*^9}, {3.590070706380446*^9, 
   3.5900707134888525`*^9}, {3.5900712834354515`*^9, 3.590071284489512*^9}, {
   3.590071589105935*^9, 3.590071594564247*^9}, {3.590071627533133*^9, 
   3.5900716282921762`*^9}, {3.590071893802363*^9, 3.5900718993746815`*^9}, {
   3.590071949969575*^9, 3.590071956533951*^9}, {3.5900720613209443`*^9, 
   3.590072067655307*^9}, {3.5900721219734135`*^9, 3.590072128403781*^9}, {
   3.5900721615696783`*^9, 3.590072163018761*^9}, {3.590072206548251*^9, 
   3.590072238155059*^9}, {3.5900722765372543`*^9, 3.5900722780103383`*^9}, {
   3.590072387522602*^9, 3.5900723897047267`*^9}, {3.5900724458519382`*^9, 
   3.590072455410485*^9}, {3.5900844359317317`*^9, 3.59008448940679*^9}, {
   3.59008470847832*^9, 3.5900847152477074`*^9}, {3.5901550361124687`*^9, 
   3.590155055456503*^9}, 3.590155262208116*^9, 3.590155430902765*^9, {
   3.590155634744424*^9, 3.590155634903433*^9}, {3.5901560138181057`*^9, 
   3.590156014890167*^9}, {3.590157075923855*^9, 3.5901570766258945`*^9}, {
   3.590160197325389*^9, 3.5901602005175714`*^9}, {3.590160395197706*^9, 
   3.5901603976128445`*^9}, {3.5901624712674503`*^9, 3.59016247999795*^9}, {
   3.590170337879067*^9, 3.5901703389661293`*^9}, {3.590182476937961*^9, 
   3.5901824851747756`*^9}, {3.5901825246116447`*^9, 
   3.5901826671635294`*^9}, {3.590182712508123*^9, 3.590182713067155*^9}, {
   3.590182762667992*^9, 3.5901829053901553`*^9}, {3.590182943572339*^9, 
   3.5901830862194977`*^9}, {3.5902588392647753`*^9, 3.5902588514304714`*^9}, 
   3.5902590156538644`*^9, 3.590259121151899*^9, 3.5902592164513493`*^9, 
   3.590259317947155*^9, 3.5902594513987875`*^9, {3.590259784948866*^9, 
   3.590259789144106*^9}, {3.591391947169063*^9, 3.5913919475030823`*^9}, {
   3.591391980072945*^9, 3.591391985560259*^9}, {3.591392291260744*^9, 
   3.5913923032064276`*^9}, {3.5913925491224933`*^9, 
   3.5913926072778196`*^9}, {3.5913928406291666`*^9, 3.591392841420212*^9}, {
   3.5913973295819197`*^9, 3.591397333205127*^9}, {3.5913973926425266`*^9, 
   3.5913974190840387`*^9}, {3.5913974614184604`*^9, 3.591397461888487*^9}, {
   3.5913979813071966`*^9, 3.5913979934918933`*^9}, {3.5913980258637447`*^9, 
   3.591398026163762*^9}, {3.591974341527979*^9, 3.5919743498864565`*^9}, {
   3.591974407271739*^9, 3.591974445642934*^9}, {3.5919745290327034`*^9, 
   3.5919745363211203`*^9}, {3.591974566754861*^9, 3.5919745677279167`*^9}, {
   3.591974613799552*^9, 3.5919746205009356`*^9}, {3.59197473912272*^9, 
   3.591974746097119*^9}, {3.5919747954189396`*^9, 3.59197480224333*^9}, {
   3.5919748836219845`*^9, 3.5919748951786456`*^9}, {3.591974926267424*^9, 
   3.5919749274684925`*^9}, {3.59197497741735*^9, 3.5919750164215803`*^9}, {
   3.5919750676385098`*^9, 3.591975068622566*^9}, {3.5919751440878825`*^9, 
   3.5919751467190332`*^9}, {3.591976501518523*^9, 3.591976531660247*^9}, {
   3.5920500669737644`*^9, 3.5920500786384315`*^9}, {3.592050358593444*^9, 
   3.592050391322316*^9}, {3.59205042233309*^9, 3.592050530487276*^9}, {
   3.592050572765694*^9, 3.5920505926478314`*^9}, {3.5920669722232423`*^9, 
   3.5920670381610136`*^9}, {3.592067541388797*^9, 3.592067542170841*^9}, {
   3.5920676216193857`*^9, 3.592067623114471*^9}, {3.5920680545131454`*^9, 
   3.5920680664098263`*^9}, {3.592068468785841*^9, 3.592068469592887*^9}, {
   3.592068499875619*^9, 3.592068528375249*^9}, {3.5920687806646795`*^9, 
   3.592068786588018*^9}, {3.5920688239841566`*^9, 3.59206882491221*^9}, {
   3.592069064593919*^9, 3.5920690716943254`*^9}, {3.5920692013297396`*^9, 
   3.5920692084541473`*^9}, {3.5920692882057085`*^9, 3.592069296166164*^9}, {
   3.5920693636090217`*^9, 3.592069369014331*^9}, {3.5920694256285686`*^9, 
   3.5920694271076536`*^9}, {3.5920694602825513`*^9, 
   3.5920694681900034`*^9}, {3.592069517711836*^9, 3.5920695249092474`*^9}, {
   3.5920695618963633`*^9, 3.5920695629904256`*^9}, {3.592069676105895*^9, 
   3.592069680403141*^9}, {3.592069785405147*^9, 3.5920697870502415`*^9}, {
   3.59215673287513*^9, 3.5921567349282475`*^9}, {3.5921569115693507`*^9, 
   3.5921569203138514`*^9}, {3.592157256590085*^9, 3.5921572639535065`*^9}, {
   3.592157370192583*^9, 3.5921573759409113`*^9}, {3.5921574100368614`*^9, 
   3.59215741105192*^9}, {3.5921574665400934`*^9, 3.592157471408372*^9}, {
   3.5921575395392685`*^9, 3.592157545751624*^9}, {3.5921575840818167`*^9, 
   3.5921575850578723`*^9}, {3.592157622345005*^9, 3.5921576232660575`*^9}, {
   3.592157682827464*^9, 3.592157687867753*^9}, {3.592157744439988*^9, 
   3.592157752276437*^9}, {3.5921577839372473`*^9, 3.5921577848823013`*^9}, {
   3.5921578209183626`*^9, 3.5921578217284093`*^9}, {3.592157866925994*^9, 
   3.5921579593942833`*^9}, 3.592158004295851*^9, {3.5921589993767667`*^9, 
   3.592159046936487*^9}, {3.5921723909865413`*^9, 3.5921724021861815`*^9}, {
   3.592172453415112*^9, 3.5921724569033117`*^9}, {3.592172506610154*^9, 
   3.5921725072451906`*^9}, {3.592172578158247*^9, 3.5921726010245543`*^9}, {
   3.5921726367826*^9, 3.592172637450638*^9}, {3.592172678829005*^9, 
   3.592172680062075*^9}, {3.592172741839609*^9, 3.592172742457644*^9}, {
   3.5921727963177247`*^9, 3.592172796984763*^9}, {3.5921728427593813`*^9, 
   3.592172843358415*^9}, {3.5921729487544436`*^9, 3.592172956245872*^9}, {
   3.5921730086108675`*^9, 3.5921730092419033`*^9}, {3.5921730495252075`*^9, 
   3.5921730503662558`*^9}, {3.5921731385372987`*^9, 
   3.5921731481088457`*^9}, {3.592173199268772*^9, 3.5921731999208097`*^9}, {
   3.5921732440533338`*^9, 3.59217324504539*^9}, {3.5921732866517706`*^9, 
   3.592173287542821*^9}, {3.5921733714366198`*^9, 3.592173385817442*^9}, {
   3.5921734602877016`*^9, 3.5921734607977304`*^9}, {3.592217133427711*^9, 
   3.5922171349397974`*^9}, {3.5922172415338945`*^9, 3.592217242291938*^9}, {
   3.592217809936405*^9, 3.5922178112554803`*^9}, {3.5922179453251486`*^9, 
   3.59221795268657*^9}, {3.5922187764686875`*^9, 3.5922188199331737`*^9}, {
   3.5922188744632926`*^9, 3.5922188827147646`*^9}, {3.592219016346408*^9, 
   3.5922190243718667`*^9}, {3.592219122650488*^9, 3.5922191287198353`*^9}, {
   3.592219196036686*^9, 3.592219204719182*^9}, {3.5922194439388647`*^9, 
   3.5922194451769357`*^9}, {3.5922197967200427`*^9, 3.592219803547433*^9}, {
   3.592220011884349*^9, 3.5922200173436613`*^9}, {3.592220131596196*^9, 
   3.59222013813157*^9}, {3.592220199058055*^9, 3.592220204751381*^9}, {
   3.592223599665559*^9, 3.592223602343712*^9}, 3.5922249615414534`*^9, {
   3.594587131909172*^9, 3.594587132489173*^9}, {3.594587327028911*^9, 
   3.5945873387689276`*^9}, {3.594587409989027*^9, 3.594587410599028*^9}, {
   3.594587455259092*^9, 3.5945874562790933`*^9}, {3.5945875178411837`*^9, 
   3.5945875185011845`*^9}, {3.5949071663182287`*^9, 
   3.5949071734282384`*^9}, {3.5949072314983196`*^9, 3.594907235368325*^9}, {
   3.5949073091284285`*^9, 3.5949073096284294`*^9}, {3.5949073449174976`*^9, 
   3.5949073454166985`*^9}, {3.5949074235876365`*^9, 3.594907424430038*^9}, {
   3.594907456678095*^9, 3.5949074597357006`*^9}, {3.594907642863222*^9, 
   3.5949076448912253`*^9}, {3.5949079700633955`*^9, 3.594907973604602*^9}, {
   3.5949081884321775`*^9, 3.594908194235388*^9}, {3.594908314609599*^9, 
   3.5949083157328005`*^9}, {3.5949084003317494`*^9, 
   3.5949084007997503`*^9}, {3.5949085618700333`*^9, 
   3.5949085660820403`*^9}, {3.5949088411035647`*^9, 
   3.5949088428663683`*^9}, {3.5949090935520077`*^9, 3.59490909512761*^9}, {
   3.59490948194829*^9, 3.594909485115095*^9}, {3.5949107325292234`*^9, 
   3.594910734338826*^9}, {3.5949107917021275`*^9, 3.59491079276293*^9}, {
   3.594910922050356*^9, 3.5949109261531634`*^9}, {3.594911394741988*^9, 
   3.594911396910392*^9}, {3.6017438153769903`*^9, 3.6017438186731787`*^9}, {
   3.601765597016188*^9, 3.6017656065162015`*^9}, {3.6017663022601767`*^9, 
   3.60176630451018*^9}, {3.601766407163175*^9, 3.6017664085992575`*^9}, {
   3.6017665072939024`*^9, 3.6017665106030912`*^9}, {3.6017666005352354`*^9, 
   3.6017666376633587`*^9}, {3.601767484060059*^9, 3.6017674862200623`*^9}, {
   3.601767537334136*^9, 3.601767554926162*^9}, {3.601816374125837*^9, 
   3.601816389515717*^9}, {3.60181652838766*^9, 3.6018165504829235`*^9}, {
   3.6018166831185102`*^9, 3.6018166871417403`*^9}, {3.6018167967410088`*^9, 
   3.601816823124518*^9}, {3.601817079419177*^9, 3.6018170812922845`*^9}, {
   3.6021745282349286`*^9, 3.6021745287599583`*^9}, {3.6021748049451914`*^9, 
   3.6021748436052456`*^9}, {3.6021749677554207`*^9, 3.602174968855422*^9}, {
   3.602176143501071*^9, 3.6021761516810827`*^9}, {3.602177211207573*^9, 
   3.602177219777585*^9}, {3.602178584692933*^9, 3.6021785904342613`*^9}, {
   3.6021788019393587`*^9, 3.6021788072286615`*^9}, {3.6021789740432024`*^9, 
   3.602178974556232*^9}, {3.6021790248221073`*^9, 3.60217902539714*^9}, {
   3.6021790837574778`*^9, 3.6021790841895027`*^9}, {3.602182102027113*^9, 
   3.6021821241653795`*^9}, {3.6021832568811665`*^9, 3.602183270659955*^9}, {
   3.6021833239520035`*^9, 3.6021833570858984`*^9}, {3.631904958088379*^9, 
   3.631905051066599*^9}, {3.63190520971499*^9, 3.6319052106349916`*^9}, {
   3.631905753620297*^9, 3.631905770560321*^9}, {3.631906097844251*^9, 
   3.631906119719282*^9}, 3.6319062446284575`*^9, {3.631906342842596*^9, 
   3.6319063452725997`*^9}, {3.631907333466324*^9, 3.63190733966334*^9}, {
   3.63198367654055*^9, 3.6319836767505503`*^9}, {3.631984845936925*^9, 
   3.631984908701089*^9}, {3.631985084620508*^9, 3.6319850859905114`*^9}, 
   3.6319851427210197`*^9, {3.63198517818812*^9, 3.63198527525935*^9}, {
   3.6319853069629955`*^9, 3.6319853264330363`*^9}, {3.6319908682888813`*^9, 
   3.631990935500027*^9}, 3.63199109301845*^9, 3.6319911251655197`*^9, {
   3.631991745907314*^9, 3.631991780100391*^9}, {3.6319918871386642`*^9, 
   3.631991982478936*^9}, {3.631992052251134*^9, 3.631992084310221*^9}, {
   3.631993791958256*^9, 3.6319938438083315`*^9}, {3.6319938894563956`*^9, 
   3.6319938906763973`*^9}, {3.6319940633086424`*^9, 3.631994146127763*^9}, {
   3.631994917831823*^9, 3.6319949282518444`*^9}, {3.631995203186378*^9, 
   3.6319952410104313`*^9}, {3.63199527586248*^9, 3.6319952830224905`*^9}, {
   3.632152536524067*^9, 3.6321525423240747`*^9}, {3.6321529356001525`*^9, 
   3.6321529435832963`*^9}, {3.632153010343914*^9, 3.6321530153159485`*^9}, {
   3.632153145372714*^9, 3.6321531511797533`*^9}, {3.632153301398616*^9, 
   3.6321533401898518`*^9}, {3.6321533757320366`*^9, 3.63215340618622*^9}, {
   3.6321534903877144`*^9, 3.6321534973927655`*^9}, {3.6416477086258354`*^9, 
   3.6416477170858545`*^9}, {3.6416478197865095`*^9, 
   3.6416478291305227`*^9}, {3.6416478599661913`*^9, 
   3.6416478993432665`*^9}, {3.6416495337807417`*^9, 
   3.6416495433877583`*^9}, {3.641649582579821*^9, 3.6416495928598375`*^9}, {
   3.6416496625888453`*^9, 3.6416496640588474`*^9}, {3.6416498818528976`*^9, 
   3.6416498935529194`*^9}, {3.6416499832450747`*^9, 3.641650011195117*^9}, {
   3.641655259553991*^9, 3.6416552780240183`*^9}, {3.6416553971805735`*^9, 
   3.6416554356887016`*^9}, {3.6422852872210045`*^9, 
   3.6422852955584817`*^9}, {3.6422855416835594`*^9, 
   3.6422855717412786`*^9}, {3.6422857096191645`*^9, 3.642285803290522*^9}, 
   3.6422862955916805`*^9, {3.642286348830725*^9, 3.6422863588793*^9}, {
   3.6423292761381063`*^9, 3.6423293322322903`*^9}, {3.6423295897704105`*^9, 
   3.642329602640453*^9}, {3.6425188761220193`*^9, 3.6425188771220207`*^9}, {
   3.6425192106741858`*^9, 3.642519329949757*^9}, {3.6425194434929748`*^9, 
   3.6425194447529764`*^9}, {3.642519620243248*^9, 3.642519631382264*^9}, 
   3.642519677937337*^9, {3.642519758672457*^9, 3.642519759232458*^9}, {
   3.6425198019125214`*^9, 3.64251980655153*^9}, {3.6425237548943405`*^9, 
   3.642523756080346*^9}, {3.6425255157187133`*^9, 3.642525533133793*^9}, {
   3.6425259268460064`*^9, 3.64252607269753*^9}, {3.6425289911486216`*^9, 
   3.642529049042841*^9}, {3.642529208938469*^9, 3.642529237542562*^9}, {
   3.642529275695712*^9, 3.642529289394761*^9}, {3.642529395461198*^9, 
   3.64252941364126*^9}, {3.6425295549428115`*^9, 3.6425295827269106`*^9}, {
   3.6425296595971947`*^9, 3.642529661707201*^9}, 3.6425298620499763`*^9, {
   3.6425298922270913`*^9, 3.6425299113711605`*^9}, {3.6425307756883163`*^9, 
   3.642530888786738*^9}, {3.642532352326064*^9, 3.642532386872119*^9}, {
   3.642867342113014*^9, 3.642867343672017*^9}, {3.643381365022591*^9, 
   3.6433814255147295`*^9}, {3.643381538989087*^9, 3.6433815406990905`*^9}, {
   3.6433835636340485`*^9, 3.6433836811723537`*^9}, {3.64339097916488*^9, 
   3.6433909936949005`*^9}, {3.643391086306033*^9, 3.6433910865260334`*^9}, {
   3.6433911644341464`*^9, 3.643391164564147*^9}, {3.64466393034631*^9, 
   3.644663930920312*^9}, 3.6446639899487333`*^9, {3.6446640392278166`*^9, 
   3.6446640438678226`*^9}, 3.6446640826958838`*^9, 3.6446641179839644`*^9, 
   3.6446641483210163`*^9, 3.644664185127266*^9, {3.6477022052647038`*^9, 
   3.6477022067947063`*^9}, {3.647702317541239*^9, 3.647702354172662*^9}, {
   3.6477024444075017`*^9, 3.647702451589913*^9}, {3.6477027125874324`*^9, 
   3.6477027131134367`*^9}, {3.647702946712713*^9, 3.647702947176714*^9}, {
   3.647702983585861*^9, 3.647703011811513*^9}, {3.6477031944462476`*^9, 
   3.64770323624622*^9}, {3.647703267709421*^9, 3.6477032684224243`*^9}, {
   3.6477050989596677`*^9, 3.6477051544338408`*^9}, {3.6477051981943436`*^9, 
   3.6477051991764*^9}, {3.647705230698203*^9, 3.647705231332239*^9}, {
   3.6477068485354137`*^9, 3.647706849335415*^9}, {3.647706965626815*^9, 
   3.647706966406816*^9}, {3.647707023969206*^9, 3.6477070558295174`*^9}, {
   3.647707092979295*^9, 3.6477070984293027`*^9}, {3.6477071517126026`*^9, 
   3.6477071689346275`*^9}, 3.647708601746644*^9, {3.647708831290773*^9, 
   3.6477088584133244`*^9}, {3.6477106354409513`*^9, 3.647710640263962*^9}, {
   3.647710701125394*^9, 3.647710702208397*^9}, {3.647710774079952*^9, 
   3.647710830727192*^9}, {3.6477108677616963`*^9, 3.647710872761705*^9}, {
   3.647711091102691*^9, 3.6477110946628947`*^9}, {3.6477111964207153`*^9, 
   3.6477112056382422`*^9}, {3.647711294030298*^9, 3.6477114200045033`*^9}, {
   3.64771233889437*^9, 3.6477123402104187`*^9}, 3.7039546188843203`*^9, {
   3.7039552622486506`*^9, 3.703955306401065*^9}, {3.7039554707685003`*^9, 
   3.7039555418666096`*^9}, {3.703956013086727*^9, 3.7039560186632843`*^9}, {
   3.703956061993617*^9, 3.70395606952137*^9}, {3.703956436021516*^9, 
   3.703956467405654*^9}, {3.703956597827695*^9, 3.703956611844096*^9}, {
   3.7039629691723003`*^9, 3.7039629798453674`*^9}, {3.704147715958423*^9, 
   3.7041477278861055`*^9}, {3.7041487743909345`*^9, 
   3.7041487766150618`*^9}, {3.704149429350853*^9, 3.704149464197846*^9}, 
   3.7041907553529186`*^9, {3.704191244011918*^9, 3.7041912441399183`*^9}, {
   3.7041920967121925`*^9, 3.7041920968642077`*^9}, {3.704199524820814*^9, 
   3.7041995336046925`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ergodic Means", "Subsection",
 CellChangeTimes->{{3.620494534347886*^9, 3.6204945810835595`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Ergodic", " ", "Probabilities"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ergodicA", "=", 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Transpose", "[", "Pmat", "]"}], "-", 
        RowBox[{"IdentityMatrix", "[", "ns", "]"}]}], ",", 
       RowBox[{"ConstantArray", "[", 
        RowBox[{"1", ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "ns"}], "}"}]}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ergodicvec", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Inverse", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", "ergodicA", "]"}], ".", "ergodicA"}], 
         "]"}], ".", 
        RowBox[{"Transpose", "[", "ergodicA", "]"}]}], ")"}], "[", 
      RowBox[{"[", 
       RowBox[{";;", ",", 
        RowBox[{"ns", "+", "1"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"barrule", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Thread", "[", 
         RowBox[{"tvarss", "\[Rule]", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"Table", "[", 
             RowBox[{"tvars", ",", 
              RowBox[{"{", 
               RowBox[{"s", ",", "1", ",", "ns"}], "}"}]}], "]"}], "]"}], ".",
            "ergodicvec"}]}], "]"}], "/.", "regimerule"}], "/.", "funrulei"}],
       "/.", "parmrule"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6204945844867544`*^9, 3.620494673908869*^9}, {
   3.620494763739007*^9, 3.6204947710124226`*^9}, {3.620494823499425*^9, 
   3.620494851947052*^9}, {3.620494885586976*^9, 3.620494899898795*^9}, {
   3.6204949469464855`*^9, 3.6204950028816853`*^9}, 3.620495691309061*^9, 
   3.6204957362206297`*^9, {3.627770528426388*^9, 3.6277705442182913`*^9}, {
   3.6277711112525373`*^9, 3.627771132260739*^9}, {3.627775283415066*^9, 
   3.6277752893440747`*^9}, {3.62783396790539*^9, 3.6278339690233917`*^9}, {
   3.6278343315073624`*^9, 3.6278343714384546`*^9}, {3.6278344219056034`*^9, 
   3.627834454089677*^9}, {3.6319058470554304`*^9, 3.631905847585431*^9}, 
   3.6319058914364953`*^9, {3.6319750392396927`*^9, 3.631975040719696*^9}, {
   3.7041946146842175`*^9, 3.7041946182202177`*^9}, {3.7041946910242176`*^9, 
   3.7041946912562175`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ergodicA", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Transpose", "[", "Pmat", "]"}], "-", 
      RowBox[{"IdentityMatrix", "[", "ns", "]"}]}], ",", 
     RowBox[{"ConstantArray", "[", 
      RowBox[{"1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "ns"}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ergodicvec", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Inverse", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", "ergodicA", "]"}], ".", "ergodicA"}], "]"}],
       ".", 
      RowBox[{"Transpose", "[", "ergodicA", "]"}]}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{";;", ",", 
      RowBox[{"ns", "+", "1"}]}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6425195796011877`*^9, 3.6425195953352118`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Perturbation Point", "Section",
 CellChangeTimes->{{3.48311335421875*^9, 3.48311335684375*^9}, {
  3.4874368457853003`*^9, 3.4874368490483*^9}, {3.5899119842445917`*^9, 
  3.589911986116595*^9}}],

Cell[CellGroupData[{

Cell["Analytic Steady State", "Subsection",
 CellChangeTimes->{{3.567807495215351*^9, 3.567807498101356*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"In", " ", "Levels"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"lss", "=", "lbar"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[CapitalPi]ss", "=", "1"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[Tau]css", "=", "\[Mu]cbar"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[Tau]iss", "=", "\[Mu]ibar"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Pss", "=", "1"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[Nu]ss", "=", "1"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"rbss", "=", 
     RowBox[{"1", "/", "\[Beta]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"uss", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", "\[Beta]"}], "-", "1", "+", "\[Delta]"}], ")"}], 
      "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Tau]iss"}], ")"}]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"mcss", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Eta]", "-", "1"}], ")"}], "/", "\[Eta]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"wss", "=", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox[
        RowBox[{"\[Eta]", "-", "1"}], 
        RowBox[{"\[Eta]", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["1", 
            RowBox[{"1", "-", "\[Alpha]"}]], ")"}], 
          RowBox[{"1", "-", "\[Alpha]"}]], 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox["1", "\[Alpha]"], ")"}], "\[Alpha]"], "*", 
         SuperscriptBox["uss", "\[Alpha]"]}]], ")"}], 
      FractionBox["1", 
       RowBox[{"1", "-", "\[Alpha]"}]]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kss", "=", 
     RowBox[{
      RowBox[{"\[Alpha]", "/", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Alpha]"}], ")"}]}], "*", 
      RowBox[{"wss", "/", "uss"}], "*", "lbar"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"invss", "=", 
     RowBox[{"\[Delta]", "*", "kss"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yss", "=", 
     RowBox[{
      SuperscriptBox["kss", "\[Alpha]"], "*", 
      SuperscriptBox["lbar", 
       RowBox[{"1", "-", "\[Alpha]"}]]}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"css", "=", 
     RowBox[{"yss", "-", "invss"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bss", "=", 
     RowBox[{"mcss", "*", 
      RowBox[{"yss", "/", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"\[Beta]", "*", "\[Gamma]"}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]ss", "=", 
     FractionBox[
      SuperscriptBox["css", 
       RowBox[{"-", "\[Omega]"}]], 
      RowBox[{"1", "+", "\[Tau]css"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Epsilon]iss", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Epsilon]css", "=", "0"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.5678083051247606`*^9, 3.567808564568816*^9}, {
   3.5678086080616927`*^9, 3.567808623131319*^9}, {3.567810222005316*^9, 
   3.567810320363488*^9}, {3.5678103737165823`*^9, 3.567810399316227*^9}, {
   3.5678104431699038`*^9, 3.567810525257248*^9}, 3.5678105734925327`*^9, {
   3.567810619138212*^9, 3.567810692193141*^9}, {3.5678107376984205`*^9, 
   3.5678108786706676`*^9}, {3.5678175464223547`*^9, 
   3.5678175494019604`*^9}, {3.5680348888888206`*^9, 3.56803489097694*^9}, {
   3.568036799721114*^9, 3.5680368013202057`*^9}, {3.568045473341217*^9, 
   3.5680454737482405`*^9}, {3.5680455154106236`*^9, 
   3.5680455173357334`*^9}, {3.568045668436376*^9, 3.568045668634387*^9}, {
   3.568048460940098*^9, 3.5680484632592306`*^9}, {3.5680485084528155`*^9, 
   3.56804850975489*^9}, {3.5680489994919014`*^9, 3.5680490015790205`*^9}, {
   3.570905703118973*^9, 3.570905705489108*^9}, {3.5715799937128916`*^9, 
   3.571579996271296*^9}, {3.5715800379857693`*^9, 3.571580040793774*^9}, {
   3.571580267059372*^9, 3.5715802685569744`*^9}, {3.571585916727996*^9, 
   3.5715859506736555`*^9}, {3.571585988940523*^9, 3.5715859899077244`*^9}, {
   3.571589554848251*^9, 3.571589557110255*^9}, {3.5715896148927565`*^9, 
   3.5715897196625404`*^9}, {3.5727108453068733`*^9, 
   3.5727108469368763`*^9}, {3.5727111530273294`*^9, 
   3.5727111543673315`*^9}, {3.5727111911473827`*^9, 3.572711193207386*^9}, 
   3.5898881491094294`*^9, {3.58988824247077*^9, 3.589888252776359*^9}, {
   3.5898883280966673`*^9, 3.5898887848707933`*^9}, 3.589888891860913*^9, 
   3.5898890305558453`*^9, {3.5898891276674*^9, 3.5898891727229767`*^9}, {
   3.5898892057548666`*^9, 3.5898892811021757`*^9}, {3.589889323883623*^9, 
   3.589889396875798*^9}, {3.5898894686369023`*^9, 3.589889470258995*^9}, {
   3.5898896178744383`*^9, 3.5898896182144575`*^9}, {3.5898898493526783`*^9, 
   3.5898898497276993`*^9}, {3.5898898839766583`*^9, 
   3.5898898885009174`*^9}, {3.589890170883068*^9, 3.5898901719141273`*^9}, {
   3.5898902116754017`*^9, 3.589890213777522*^9}, {3.5898912752472343`*^9, 
   3.589891276141286*^9}, {3.589923810869898*^9, 3.589924023469058*^9}, {
   3.5899241994991264`*^9, 3.589924199666136*^9}, {3.5899830833648853`*^9, 
   3.589983092084384*^9}, {3.5899831618203726`*^9, 3.58998321248127*^9}, {
   3.5899832765479345`*^9, 3.589983286867525*^9}, {3.5899833529963074`*^9, 
   3.5899833541143713`*^9}, {3.589983458171323*^9, 3.589983475033287*^9}, {
   3.589984720167505*^9, 3.589984786309288*^9}, {3.5899854233347235`*^9, 
   3.5899854270999393`*^9}, {3.589985474344641*^9, 3.589985490359557*^9}, {
   3.5899855548152437`*^9, 3.5899855707911577`*^9}, {3.58998619744*^9, 
   3.5899862560853543`*^9}, {3.5899863136596475`*^9, 
   3.5899863139726653`*^9}, {3.5899863938212323`*^9, 3.589986406843977*^9}, {
   3.589986459748003*^9, 3.5899864633682103`*^9}, {3.5899865104229016`*^9, 
   3.5899865195104218`*^9}, {3.5899866658277903`*^9, 3.5899867856506433`*^9}, 
   3.5899868336903915`*^9, {3.589989998974435*^9, 3.589990021659733*^9}, {
   3.589991110684022*^9, 3.589991110955037*^9}, 3.5899915028274508`*^9, {
   3.589992511995172*^9, 3.5899925387707033`*^9}, {3.589992589463603*^9, 
   3.5899926198333397`*^9}, {3.589992728769571*^9, 3.589992756346148*^9}, {
   3.5899928495854807`*^9, 3.589992906772752*^9}, {3.589992977161778*^9, 
   3.5899929793209014`*^9}, {3.589993082422798*^9, 3.589993150926717*^9}, {
   3.5899932857534285`*^9, 3.589993286224455*^9}, 3.589993513259441*^9, {
   3.589994539689149*^9, 3.589994542445307*^9}, {3.590182036705188*^9, 
   3.5901820933332872`*^9}, {3.590182126467746*^9, 3.590182126686146*^9}, {
   3.5901822350439367`*^9, 3.590182280611616*^9}, {3.591398006756652*^9, 
   3.5913980082997403`*^9}, {3.592139423150448*^9, 3.5921395048461204`*^9}, {
   3.592140210662304*^9, 3.5921402359499483`*^9}, {3.5921402690532064`*^9, 
   3.592140271393211*^9}, 3.5921521437226458`*^9, {3.592152201934975*^9, 
   3.592152229689563*^9}, {3.5921600231733246`*^9, 3.5921600451175795`*^9}, {
   3.5921609669823074`*^9, 3.592160978114944*^9}, {3.5921628735843587`*^9, 
   3.592162895619619*^9}, {3.5921739248732743`*^9, 3.592173934740839*^9}, {
   3.5922171104633975`*^9, 3.592217125241243*^9}, 3.592217190773991*^9, {
   3.592217415184827*^9, 3.5922174154658427`*^9}, {3.6021749995174685`*^9, 
   3.6021750312175126`*^9}, {3.602175467040124*^9, 3.602175500720171*^9}, {
   3.631905075730682*^9, 3.6319052890331755`*^9}, {3.6319056336721277`*^9, 
   3.6319056962712154`*^9}, {3.6319061391603093`*^9, 3.63190616086234*^9}, {
   3.6319062484384627`*^9, 3.6319062611844807`*^9}, {3.631906607447971*^9, 
   3.631906609267974*^9}, {3.6319066818030767`*^9, 3.631906685403082*^9}, {
   3.631907822049511*^9, 3.6319079206107388`*^9}, {3.631975084296792*^9, 
   3.6319750868167973`*^9}, {3.6319891149229927`*^9, 
   3.6319891227690086`*^9}, {3.6319936476610465`*^9, 3.631993677524089*^9}, {
   3.6321524949180045`*^9, 3.6321525170500374`*^9}, {3.6321525566390977`*^9, 
   3.6321525598191023`*^9}, {3.632152638194214*^9, 3.632152638564214*^9}, {
   3.6425188798220253`*^9, 3.642518885690034*^9}, {3.642519006383207*^9, 
   3.6425190176222258`*^9}, 3.6425191357303963`*^9, {3.7039545307515078`*^9, 
   3.703954547664199*^9}, {3.703955026366064*^9, 3.703955109497377*^9}, {
   3.703955146986125*^9, 3.703955233861812*^9}, 3.7039558575131707`*^9, {
   3.7039558918106003`*^9, 3.7039558930977287`*^9}, {3.703956092274645*^9, 
   3.703956096770094*^9}, {3.703956203975814*^9, 3.703956206303046*^9}, {
   3.70414763967006*^9, 3.7041476961032877`*^9}, {3.704147860189666*^9, 
   3.7041479009899993`*^9}, 3.7041947091591806`*^9, {3.704198401836463*^9, 
   3.704198413532633*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"In", " ", "Logs"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"lss", "=", 
     RowBox[{"Log", "[", "lss", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalPi]ss", "=", 
     RowBox[{"Log", "[", "\[CapitalPi]ss", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pss", "=", 
     RowBox[{"Log", "[", "Pss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[Nu]ss", "=", 
     RowBox[{"Log", "[", "\[Nu]ss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"rbss", "=", 
     RowBox[{"Log", "[", "rbss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"uss", "=", 
     RowBox[{"Log", "[", "uss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"mcss", "=", 
     RowBox[{"Log", "[", "mcss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"wss", "=", 
     RowBox[{"Log", "[", "wss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"kss", "=", 
     RowBox[{"Log", "[", "kss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"yss", "=", 
     RowBox[{"Log", "[", "yss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"invss", "=", 
     RowBox[{"Log", "[", "invss", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"css", "=", 
     RowBox[{"Log", "[", "css", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"\[Lambda]ss", "=", 
     RowBox[{"Log", "[", "\[Lambda]ss", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"bss", "=", 
     RowBox[{"Log", "[", "bss", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Psi]", "=", 
     RowBox[{
      RowBox[{"Exp", "[", "\[Lambda]ss", "]"}], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Tau]iss"}], ")"}], "*", 
      RowBox[{
       RowBox[{"Exp", "[", "wss", "]"}], "/", 
       SuperscriptBox["lbar", 
        RowBox[{"1", "/", "\[Theta]"}]]}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.642519136920398*^9, 3.6425191543124228`*^9}, 
   3.703954538919325*^9, {3.703956098674285*^9, 3.7039561016345806`*^9}, {
   3.7039562073031464`*^9, 3.7039562177751937`*^9}, {3.7041481418947783`*^9, 
   3.704148157974698*^9}, {3.7041489724083014`*^9, 3.7041489731023026`*^9}, {
   3.7041947166711807`*^9, 3.704194717542181*^9}, {3.7041984172450037`*^9, 
   3.704198417494029*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Steady State Check", "Subsection",
 CellChangeTimes->{{3.4892448878049498`*^9, 3.48924489098495*^9}, {
  3.5505827699459224`*^9, 3.5505827805595293`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"barrule", "=", 
   RowBox[{"barrule", "/.", "parmrule"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pmat", "=", 
   RowBox[{"Pmat", "/.", "parmrule"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xvecss", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"xvars", "/.", "funrulei"}], "/.", "ssrule"}], "/.", 
     "barrule"}], "/.", "parmrule"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yvecss", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"yvars", "/.", "funrulei"}], "/.", "ssrule"}], "/.", 
     "barrule"}], "/.", "parmrule"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Pmat", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"xvecss", "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{"yvecss", "//", "Chop"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"F", "/.", "ssrule"}], "/.", "barrule"}], "/.", "parmrule"}], "/.",
    "epsrule"}], "//", "Chop"}]}], "Input",
 CellChangeTimes->{{3.5497154968950386`*^9, 3.5497155531482563`*^9}, {
   3.549732915544327*^9, 3.5497329237867985`*^9}, {3.5595066285335207`*^9, 
   3.559506652776963*^9}, {3.559506788922787*^9, 3.5595067899227886`*^9}, {
   3.560033322094055*^9, 3.560033322903102*^9}, {3.5600919030796814`*^9, 
   3.5600919060018487`*^9}, {3.560543408721352*^9, 3.560543437442995*^9}, 
   3.567810011704947*^9, 3.567810209728094*^9, {3.567810709758772*^9, 
   3.5678107111315737`*^9}, {3.567810945640785*^9, 3.567810947668789*^9}, {
   3.5678112205328665`*^9, 3.5678112284576807`*^9}, 3.56781138182155*^9, {
   3.5678120995302043`*^9, 3.5678121024318094`*^9}, {3.567812459811637*^9, 
   3.5678124612312393`*^9}, {3.5678582679913683`*^9, 
   3.5678582709265366`*^9}, {3.567889939107071*^9, 3.567889960167108*^9}, {
   3.568034907540888*^9, 3.568034918924539*^9}, {3.5682269351121893`*^9, 
   3.5682269490969896`*^9}, {3.5715799561324253`*^9, 
   3.5715799708744516`*^9}, {3.589889647204116*^9, 3.589889659371812*^9}, {
   3.5898940890176516`*^9, 3.5898941485005565`*^9}, {3.5945753088985033`*^9, 
   3.594575347345703*^9}, {3.631905708291232*^9, 3.631905743951283*^9}, {
   3.6319065406348767`*^9, 3.631906548804888*^9}, {3.631907811462488*^9, 
   3.631907815250498*^9}, {3.6319078995936966`*^9, 3.631907916883731*^9}, {
   3.6319750504827185`*^9, 3.6319751143908596`*^9}, {3.6319908472388334`*^9, 
   3.6319908485948377`*^9}, {3.704147975590266*^9, 3.7041480017187605`*^9}, {
   3.70414806674148*^9, 3.7041480710147243`*^9}, {3.704148173501586*^9, 
   3.7041481750776763`*^9}, {3.704148290430273*^9, 3.704148297206661*^9}, {
   3.704191088919918*^9, 3.7041910890769186`*^9}, {3.7041916838779235`*^9, 
   3.704191689902526*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.99`", "0.01`", "0", "0", "0", "0", "0"},
     {"0", "0", "0.5`", "0", "0", "0.5`", "0"},
     {"0", "0", "0", "0.5`", "0", "0.5`", "0"},
     {"0", "0", "0", "0", "0.5`", "0.5`", "0"},
     {"0", "0", "0", "0", "0", "0.5`", "0.5`"},
     {"0.0001`", "0", "0", "0", "0", "0.9999`", "0"},
     {"0.0001`", "0", "0", "0", "0", "0", "0.9999`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.5727103173290725`*^9, 3.572710377059162*^9, 3.5727107674317493`*^9, {
   3.572711079127226*^9, 3.572711094267247*^9}, 3.5727111958873897`*^9, 
   3.5727116009489565`*^9, 3.5727117529186745`*^9, 3.5727121145977364`*^9, 
   3.5727121829178324`*^9, 3.572712427380197*^9, 3.5727126296329913`*^9, {
   3.572713036735614*^9, 3.5727130598356457`*^9}, 3.5727133704511204`*^9, {
   3.5727135561288958`*^9, 3.5727135766664405`*^9}, 3.5727136511690464`*^9, 
   3.5727140272966213`*^9, 3.572714454833254*^9, 3.572714883245854*^9, 
   3.572715352118572*^9, 3.572715682241593*^9, 3.5727167422766533`*^9, 
   3.5727169355379405`*^9, 3.5727171334217196`*^9, 3.5727173105420156`*^9, 
   3.5727175052298064`*^9, 3.5727177051370945`*^9, 3.572717898259905*^9, 
   3.5727180424751234`*^9, 3.572718237898941*^9, 3.5727184864793177`*^9, 
   3.5727186951522245`*^9, 3.5727188947960296`*^9, 3.5727190668022966`*^9, 
   3.5727192340595517`*^9, 3.57271939747231*^9, 3.5727195313825026`*^9, 
   3.5727197620178456`*^9, 3.5727199547541604`*^9, 3.572720153141941*^9, 
   3.5727203287257123`*^9, 3.5727790737997203`*^9, 3.572779247378478*^9, 
   3.572779470688802*^9, 3.572780793264619*^9, 3.5727809883478093`*^9, 
   3.5727816762417955`*^9, 3.572781864624563*^9, 3.5727822760012474`*^9, 
   3.5727824666460238`*^9, 3.572782764261463*^9, 3.572782998582814*^9, 
   3.5727839891472025`*^9, 3.572784182187473*^9, 3.572784332134692*^9, 
   3.57278450079344*^9, 3.5727846920542364`*^9, 3.5727848559719715`*^9, 
   3.5727852489275675`*^9, 3.5727854445103445`*^9, 3.572786176092434*^9, 
   3.572786372028728*^9, 3.5727865714810295`*^9, 3.572790335469838*^9, 
   3.5727906334017844`*^9, 3.5727968922661533`*^9, 3.572797220277616*^9, 
   3.572798701337019*^9, 3.572798998647459*^9, 3.5728000353935275`*^9, 
   3.572800269378891*^9, 3.5728013047549486`*^9, 3.5728017357291007`*^9, 
   3.572801917710304*^9, 3.5728021290258436`*^9, 3.5728023280936756`*^9, 
   3.5728025227639513`*^9, 3.5728028596504283`*^9, 3.5728031167492895`*^9, 
   3.572803373819412*^9, 3.5728037812120247`*^9, 3.5728040340224037`*^9, 
   3.5728043334089017`*^9, 3.572804717629489*^9, {3.572805108223567*^9, 
   3.57280511778358*^9}, 3.5728053108208733`*^9, 3.57280565550741*^9, 
   3.5728059488713884`*^9, 3.5728062687816467`*^9, 3.572806411539898*^9, 
   3.572811346170677*^9, 3.5728115737282767`*^9, 3.572811734564559*^9, 
   3.572811925228094*^9, {3.5728645376230545`*^9, 3.5728645528830767`*^9}, 
   3.57321837737822*^9, 3.573221497459982*^9, 3.573222269258195*^9, 
   3.573386286677565*^9, 3.573386466148816*^9, 3.573386825971822*^9, 
   3.573387021152119*^9, 3.5733874689972925`*^9, 3.573389054893198*^9, 
   3.5733905093310804`*^9, 3.573390685020968*^9, 3.573391151502674*^9, 
   3.573391377265731*^9, 3.573395874352536*^9, 3.573396312793182*^9, 
   3.5733965589385524`*^9, 3.573397933168602*^9, 3.573400235828558*^9, 
   3.573415068550668*^9, 3.573415576691362*^9, 3.5734157672944965`*^9, 
   3.573415958192032*^9, 3.573416764439848*^9, 3.5734169528569794`*^9, 
   3.573417303748396*^9, 3.5734174976637363`*^9, 3.5734176361149797`*^9, 
   3.5734178247505107`*^9, 3.573418066925336*^9, 3.5734182083239846`*^9, 
   3.573418571416622*^9, 3.5734187337037077`*^9, 3.5734194703702016`*^9, 
   3.573419662671739*^9, 3.5734198120264015`*^9, 3.573420004140739*^9, 
   3.5734201887992635`*^9, 3.5746139433289003`*^9, 3.5746141211966667`*^9, 
   3.574614313245453*^9, 3.574614548053297*^9, 3.5746147424710712`*^9, 
   3.5746149364523587`*^9, 3.5746151719936986`*^9, 3.574615372906495*^9, 
   3.574615566099289*^9, 3.5746159516298285`*^9, 3.574616182170151*^9, 
   3.574616373260419*^9, 3.5746165691126933`*^9, 3.574616765962969*^9, 
   3.57461695974424*^9, 3.574617125248975*^9, 3.574617523031003*^9, 
   3.574620644315285*^9, 3.574629916990301*^9, 3.57463043998122*^9, {
   3.5898888596390696`*^9, 3.5898889001613874`*^9}, 3.589889011205739*^9, {
   3.5898890512000265`*^9, 3.589889069060048*^9}, 3.589889228356159*^9, {
   3.5898892856014333`*^9, 3.5898892992442136`*^9}, 3.5898893330891495`*^9, {
   3.589889371265333*^9, 3.5898893999029713`*^9}, 3.589889432102813*^9, {
   3.5898894747592525`*^9, 3.589889487105959*^9}, {3.589889550363577*^9, 
   3.589889563588333*^9}, 3.5898896076298523`*^9, {3.58988966004385*^9, 
   3.5898896789879336`*^9}, {3.5898897372742677`*^9, 3.589889816039773*^9}, {
   3.5898898651485815`*^9, 3.589889891365081*^9}, {3.5898900201584473`*^9, 
   3.5898900498231444`*^9}, {3.5898900872562857`*^9, 3.589890101198083*^9}, {
   3.589890217295723*^9, 3.5898902444242744`*^9}, 3.5898905391551323`*^9, {
   3.589890591491126*^9, 3.589890609433152*^9}, 3.58989070904885*^9, 
   3.589890741356698*^9, 3.589890868379963*^9, 3.5898911326900806`*^9, 
   3.5898912822466345`*^9, 3.589893877824481*^9, 3.5898939219725585`*^9, 
   3.589893961284628*^9, 3.589894008661911*^9, 3.589894073246024*^9, {
   3.5898941273625193`*^9, 3.589894158999375*^9}, 3.589894222541847*^9, 
   3.5898947594655576`*^9, 3.58989774779148*^9, 3.5898985101020813`*^9, {
   3.589898845804283*^9, 3.5898988715767565`*^9}, 3.589898962532959*^9, {
   3.589899089213205*^9, 3.5898991030029936`*^9}, 3.589899196698353*^9, 
   3.5898992528325634`*^9, {3.5898993270688095`*^9, 3.589899352831283*^9}, {
   3.5898993975748425`*^9, 3.5898994328338585`*^9}, 3.5898994648736916`*^9, 
   3.5898995009877567`*^9, 3.5898995975742817`*^9, 3.589899792994459*^9, 
   3.589899880216448*^9, 3.58989993061033*^9, {3.5899007007783813`*^9, 
   3.5899007262798395`*^9}, 3.589900758509683*^9, 3.5899009122644777`*^9, 
   3.5899010465001554`*^9, {3.5899013868896246`*^9, 3.589901412263076*^9}, 
   3.5899026331519065`*^9, 3.5899029536062355`*^9, 3.5899030110375204`*^9, 
   3.5899030859118032`*^9, 3.589903586880457*^9, 3.5899037105975327`*^9, 
   3.5899040385342903`*^9, 3.589905869520016*^9, 3.589906734022463*^9, 
   3.5899067843543415`*^9, 3.5899069930694094`*^9, 3.5899072620311327`*^9, 
   3.5899074157850027`*^9, {3.589907671882855*^9, 3.5899076808372707`*^9}, 
   3.5899077122245255`*^9, 3.5899079310697107`*^9, 3.5899080131414547`*^9, 
   3.589908090393796*^9, 3.5899088925510073`*^9, 3.5899093844752765`*^9, {
   3.589910268257841*^9, 3.5899103200343323`*^9}, 3.5899103837838464`*^9, 
   3.589911111346681*^9, {3.5899111899271755`*^9, 3.589911203846972*^9}, {
   3.5899113965059915`*^9, 3.589911421114399*^9}, 3.589911990203802*^9, 
   3.5899121150586233`*^9, {3.5899147749428997`*^9, 3.5899148113221636`*^9}, 
   3.589916981012376*^9, 3.5899173619180155`*^9, {3.5899175815085754`*^9, 
   3.5899175962994213`*^9}, 3.589921911724273*^9, 3.5899222269753046`*^9, 
   3.589922451632154*^9, 3.589922906345162*^9, 3.589924040387026*^9, 
   3.589924076810109*^9, {3.5899242037303686`*^9, 3.589924225485613*^9}, 
   3.589924714070558*^9, 3.589925002725068*^9, 3.5899250724790583`*^9, 
   3.589925491934049*^9, 3.589935953460623*^9, 3.589936092292267*^9, 
   3.5899370669494457`*^9, 3.589938612653367*^9, 3.589981752372757*^9, {
   3.589981794066141*^9, 3.5899818381806645`*^9}, {3.5899818942498713`*^9, 
   3.589981914278017*^9}, 3.5899819711332693`*^9, {3.58998200646229*^9, 
   3.5899820308706856`*^9}, 3.5899820748051987`*^9, 3.5899827184670143`*^9, 
   3.5899830619166584`*^9, {3.589983203165737*^9, 3.5899832158424625`*^9}, 
   3.589983252634567*^9, 3.589983289873697*^9, 3.589983358451619*^9, 
   3.5899834801275787`*^9, 3.5899847429808097`*^9, 3.589984789233455*^9, 
   3.5899850038877325`*^9, 3.5899851256376963`*^9, 3.589985199013893*^9, 
   3.589985332655537*^9, {3.5899854512603207`*^9, 3.5899854801249723`*^9}, {
   3.5899855732572985`*^9, 3.589985591504342*^9}, {3.589985665732588*^9, 
   3.589985684009633*^9}, 3.5899861231077485`*^9, {3.589986250141014*^9, 
   3.5899863024730077`*^9}, {3.589986373807088*^9, 3.5899863986265073`*^9}, {
   3.5899864690445347`*^9, 3.589986521987563*^9}, 3.589986795494207*^9, 
   3.5899868396877346`*^9, {3.589987715954854*^9, 3.589987737861107*^9}, 
   3.589987776501317*^9, 3.589988088080138*^9, 3.589989150092882*^9, 
   3.5899896484043837`*^9, 3.5899896959541035`*^9, 3.589990044659048*^9, 
   3.5899902110995684`*^9, {3.589990751861498*^9, 3.5899908058715873`*^9}, 
   3.589990884785101*^9, {3.5899911041036453`*^9, 3.5899911262339106`*^9}, 
   3.589991459964999*^9, 3.589991734364694*^9, 3.5899918145502806`*^9, 
   3.5899923051013384`*^9, 3.5899928393068933`*^9, {3.5899928720797677`*^9, 
   3.5899929222706385`*^9}, 3.589992988824445*^9, 3.5899930256635523`*^9, {
   3.589993106000147*^9, 3.589993133376713*^9}, 3.589993289712655*^9, 
   3.5899933253736944`*^9, 3.5899935224639673`*^9, 3.589993574973971*^9, 
   3.589994573657092*^9, 3.5899959792324867`*^9, {3.5899960115903373`*^9, 
   3.5899960358087225`*^9}, {3.589996924991581*^9, 3.589996975765485*^9}, {
   3.5899971711856623`*^9, 3.589997195527055*^9}, {3.5899973459196568`*^9, 
   3.589997353006062*^9}, 3.5899990232755957`*^9, 3.589999055465437*^9, 
   3.58999911023557*^9, {3.589999710058878*^9, 3.5899997155491915`*^9}, {
   3.5900001319220066`*^9, 3.5900001557303686`*^9}, {3.59000087415346*^9, 
   3.5900008840080233`*^9}, 3.5900009286215754`*^9, 3.590000961328446*^9, {
   3.5900009960084295`*^9, 3.5900010442851906`*^9}, {3.5900011992820563`*^9, 
   3.5900012056114187`*^9}, {3.590001257673396*^9, 3.590001282727829*^9}, 
   3.590001357276093*^9, 3.590070172042884*^9, {3.5900707042023215`*^9, 
   3.590070727689665*^9}, {3.5900712815983467`*^9, 3.590071305067689*^9}, {
   3.590071591537074*^9, 3.590071638721773*^9}, {3.5900718968965397`*^9, 
   3.5900719202128735`*^9}, {3.5900719532327623`*^9, 3.590071977483149*^9}, {
   3.590072065015156*^9, 3.590072087945467*^9}, {3.590072126020645*^9, 
   3.5900721504190407`*^9}, {3.590072183522934*^9, 3.5900722819835653`*^9}, 
   3.5900723922008696`*^9, 3.5900724583596535`*^9, 3.5900789166980495`*^9, {
   3.5900847122705374`*^9, 3.590084736201906*^9}, 3.5901477137707806`*^9, 
   3.590155098919179*^9, 3.590155267453416*^9, 3.5901554348609915`*^9, 
   3.5901556388766603`*^9, 3.5901560182413588`*^9, 3.590157079671069*^9, 
   3.59016020346974*^9, 3.5901624832201347`*^9, 3.5901673011073737`*^9, 
   3.5901703608063784`*^9, {3.59018208913688*^9, 3.590182131537754*^9}, 
   3.5901822839656224`*^9, {3.590182481212369*^9, 3.5901826556728725`*^9}, {
   3.590182708176875*^9, 3.590182733198306*^9}, {3.590182768742339*^9, 
   3.5901831027034407`*^9}, 3.590258856082738*^9, 3.59025901924807*^9, 
   3.5902591236450415`*^9, 3.5902592230707283`*^9, 3.5902593207783165`*^9, 
   3.590259453505908*^9, 3.590259815432609*^9, 3.591392240291829*^9, 
   3.5913925771470957`*^9, 3.5913926103379946`*^9, 3.5913973412525873`*^9, 
   3.5913974228342533`*^9, {3.5913980203864317`*^9, 3.5913980442497964`*^9}, 
   3.5913980951987104`*^9, {3.591974345804223*^9, 3.5919743712256775`*^9}, {
   3.5919744146091585`*^9, 3.59197446864625*^9}, {3.5919745335979643`*^9, 
   3.5919745859329576`*^9}, {3.5919746175337653`*^9, 
   3.5919746429432187`*^9}, {3.5919747422338977`*^9, 
   3.5919747676363506`*^9}, {3.591974799219157*^9, 3.5919748254116554`*^9}, {
   3.5919748922854805`*^9, 3.5919749446154737`*^9}, {3.591974981498583*^9, 
   3.5919750335325594`*^9}, 3.591975070983701*^9, 3.5919751495761967`*^9, {
   3.591976522247709*^9, 3.5919765500642996`*^9}, 3.592050534016478*^9, 
   3.5920505980381393`*^9, {3.592067538174613*^9, 3.59206756348606*^9}, 
   3.5920676250205803`*^9, {3.5920680582883615`*^9, 3.592068084162842*^9}, 
   3.59206847174701*^9, {3.592068503937851*^9, 3.592068531979455*^9}, 
   3.5920687837158537`*^9, {3.5920688149246387`*^9, 3.592068841898182*^9}, {
   3.59206906740608*^9, 3.5920690937035837`*^9}, {3.5920692055059786`*^9, 
   3.5920692314534626`*^9}, {3.5920692936190186`*^9, 
   3.5920693198645196`*^9}, {3.5920693669642134`*^9, 3.5920693931877136`*^9}, 
   3.5920694289517593`*^9, {3.592069464862813*^9, 3.592069576563202*^9}, 
   3.592069682511262*^9, 3.5920697888063416`*^9, {3.592140257836787*^9, 
   3.5921402741700153`*^9}, 3.5921451877336593`*^9, 3.5921455670963573`*^9, 
   3.5921521506120396`*^9, {3.592152206439233*^9, 3.592152232685734*^9}, 
   3.5921567374633923`*^9, {3.592156917531692*^9, 3.592156945845311*^9}, {
   3.592157260767324*^9, 3.5921572896789775`*^9}, {3.5921573729067383`*^9, 
   3.592157430527034*^9}, {3.592157469018235*^9, 3.5921574969248314`*^9}, 
   3.592157542406433*^9, {3.592157572615161*^9, 3.592157602603876*^9}, 
   3.592157633013615*^9, {3.592157685917641*^9, 3.592157714447273*^9}, {
   3.5921577492982664`*^9, 3.592157835748211*^9}, {3.5921578711612363`*^9, 
   3.592157985646785*^9}, 3.592160006730384*^9, 3.5921600517979617`*^9, 
   3.592160447744609*^9, {3.59216098311823*^9, 3.5921610100507708`*^9}, 
   3.5921628673270006`*^9, 3.592162912047559*^9, 3.5921723980709467`*^9, 
   3.5921724429425125`*^9, 3.5921724899822035`*^9, 3.592172535397801*^9, 
   3.592172582494495*^9, 3.5921726293981776`*^9, 3.5921726759568405`*^9, 
   3.592172722047477*^9, 3.592172767673086*^9, 3.5921728144577627`*^9, 
   3.592172861711465*^9, 3.592172951899624*^9, 3.592172998918313*^9, 
   3.5921730457549915`*^9, 3.592173092182647*^9, 3.592173143007554*^9, 
   3.592173189649222*^9, 3.592173236029875*^9, 3.5921732823565245`*^9, 
   3.5921733288571844`*^9, 3.5921733824282484`*^9, 3.592173429331931*^9, 
   3.592173476323619*^9, 3.5921739432663264`*^9, 3.592217137626951*^9, 
   3.592217179202329*^9, 3.592217245108099*^9, {3.592217802977007*^9, 
   3.592217814099643*^9}, {3.5922179492393727`*^9, 3.5922179747218304`*^9}, {
   3.5922187800048895`*^9, 3.592218835063039*^9}, {3.592218879346572*^9, 
   3.592218905605074*^9}, 3.5922190194225836`*^9, 3.5922190501713424`*^9, {
   3.5922191258886733`*^9, 3.5922191522601814`*^9}, {3.5922192013179874`*^9, 
   3.592219227736499*^9}, 3.592219447615075*^9, {3.592219800448256*^9, 
   3.592219826769761*^9}, {3.592220014465497*^9, 3.5922200410010147`*^9}, {
   3.5922201346703725`*^9, 3.5922201611908894`*^9}, {3.5922202023522434`*^9, 
   3.592220227978709*^9}, 3.5922236101821604`*^9, 3.594574883619179*^9, 
   3.5945751145653887`*^9, 3.5945752434407597`*^9, {3.5945753250834293`*^9, 
   3.594575363807644*^9}, {3.594576518505689*^9, 3.594576537681786*^9}, 
   3.5945766013074255`*^9, 3.5945766918916063`*^9, 3.594577694706964*^9, 
   3.594585076147806*^9, 3.594585257439175*^9, 3.5945856589701414`*^9, 
   3.5945856977973623`*^9, 3.5945871364391785`*^9, 3.59458733352892*^9, 
   3.5945873901289997`*^9, 3.594587446309078*^9, 3.594587504191165*^9, 
   3.594587562610718*^9, 3.594907170148234*^9, 3.594907227368314*^9, 
   3.5949072842083936`*^9, 3.5949073405284724`*^9, 3.5949073967555895`*^9, 
   3.5949074539480906`*^9, 3.5949075118073916`*^9, 3.594907647964431*^9, 
   3.5949079759602056`*^9, 3.594908218711831*^9, 3.594908403638955*^9, 
   3.594908570418848*^9, 3.594908845346772*^9, 3.5949091001196194`*^9, 
   3.5949094897327037`*^9, 3.5949107372872314`*^9, 3.594910795212134*^9, 
   3.5949108691618633`*^9, 3.5949109291171684`*^9, 3.594911398688795*^9, 
   3.6017656108662076`*^9, 3.6017663070401835`*^9, 3.6017664118134413`*^9, 
   3.6017665132842445`*^9, 3.6017666043504534`*^9, 3.6017667348029146`*^9, 
   3.601767489840067*^9, 3.601767550736156*^9, 3.601816393207928*^9, 
   3.601816552320029*^9, 3.6018166902789197`*^9, 3.601816801233266*^9, 
   3.601816868886135*^9, 3.601817083244396*^9, 3.6021749713354254`*^9, {
   3.602175034789519*^9, 3.6021750468795357`*^9}, {3.6021755036601753`*^9, 
   3.6021755226702023`*^9}, 3.6021761478610773`*^9, 3.6021762101341686`*^9, 
   3.602177216017579*^9, 3.602177274109665*^9, 3.60217858813313*^9, 
   3.602178652890834*^9, 3.6021788046095114`*^9, 3.602178872543397*^9, 
   3.602178977912424*^9, 3.6021790391669273`*^9, 3.602179101195475*^9, 
   3.6021821282086105`*^9, 3.6021825975194535`*^9, 3.60218327424516*^9, 
   3.6021833441091557`*^9, 3.6021846433664694`*^9, {3.6319052934942083`*^9, 
   3.6319053166902547`*^9}, 3.6319053630743556`*^9, 3.631905620182109*^9, {
   3.631905728971262*^9, 3.631905775670328*^9}, 3.631905841794423*^9, 
   3.631905873554469*^9, {3.631905952064582*^9, 3.6319059856346292`*^9}, {
   3.6319060624262*^9, 3.6319061215592847`*^9}, {3.631906163962344*^9, 
   3.631906179554366*^9}, 3.631906263334484*^9, 3.631906298296533*^9, {
   3.6319063347625847`*^9, 3.631906348252604*^9}, {3.6319064075006895`*^9, 
   3.63190642908272*^9}, 3.631906494520812*^9, {3.6319065440248814`*^9, 
   3.6319065493448887`*^9}, 3.631906629937003*^9, {3.631906675468067*^9, 
   3.6319066882430854`*^9}, 3.6319068391773005`*^9, 3.631907342363347*^9, {
   3.6319074649116297`*^9, 3.6319074855746975`*^9}, 3.631907516798767*^9, 
   3.6319075597758827`*^9, 3.631907612119988*^9, 3.6319077037782097`*^9, 
   3.6319077663923926`*^9, 3.631907815550498*^9, {3.631907904663707*^9, 
   3.631907922620743*^9}, 3.631975016875606*^9, {3.6319750575127325`*^9, 
   3.6319751147608604`*^9}, 3.631983690490576*^9, 3.6319848202868705`*^9, {
   3.6319848651439695`*^9, 3.631984920041115*^9}, 3.631985088216516*^9, 
   3.6319851447920237`*^9, {3.631985183018132*^9, 3.631985278012357*^9}, 
   3.631985329203041*^9, 3.6319891339300346`*^9, 3.631989211524261*^9, {
   3.6319908489448385`*^9, 3.631990938290032*^9}, {3.631991756083335*^9, 
   3.631991782060395*^9}, {3.6319918961556826`*^9, 3.6319919864239445`*^9}, {
   3.631992061841157*^9, 3.6319920871812277`*^9}, {3.6319936801940928`*^9, 
   3.631993695547117*^9}, {3.631993794388259*^9, 3.631993851098342*^9}, 
   3.631993892956401*^9, 3.6319941303717394`*^9, 3.6319941704207973`*^9, 
   3.6319949311748505`*^9, 3.631995285762494*^9, {3.6321525218100443`*^9, 
   3.6321525621191053`*^9}, 3.632152601611161*^9, 3.6321526690852594`*^9, 
   3.632152729914345*^9, {3.632152941589265*^9, 3.6321529628659906`*^9}, {
   3.632153012885932*^9, 3.6321530321850615`*^9}, {3.6321531489237366`*^9, 
   3.632153170952864*^9}, {3.63215331508171*^9, 3.632153423511314*^9}, 
   3.6321534989767733`*^9, {3.641647714313848*^9, 3.641647729598896*^9}, {
   3.6416478232095146`*^9, 3.641647902085271*^9}, 3.6416495462427626`*^9, 
   3.6416495983398457`*^9, 3.641649666366851*^9, 3.6416498970159254`*^9, {
   3.6416500044941063`*^9, 3.641650018741129*^9}, 3.641655281477024*^9, 
   3.64165543933371*^9, {3.64228529326035*^9, 3.642285303660945*^9}, 
   3.6422857722827487`*^9, 3.642285809459875*^9, 3.642286372846099*^9, {
   3.642329329568283*^9, 3.6423293475203977`*^9}, 3.6423296065474663`*^9, {
   3.6425190199422293`*^9, 3.6425190297322435`*^9}, {3.6425191569924264`*^9, 
   3.642519170471447*^9}, {3.6425192401065025`*^9, 3.642519339466775*^9}, 
   3.6425194466329794`*^9, 3.6425196496602926`*^9, 3.64251968061734*^9, 
   3.6425197618324614`*^9, 3.6425198090635333`*^9, 3.6425198750266323`*^9, 
   3.6425237589403563`*^9, {3.64252552609377*^9, 3.642525534218797*^9}, {
   3.642525929997016*^9, 3.6425260758345413`*^9}, 3.6425290135056953`*^9, 
   3.64252904546583*^9, {3.642529278554722*^9, 3.6425292937957745`*^9}, {
   3.6425293985322075`*^9, 3.64252941668127*^9}, {3.642529570092864*^9, 
   3.6425295859469247`*^9}, 3.6425296642022095`*^9, {3.6425298766340246`*^9, 
   3.642529913777169*^9}, {3.6425307800723295`*^9, 3.642530892123747*^9}, {
   3.6425323652890844`*^9, 3.6425323897651234`*^9}, 3.6428673507280307`*^9, {
   3.643381386559639*^9, 3.643381428129735*^9}, 3.6433815439560966`*^9, {
   3.6433836215911894`*^9, 3.643383683364358*^9}, 3.643390997134905*^9, 
   3.643391089846038*^9, 3.643391167624151*^9, 3.6446639399233317`*^9, 
   3.6446639930397387`*^9, 3.6446640487928305`*^9, 3.6446640857408886`*^9, 
   3.6446641203099685`*^9, 3.6446641506320195`*^9, {3.647702210174711*^9, 
   3.647702222206729*^9}, {3.6477023224222574`*^9, 3.647702358455705*^9}, {
   3.6477024479877067`*^9, 3.64770245678621*^9}, 3.647702716356511*^9, 
   3.647702950168728*^9, {3.64770298663387*^9, 3.647703013841516*^9}, {
   3.6477031975062532`*^9, 3.6477032387003226`*^9}, {3.6477051023628626`*^9, 
   3.6477051567689743`*^9}, 3.647705202345581*^9, 3.6477052333813562`*^9, 
   3.647706851715418*^9, 3.647706968806819*^9, {3.6477070266092095`*^9, 
   3.647707058291658*^9}, 3.647707104149311*^9, {3.6477071552526073`*^9, 
   3.647707171304631*^9}, {3.6477088524849854`*^9, 3.647708861538503*^9}, 
   3.6477106421669655`*^9, 3.647710705171401*^9, 3.6477107772891355`*^9, 
   3.647710833387344*^9, 3.6477108708187017`*^9, {3.647711340617963*^9, 
   3.6477114256418257`*^9}, 3.7039545813735695`*^9, {3.7039549879682255`*^9, 
   3.7039550159690247`*^9}, 3.7039551144818754`*^9, {3.7039552106444902`*^9, 
   3.703955237409167*^9}, {3.703955282896715*^9, 3.703955310862511*^9}, 
   3.7039553587883034`*^9, 3.7039554458100047`*^9, 3.7039555082562485`*^9, 
   3.703955896475067*^9, 3.703955961561575*^9, 3.703956021893607*^9, 
   3.70395607212663*^9, 3.7039561440988264`*^9, 3.703956188877304*^9, 
   3.7039562341318293`*^9, 3.703956470905004*^9, 3.7039565094798613`*^9, 
   3.7039566170226145`*^9, 3.703961735203638*^9, 3.7040218603870573`*^9, {
   3.704147854774356*^9, 3.7041478646979237`*^9}, 3.704147907320361*^9, {
   3.7041479848197937`*^9, 3.704148011508321*^9}, {3.7041481506012764`*^9, 
   3.7041481760337305`*^9}, 3.7041482976856885`*^9, 3.7041489318932347`*^9, 
   3.704148977309309*^9, 3.7041491430246887`*^9, 3.7041497391725683`*^9, 
   3.7041907731769185`*^9, 3.7041910943529186`*^9, 3.704191250622918*^9, 
   3.7041916948380194`*^9, 3.704192102475769*^9, 3.7041946246472178`*^9, {
   3.704194713521181*^9, 3.704194723889181*^9}, 3.7041961708597684`*^9, 
   3.704198425527832*^9, 3.704199543204652*^9, 3.704204641719367*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.0050125418235441935`", ",", "2.0155867515935304`", ",", "0", ",", "0", 
   ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.5727103173290725`*^9, 3.572710377059162*^9, 3.5727107674317493`*^9, {
   3.572711079127226*^9, 3.572711094267247*^9}, 3.5727111958873897`*^9, 
   3.5727116009489565`*^9, 3.5727117529186745`*^9, 3.5727121145977364`*^9, 
   3.5727121829178324`*^9, 3.572712427380197*^9, 3.5727126296329913`*^9, {
   3.572713036735614*^9, 3.5727130598356457`*^9}, 3.5727133704511204`*^9, {
   3.5727135561288958`*^9, 3.5727135766664405`*^9}, 3.5727136511690464`*^9, 
   3.5727140272966213`*^9, 3.572714454833254*^9, 3.572714883245854*^9, 
   3.572715352118572*^9, 3.572715682241593*^9, 3.5727167422766533`*^9, 
   3.5727169355379405`*^9, 3.5727171334217196`*^9, 3.5727173105420156`*^9, 
   3.5727175052298064`*^9, 3.5727177051370945`*^9, 3.572717898259905*^9, 
   3.5727180424751234`*^9, 3.572718237898941*^9, 3.5727184864793177`*^9, 
   3.5727186951522245`*^9, 3.5727188947960296`*^9, 3.5727190668022966`*^9, 
   3.5727192340595517`*^9, 3.57271939747231*^9, 3.5727195313825026`*^9, 
   3.5727197620178456`*^9, 3.5727199547541604`*^9, 3.572720153141941*^9, 
   3.5727203287257123`*^9, 3.5727790737997203`*^9, 3.572779247378478*^9, 
   3.572779470688802*^9, 3.572780793264619*^9, 3.5727809883478093`*^9, 
   3.5727816762417955`*^9, 3.572781864624563*^9, 3.5727822760012474`*^9, 
   3.5727824666460238`*^9, 3.572782764261463*^9, 3.572782998582814*^9, 
   3.5727839891472025`*^9, 3.572784182187473*^9, 3.572784332134692*^9, 
   3.57278450079344*^9, 3.5727846920542364`*^9, 3.5727848559719715`*^9, 
   3.5727852489275675`*^9, 3.5727854445103445`*^9, 3.572786176092434*^9, 
   3.572786372028728*^9, 3.5727865714810295`*^9, 3.572790335469838*^9, 
   3.5727906334017844`*^9, 3.5727968922661533`*^9, 3.572797220277616*^9, 
   3.572798701337019*^9, 3.572798998647459*^9, 3.5728000353935275`*^9, 
   3.572800269378891*^9, 3.5728013047549486`*^9, 3.5728017357291007`*^9, 
   3.572801917710304*^9, 3.5728021290258436`*^9, 3.5728023280936756`*^9, 
   3.5728025227639513`*^9, 3.5728028596504283`*^9, 3.5728031167492895`*^9, 
   3.572803373819412*^9, 3.5728037812120247`*^9, 3.5728040340224037`*^9, 
   3.5728043334089017`*^9, 3.572804717629489*^9, {3.572805108223567*^9, 
   3.57280511778358*^9}, 3.5728053108208733`*^9, 3.57280565550741*^9, 
   3.5728059488713884`*^9, 3.5728062687816467`*^9, 3.572806411539898*^9, 
   3.572811346170677*^9, 3.5728115737282767`*^9, 3.572811734564559*^9, 
   3.572811925228094*^9, {3.5728645376230545`*^9, 3.5728645528830767`*^9}, 
   3.57321837737822*^9, 3.573221497459982*^9, 3.573222269258195*^9, 
   3.573386286677565*^9, 3.573386466148816*^9, 3.573386825971822*^9, 
   3.573387021152119*^9, 3.5733874689972925`*^9, 3.573389054893198*^9, 
   3.5733905093310804`*^9, 3.573390685020968*^9, 3.573391151502674*^9, 
   3.573391377265731*^9, 3.573395874352536*^9, 3.573396312793182*^9, 
   3.5733965589385524`*^9, 3.573397933168602*^9, 3.573400235828558*^9, 
   3.573415068550668*^9, 3.573415576691362*^9, 3.5734157672944965`*^9, 
   3.573415958192032*^9, 3.573416764439848*^9, 3.5734169528569794`*^9, 
   3.573417303748396*^9, 3.5734174976637363`*^9, 3.5734176361149797`*^9, 
   3.5734178247505107`*^9, 3.573418066925336*^9, 3.5734182083239846`*^9, 
   3.573418571416622*^9, 3.5734187337037077`*^9, 3.5734194703702016`*^9, 
   3.573419662671739*^9, 3.5734198120264015`*^9, 3.573420004140739*^9, 
   3.5734201887992635`*^9, 3.5746139433289003`*^9, 3.5746141211966667`*^9, 
   3.574614313245453*^9, 3.574614548053297*^9, 3.5746147424710712`*^9, 
   3.5746149364523587`*^9, 3.5746151719936986`*^9, 3.574615372906495*^9, 
   3.574615566099289*^9, 3.5746159516298285`*^9, 3.574616182170151*^9, 
   3.574616373260419*^9, 3.5746165691126933`*^9, 3.574616765962969*^9, 
   3.57461695974424*^9, 3.574617125248975*^9, 3.574617523031003*^9, 
   3.574620644315285*^9, 3.574629916990301*^9, 3.57463043998122*^9, {
   3.5898888596390696`*^9, 3.5898889001613874`*^9}, 3.589889011205739*^9, {
   3.5898890512000265`*^9, 3.589889069060048*^9}, 3.589889228356159*^9, {
   3.5898892856014333`*^9, 3.5898892992442136`*^9}, 3.5898893330891495`*^9, {
   3.589889371265333*^9, 3.5898893999029713`*^9}, 3.589889432102813*^9, {
   3.5898894747592525`*^9, 3.589889487105959*^9}, {3.589889550363577*^9, 
   3.589889563588333*^9}, 3.5898896076298523`*^9, {3.58988966004385*^9, 
   3.5898896789879336`*^9}, {3.5898897372742677`*^9, 3.589889816039773*^9}, {
   3.5898898651485815`*^9, 3.589889891365081*^9}, {3.5898900201584473`*^9, 
   3.5898900498231444`*^9}, {3.5898900872562857`*^9, 3.589890101198083*^9}, {
   3.589890217295723*^9, 3.5898902444242744`*^9}, 3.5898905391551323`*^9, {
   3.589890591491126*^9, 3.589890609433152*^9}, 3.58989070904885*^9, 
   3.589890741356698*^9, 3.589890868379963*^9, 3.5898911326900806`*^9, 
   3.5898912822466345`*^9, 3.589893877824481*^9, 3.5898939219725585`*^9, 
   3.589893961284628*^9, 3.589894008661911*^9, 3.589894073246024*^9, {
   3.5898941273625193`*^9, 3.589894158999375*^9}, 3.589894222541847*^9, 
   3.5898947594655576`*^9, 3.58989774779148*^9, 3.5898985101020813`*^9, {
   3.589898845804283*^9, 3.5898988715767565`*^9}, 3.589898962532959*^9, {
   3.589899089213205*^9, 3.5898991030029936`*^9}, 3.589899196698353*^9, 
   3.5898992528325634`*^9, {3.5898993270688095`*^9, 3.589899352831283*^9}, {
   3.5898993975748425`*^9, 3.5898994328338585`*^9}, 3.5898994648736916`*^9, 
   3.5898995009877567`*^9, 3.5898995975742817`*^9, 3.589899792994459*^9, 
   3.589899880216448*^9, 3.58989993061033*^9, {3.5899007007783813`*^9, 
   3.5899007262798395`*^9}, 3.589900758509683*^9, 3.5899009122644777`*^9, 
   3.5899010465001554`*^9, {3.5899013868896246`*^9, 3.589901412263076*^9}, 
   3.5899026331519065`*^9, 3.5899029536062355`*^9, 3.5899030110375204`*^9, 
   3.5899030859118032`*^9, 3.589903586880457*^9, 3.5899037105975327`*^9, 
   3.5899040385342903`*^9, 3.589905869520016*^9, 3.589906734022463*^9, 
   3.5899067843543415`*^9, 3.5899069930694094`*^9, 3.5899072620311327`*^9, 
   3.5899074157850027`*^9, {3.589907671882855*^9, 3.5899076808372707`*^9}, 
   3.5899077122245255`*^9, 3.5899079310697107`*^9, 3.5899080131414547`*^9, 
   3.589908090393796*^9, 3.5899088925510073`*^9, 3.5899093844752765`*^9, {
   3.589910268257841*^9, 3.5899103200343323`*^9}, 3.5899103837838464`*^9, 
   3.589911111346681*^9, {3.5899111899271755`*^9, 3.589911203846972*^9}, {
   3.5899113965059915`*^9, 3.589911421114399*^9}, 3.589911990203802*^9, 
   3.5899121150586233`*^9, {3.5899147749428997`*^9, 3.5899148113221636`*^9}, 
   3.589916981012376*^9, 3.5899173619180155`*^9, {3.5899175815085754`*^9, 
   3.5899175962994213`*^9}, 3.589921911724273*^9, 3.5899222269753046`*^9, 
   3.589922451632154*^9, 3.589922906345162*^9, 3.589924040387026*^9, 
   3.589924076810109*^9, {3.5899242037303686`*^9, 3.589924225485613*^9}, 
   3.589924714070558*^9, 3.589925002725068*^9, 3.5899250724790583`*^9, 
   3.589925491934049*^9, 3.589935953460623*^9, 3.589936092292267*^9, 
   3.5899370669494457`*^9, 3.589938612653367*^9, 3.589981752372757*^9, {
   3.589981794066141*^9, 3.5899818381806645`*^9}, {3.5899818942498713`*^9, 
   3.589981914278017*^9}, 3.5899819711332693`*^9, {3.58998200646229*^9, 
   3.5899820308706856`*^9}, 3.5899820748051987`*^9, 3.5899827184670143`*^9, 
   3.5899830619166584`*^9, {3.589983203165737*^9, 3.5899832158424625`*^9}, 
   3.589983252634567*^9, 3.589983289873697*^9, 3.589983358451619*^9, 
   3.5899834801275787`*^9, 3.5899847429808097`*^9, 3.589984789233455*^9, 
   3.5899850038877325`*^9, 3.5899851256376963`*^9, 3.589985199013893*^9, 
   3.589985332655537*^9, {3.5899854512603207`*^9, 3.5899854801249723`*^9}, {
   3.5899855732572985`*^9, 3.589985591504342*^9}, {3.589985665732588*^9, 
   3.589985684009633*^9}, 3.5899861231077485`*^9, {3.589986250141014*^9, 
   3.5899863024730077`*^9}, {3.589986373807088*^9, 3.5899863986265073`*^9}, {
   3.5899864690445347`*^9, 3.589986521987563*^9}, 3.589986795494207*^9, 
   3.5899868396877346`*^9, {3.589987715954854*^9, 3.589987737861107*^9}, 
   3.589987776501317*^9, 3.589988088080138*^9, 3.589989150092882*^9, 
   3.5899896484043837`*^9, 3.5899896959541035`*^9, 3.589990044659048*^9, 
   3.5899902110995684`*^9, {3.589990751861498*^9, 3.5899908058715873`*^9}, 
   3.589990884785101*^9, {3.5899911041036453`*^9, 3.5899911262339106`*^9}, 
   3.589991459964999*^9, 3.589991734364694*^9, 3.5899918145502806`*^9, 
   3.5899923051013384`*^9, 3.5899928393068933`*^9, {3.5899928720797677`*^9, 
   3.5899929222706385`*^9}, 3.589992988824445*^9, 3.5899930256635523`*^9, {
   3.589993106000147*^9, 3.589993133376713*^9}, 3.589993289712655*^9, 
   3.5899933253736944`*^9, 3.5899935224639673`*^9, 3.589993574973971*^9, 
   3.589994573657092*^9, 3.5899959792324867`*^9, {3.5899960115903373`*^9, 
   3.5899960358087225`*^9}, {3.589996924991581*^9, 3.589996975765485*^9}, {
   3.5899971711856623`*^9, 3.589997195527055*^9}, {3.5899973459196568`*^9, 
   3.589997353006062*^9}, 3.5899990232755957`*^9, 3.589999055465437*^9, 
   3.58999911023557*^9, {3.589999710058878*^9, 3.5899997155491915`*^9}, {
   3.5900001319220066`*^9, 3.5900001557303686`*^9}, {3.59000087415346*^9, 
   3.5900008840080233`*^9}, 3.5900009286215754`*^9, 3.590000961328446*^9, {
   3.5900009960084295`*^9, 3.5900010442851906`*^9}, {3.5900011992820563`*^9, 
   3.5900012056114187`*^9}, {3.590001257673396*^9, 3.590001282727829*^9}, 
   3.590001357276093*^9, 3.590070172042884*^9, {3.5900707042023215`*^9, 
   3.590070727689665*^9}, {3.5900712815983467`*^9, 3.590071305067689*^9}, {
   3.590071591537074*^9, 3.590071638721773*^9}, {3.5900718968965397`*^9, 
   3.5900719202128735`*^9}, {3.5900719532327623`*^9, 3.590071977483149*^9}, {
   3.590072065015156*^9, 3.590072087945467*^9}, {3.590072126020645*^9, 
   3.5900721504190407`*^9}, {3.590072183522934*^9, 3.5900722819835653`*^9}, 
   3.5900723922008696`*^9, 3.5900724583596535`*^9, 3.5900789166980495`*^9, {
   3.5900847122705374`*^9, 3.590084736201906*^9}, 3.5901477137707806`*^9, 
   3.590155098919179*^9, 3.590155267453416*^9, 3.5901554348609915`*^9, 
   3.5901556388766603`*^9, 3.5901560182413588`*^9, 3.590157079671069*^9, 
   3.59016020346974*^9, 3.5901624832201347`*^9, 3.5901673011073737`*^9, 
   3.5901703608063784`*^9, {3.59018208913688*^9, 3.590182131537754*^9}, 
   3.5901822839656224`*^9, {3.590182481212369*^9, 3.5901826556728725`*^9}, {
   3.590182708176875*^9, 3.590182733198306*^9}, {3.590182768742339*^9, 
   3.5901831027034407`*^9}, 3.590258856082738*^9, 3.59025901924807*^9, 
   3.5902591236450415`*^9, 3.5902592230707283`*^9, 3.5902593207783165`*^9, 
   3.590259453505908*^9, 3.590259815432609*^9, 3.591392240291829*^9, 
   3.5913925771470957`*^9, 3.5913926103379946`*^9, 3.5913973412525873`*^9, 
   3.5913974228342533`*^9, {3.5913980203864317`*^9, 3.5913980442497964`*^9}, 
   3.5913980951987104`*^9, {3.591974345804223*^9, 3.5919743712256775`*^9}, {
   3.5919744146091585`*^9, 3.59197446864625*^9}, {3.5919745335979643`*^9, 
   3.5919745859329576`*^9}, {3.5919746175337653`*^9, 
   3.5919746429432187`*^9}, {3.5919747422338977`*^9, 
   3.5919747676363506`*^9}, {3.591974799219157*^9, 3.5919748254116554`*^9}, {
   3.5919748922854805`*^9, 3.5919749446154737`*^9}, {3.591974981498583*^9, 
   3.5919750335325594`*^9}, 3.591975070983701*^9, 3.5919751495761967`*^9, {
   3.591976522247709*^9, 3.5919765500642996`*^9}, 3.592050534016478*^9, 
   3.5920505980381393`*^9, {3.592067538174613*^9, 3.59206756348606*^9}, 
   3.5920676250205803`*^9, {3.5920680582883615`*^9, 3.592068084162842*^9}, 
   3.59206847174701*^9, {3.592068503937851*^9, 3.592068531979455*^9}, 
   3.5920687837158537`*^9, {3.5920688149246387`*^9, 3.592068841898182*^9}, {
   3.59206906740608*^9, 3.5920690937035837`*^9}, {3.5920692055059786`*^9, 
   3.5920692314534626`*^9}, {3.5920692936190186`*^9, 
   3.5920693198645196`*^9}, {3.5920693669642134`*^9, 3.5920693931877136`*^9}, 
   3.5920694289517593`*^9, {3.592069464862813*^9, 3.592069576563202*^9}, 
   3.592069682511262*^9, 3.5920697888063416`*^9, {3.592140257836787*^9, 
   3.5921402741700153`*^9}, 3.5921451877336593`*^9, 3.5921455670963573`*^9, 
   3.5921521506120396`*^9, {3.592152206439233*^9, 3.592152232685734*^9}, 
   3.5921567374633923`*^9, {3.592156917531692*^9, 3.592156945845311*^9}, {
   3.592157260767324*^9, 3.5921572896789775`*^9}, {3.5921573729067383`*^9, 
   3.592157430527034*^9}, {3.592157469018235*^9, 3.5921574969248314`*^9}, 
   3.592157542406433*^9, {3.592157572615161*^9, 3.592157602603876*^9}, 
   3.592157633013615*^9, {3.592157685917641*^9, 3.592157714447273*^9}, {
   3.5921577492982664`*^9, 3.592157835748211*^9}, {3.5921578711612363`*^9, 
   3.592157985646785*^9}, 3.592160006730384*^9, 3.5921600517979617`*^9, 
   3.592160447744609*^9, {3.59216098311823*^9, 3.5921610100507708`*^9}, 
   3.5921628673270006`*^9, 3.592162912047559*^9, 3.5921723980709467`*^9, 
   3.5921724429425125`*^9, 3.5921724899822035`*^9, 3.592172535397801*^9, 
   3.592172582494495*^9, 3.5921726293981776`*^9, 3.5921726759568405`*^9, 
   3.592172722047477*^9, 3.592172767673086*^9, 3.5921728144577627`*^9, 
   3.592172861711465*^9, 3.592172951899624*^9, 3.592172998918313*^9, 
   3.5921730457549915`*^9, 3.592173092182647*^9, 3.592173143007554*^9, 
   3.592173189649222*^9, 3.592173236029875*^9, 3.5921732823565245`*^9, 
   3.5921733288571844`*^9, 3.5921733824282484`*^9, 3.592173429331931*^9, 
   3.592173476323619*^9, 3.5921739432663264`*^9, 3.592217137626951*^9, 
   3.592217179202329*^9, 3.592217245108099*^9, {3.592217802977007*^9, 
   3.592217814099643*^9}, {3.5922179492393727`*^9, 3.5922179747218304`*^9}, {
   3.5922187800048895`*^9, 3.592218835063039*^9}, {3.592218879346572*^9, 
   3.592218905605074*^9}, 3.5922190194225836`*^9, 3.5922190501713424`*^9, {
   3.5922191258886733`*^9, 3.5922191522601814`*^9}, {3.5922192013179874`*^9, 
   3.592219227736499*^9}, 3.592219447615075*^9, {3.592219800448256*^9, 
   3.592219826769761*^9}, {3.592220014465497*^9, 3.5922200410010147`*^9}, {
   3.5922201346703725`*^9, 3.5922201611908894`*^9}, {3.5922202023522434`*^9, 
   3.592220227978709*^9}, 3.5922236101821604`*^9, 3.594574883619179*^9, 
   3.5945751145653887`*^9, 3.5945752434407597`*^9, {3.5945753250834293`*^9, 
   3.594575363807644*^9}, {3.594576518505689*^9, 3.594576537681786*^9}, 
   3.5945766013074255`*^9, 3.5945766918916063`*^9, 3.594577694706964*^9, 
   3.594585076147806*^9, 3.594585257439175*^9, 3.5945856589701414`*^9, 
   3.5945856977973623`*^9, 3.5945871364391785`*^9, 3.59458733352892*^9, 
   3.5945873901289997`*^9, 3.594587446309078*^9, 3.594587504191165*^9, 
   3.594587562610718*^9, 3.594907170148234*^9, 3.594907227368314*^9, 
   3.5949072842083936`*^9, 3.5949073405284724`*^9, 3.5949073967555895`*^9, 
   3.5949074539480906`*^9, 3.5949075118073916`*^9, 3.594907647964431*^9, 
   3.5949079759602056`*^9, 3.594908218711831*^9, 3.594908403638955*^9, 
   3.594908570418848*^9, 3.594908845346772*^9, 3.5949091001196194`*^9, 
   3.5949094897327037`*^9, 3.5949107372872314`*^9, 3.594910795212134*^9, 
   3.5949108691618633`*^9, 3.5949109291171684`*^9, 3.594911398688795*^9, 
   3.6017656108662076`*^9, 3.6017663070401835`*^9, 3.6017664118134413`*^9, 
   3.6017665132842445`*^9, 3.6017666043504534`*^9, 3.6017667348029146`*^9, 
   3.601767489840067*^9, 3.601767550736156*^9, 3.601816393207928*^9, 
   3.601816552320029*^9, 3.6018166902789197`*^9, 3.601816801233266*^9, 
   3.601816868886135*^9, 3.601817083244396*^9, 3.6021749713354254`*^9, {
   3.602175034789519*^9, 3.6021750468795357`*^9}, {3.6021755036601753`*^9, 
   3.6021755226702023`*^9}, 3.6021761478610773`*^9, 3.6021762101341686`*^9, 
   3.602177216017579*^9, 3.602177274109665*^9, 3.60217858813313*^9, 
   3.602178652890834*^9, 3.6021788046095114`*^9, 3.602178872543397*^9, 
   3.602178977912424*^9, 3.6021790391669273`*^9, 3.602179101195475*^9, 
   3.6021821282086105`*^9, 3.6021825975194535`*^9, 3.60218327424516*^9, 
   3.6021833441091557`*^9, 3.6021846433664694`*^9, {3.6319052934942083`*^9, 
   3.6319053166902547`*^9}, 3.6319053630743556`*^9, 3.631905620182109*^9, {
   3.631905728971262*^9, 3.631905775670328*^9}, 3.631905841794423*^9, 
   3.631905873554469*^9, {3.631905952064582*^9, 3.6319059856346292`*^9}, {
   3.6319060624262*^9, 3.6319061215592847`*^9}, {3.631906163962344*^9, 
   3.631906179554366*^9}, 3.631906263334484*^9, 3.631906298296533*^9, {
   3.6319063347625847`*^9, 3.631906348252604*^9}, {3.6319064075006895`*^9, 
   3.63190642908272*^9}, 3.631906494520812*^9, {3.6319065440248814`*^9, 
   3.6319065493448887`*^9}, 3.631906629937003*^9, {3.631906675468067*^9, 
   3.6319066882430854`*^9}, 3.6319068391773005`*^9, 3.631907342363347*^9, {
   3.6319074649116297`*^9, 3.6319074855746975`*^9}, 3.631907516798767*^9, 
   3.6319075597758827`*^9, 3.631907612119988*^9, 3.6319077037782097`*^9, 
   3.6319077663923926`*^9, 3.631907815550498*^9, {3.631907904663707*^9, 
   3.631907922620743*^9}, 3.631975016875606*^9, {3.6319750575127325`*^9, 
   3.6319751147608604`*^9}, 3.631983690490576*^9, 3.6319848202868705`*^9, {
   3.6319848651439695`*^9, 3.631984920041115*^9}, 3.631985088216516*^9, 
   3.6319851447920237`*^9, {3.631985183018132*^9, 3.631985278012357*^9}, 
   3.631985329203041*^9, 3.6319891339300346`*^9, 3.631989211524261*^9, {
   3.6319908489448385`*^9, 3.631990938290032*^9}, {3.631991756083335*^9, 
   3.631991782060395*^9}, {3.6319918961556826`*^9, 3.6319919864239445`*^9}, {
   3.631992061841157*^9, 3.6319920871812277`*^9}, {3.6319936801940928`*^9, 
   3.631993695547117*^9}, {3.631993794388259*^9, 3.631993851098342*^9}, 
   3.631993892956401*^9, 3.6319941303717394`*^9, 3.6319941704207973`*^9, 
   3.6319949311748505`*^9, 3.631995285762494*^9, {3.6321525218100443`*^9, 
   3.6321525621191053`*^9}, 3.632152601611161*^9, 3.6321526690852594`*^9, 
   3.632152729914345*^9, {3.632152941589265*^9, 3.6321529628659906`*^9}, {
   3.632153012885932*^9, 3.6321530321850615`*^9}, {3.6321531489237366`*^9, 
   3.632153170952864*^9}, {3.63215331508171*^9, 3.632153423511314*^9}, 
   3.6321534989767733`*^9, {3.641647714313848*^9, 3.641647729598896*^9}, {
   3.6416478232095146`*^9, 3.641647902085271*^9}, 3.6416495462427626`*^9, 
   3.6416495983398457`*^9, 3.641649666366851*^9, 3.6416498970159254`*^9, {
   3.6416500044941063`*^9, 3.641650018741129*^9}, 3.641655281477024*^9, 
   3.64165543933371*^9, {3.64228529326035*^9, 3.642285303660945*^9}, 
   3.6422857722827487`*^9, 3.642285809459875*^9, 3.642286372846099*^9, {
   3.642329329568283*^9, 3.6423293475203977`*^9}, 3.6423296065474663`*^9, {
   3.6425190199422293`*^9, 3.6425190297322435`*^9}, {3.6425191569924264`*^9, 
   3.642519170471447*^9}, {3.6425192401065025`*^9, 3.642519339466775*^9}, 
   3.6425194466329794`*^9, 3.6425196496602926`*^9, 3.64251968061734*^9, 
   3.6425197618324614`*^9, 3.6425198090635333`*^9, 3.6425198750266323`*^9, 
   3.6425237589403563`*^9, {3.64252552609377*^9, 3.642525534218797*^9}, {
   3.642525929997016*^9, 3.6425260758345413`*^9}, 3.6425290135056953`*^9, 
   3.64252904546583*^9, {3.642529278554722*^9, 3.6425292937957745`*^9}, {
   3.6425293985322075`*^9, 3.64252941668127*^9}, {3.642529570092864*^9, 
   3.6425295859469247`*^9}, 3.6425296642022095`*^9, {3.6425298766340246`*^9, 
   3.642529913777169*^9}, {3.6425307800723295`*^9, 3.642530892123747*^9}, {
   3.6425323652890844`*^9, 3.6425323897651234`*^9}, 3.6428673507280307`*^9, {
   3.643381386559639*^9, 3.643381428129735*^9}, 3.6433815439560966`*^9, {
   3.6433836215911894`*^9, 3.643383683364358*^9}, 3.643390997134905*^9, 
   3.643391089846038*^9, 3.643391167624151*^9, 3.6446639399233317`*^9, 
   3.6446639930397387`*^9, 3.6446640487928305`*^9, 3.6446640857408886`*^9, 
   3.6446641203099685`*^9, 3.6446641506320195`*^9, {3.647702210174711*^9, 
   3.647702222206729*^9}, {3.6477023224222574`*^9, 3.647702358455705*^9}, {
   3.6477024479877067`*^9, 3.64770245678621*^9}, 3.647702716356511*^9, 
   3.647702950168728*^9, {3.64770298663387*^9, 3.647703013841516*^9}, {
   3.6477031975062532`*^9, 3.6477032387003226`*^9}, {3.6477051023628626`*^9, 
   3.6477051567689743`*^9}, 3.647705202345581*^9, 3.6477052333813562`*^9, 
   3.647706851715418*^9, 3.647706968806819*^9, {3.6477070266092095`*^9, 
   3.647707058291658*^9}, 3.647707104149311*^9, {3.6477071552526073`*^9, 
   3.647707171304631*^9}, {3.6477088524849854`*^9, 3.647708861538503*^9}, 
   3.6477106421669655`*^9, 3.647710705171401*^9, 3.6477107772891355`*^9, 
   3.647710833387344*^9, 3.6477108708187017`*^9, {3.647711340617963*^9, 
   3.6477114256418257`*^9}, 3.7039545813735695`*^9, {3.7039549879682255`*^9, 
   3.7039550159690247`*^9}, 3.7039551144818754`*^9, {3.7039552106444902`*^9, 
   3.703955237409167*^9}, {3.703955282896715*^9, 3.703955310862511*^9}, 
   3.7039553587883034`*^9, 3.7039554458100047`*^9, 3.7039555082562485`*^9, 
   3.703955896475067*^9, 3.703955961561575*^9, 3.703956021893607*^9, 
   3.70395607212663*^9, 3.7039561440988264`*^9, 3.703956188877304*^9, 
   3.7039562341318293`*^9, 3.703956470905004*^9, 3.7039565094798613`*^9, 
   3.7039566170226145`*^9, 3.703961735203638*^9, 3.7040218603870573`*^9, {
   3.704147854774356*^9, 3.7041478646979237`*^9}, 3.704147907320361*^9, {
   3.7041479848197937`*^9, 3.704148011508321*^9}, {3.7041481506012764`*^9, 
   3.7041481760337305`*^9}, 3.7041482976856885`*^9, 3.7041489318932347`*^9, 
   3.704148977309309*^9, 3.7041491430246887`*^9, 3.7041497391725683`*^9, 
   3.7041907731769185`*^9, 3.7041910943529186`*^9, 3.704191250622918*^9, 
   3.7041916948380194`*^9, 3.704192102475769*^9, 3.7041946246472178`*^9, {
   3.704194713521181*^9, 3.704194723889181*^9}, 3.7041961708597684`*^9, 
   3.704198425527832*^9, 3.704199543204652*^9, 3.704204641721367*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.30428525387929833`"}], ",", "0.5597804377359272`", ",", 
   RowBox[{"-", "1.1086626245216111`"}], ",", "0.5251642118630451`", ",", 
   RowBox[{"-", "3.307270222176582`"}], ",", "0.0499999011459037`", ",", 
   "0.1799996441252533`", ",", "0", ",", 
   RowBox[{"-", "0.10536051565782628`"}], ",", "0", ",", 
   "0.8861297324570503`", ",", 
   RowBox[{"-", "0.0776603304036143`"}], ",", 
   RowBox[{"-", "1.6732927025204059`"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.5727103173290725`*^9, 3.572710377059162*^9, 3.5727107674317493`*^9, {
   3.572711079127226*^9, 3.572711094267247*^9}, 3.5727111958873897`*^9, 
   3.5727116009489565`*^9, 3.5727117529186745`*^9, 3.5727121145977364`*^9, 
   3.5727121829178324`*^9, 3.572712427380197*^9, 3.5727126296329913`*^9, {
   3.572713036735614*^9, 3.5727130598356457`*^9}, 3.5727133704511204`*^9, {
   3.5727135561288958`*^9, 3.5727135766664405`*^9}, 3.5727136511690464`*^9, 
   3.5727140272966213`*^9, 3.572714454833254*^9, 3.572714883245854*^9, 
   3.572715352118572*^9, 3.572715682241593*^9, 3.5727167422766533`*^9, 
   3.5727169355379405`*^9, 3.5727171334217196`*^9, 3.5727173105420156`*^9, 
   3.5727175052298064`*^9, 3.5727177051370945`*^9, 3.572717898259905*^9, 
   3.5727180424751234`*^9, 3.572718237898941*^9, 3.5727184864793177`*^9, 
   3.5727186951522245`*^9, 3.5727188947960296`*^9, 3.5727190668022966`*^9, 
   3.5727192340595517`*^9, 3.57271939747231*^9, 3.5727195313825026`*^9, 
   3.5727197620178456`*^9, 3.5727199547541604`*^9, 3.572720153141941*^9, 
   3.5727203287257123`*^9, 3.5727790737997203`*^9, 3.572779247378478*^9, 
   3.572779470688802*^9, 3.572780793264619*^9, 3.5727809883478093`*^9, 
   3.5727816762417955`*^9, 3.572781864624563*^9, 3.5727822760012474`*^9, 
   3.5727824666460238`*^9, 3.572782764261463*^9, 3.572782998582814*^9, 
   3.5727839891472025`*^9, 3.572784182187473*^9, 3.572784332134692*^9, 
   3.57278450079344*^9, 3.5727846920542364`*^9, 3.5727848559719715`*^9, 
   3.5727852489275675`*^9, 3.5727854445103445`*^9, 3.572786176092434*^9, 
   3.572786372028728*^9, 3.5727865714810295`*^9, 3.572790335469838*^9, 
   3.5727906334017844`*^9, 3.5727968922661533`*^9, 3.572797220277616*^9, 
   3.572798701337019*^9, 3.572798998647459*^9, 3.5728000353935275`*^9, 
   3.572800269378891*^9, 3.5728013047549486`*^9, 3.5728017357291007`*^9, 
   3.572801917710304*^9, 3.5728021290258436`*^9, 3.5728023280936756`*^9, 
   3.5728025227639513`*^9, 3.5728028596504283`*^9, 3.5728031167492895`*^9, 
   3.572803373819412*^9, 3.5728037812120247`*^9, 3.5728040340224037`*^9, 
   3.5728043334089017`*^9, 3.572804717629489*^9, {3.572805108223567*^9, 
   3.57280511778358*^9}, 3.5728053108208733`*^9, 3.57280565550741*^9, 
   3.5728059488713884`*^9, 3.5728062687816467`*^9, 3.572806411539898*^9, 
   3.572811346170677*^9, 3.5728115737282767`*^9, 3.572811734564559*^9, 
   3.572811925228094*^9, {3.5728645376230545`*^9, 3.5728645528830767`*^9}, 
   3.57321837737822*^9, 3.573221497459982*^9, 3.573222269258195*^9, 
   3.573386286677565*^9, 3.573386466148816*^9, 3.573386825971822*^9, 
   3.573387021152119*^9, 3.5733874689972925`*^9, 3.573389054893198*^9, 
   3.5733905093310804`*^9, 3.573390685020968*^9, 3.573391151502674*^9, 
   3.573391377265731*^9, 3.573395874352536*^9, 3.573396312793182*^9, 
   3.5733965589385524`*^9, 3.573397933168602*^9, 3.573400235828558*^9, 
   3.573415068550668*^9, 3.573415576691362*^9, 3.5734157672944965`*^9, 
   3.573415958192032*^9, 3.573416764439848*^9, 3.5734169528569794`*^9, 
   3.573417303748396*^9, 3.5734174976637363`*^9, 3.5734176361149797`*^9, 
   3.5734178247505107`*^9, 3.573418066925336*^9, 3.5734182083239846`*^9, 
   3.573418571416622*^9, 3.5734187337037077`*^9, 3.5734194703702016`*^9, 
   3.573419662671739*^9, 3.5734198120264015`*^9, 3.573420004140739*^9, 
   3.5734201887992635`*^9, 3.5746139433289003`*^9, 3.5746141211966667`*^9, 
   3.574614313245453*^9, 3.574614548053297*^9, 3.5746147424710712`*^9, 
   3.5746149364523587`*^9, 3.5746151719936986`*^9, 3.574615372906495*^9, 
   3.574615566099289*^9, 3.5746159516298285`*^9, 3.574616182170151*^9, 
   3.574616373260419*^9, 3.5746165691126933`*^9, 3.574616765962969*^9, 
   3.57461695974424*^9, 3.574617125248975*^9, 3.574617523031003*^9, 
   3.574620644315285*^9, 3.574629916990301*^9, 3.57463043998122*^9, {
   3.5898888596390696`*^9, 3.5898889001613874`*^9}, 3.589889011205739*^9, {
   3.5898890512000265`*^9, 3.589889069060048*^9}, 3.589889228356159*^9, {
   3.5898892856014333`*^9, 3.5898892992442136`*^9}, 3.5898893330891495`*^9, {
   3.589889371265333*^9, 3.5898893999029713`*^9}, 3.589889432102813*^9, {
   3.5898894747592525`*^9, 3.589889487105959*^9}, {3.589889550363577*^9, 
   3.589889563588333*^9}, 3.5898896076298523`*^9, {3.58988966004385*^9, 
   3.5898896789879336`*^9}, {3.5898897372742677`*^9, 3.589889816039773*^9}, {
   3.5898898651485815`*^9, 3.589889891365081*^9}, {3.5898900201584473`*^9, 
   3.5898900498231444`*^9}, {3.5898900872562857`*^9, 3.589890101198083*^9}, {
   3.589890217295723*^9, 3.5898902444242744`*^9}, 3.5898905391551323`*^9, {
   3.589890591491126*^9, 3.589890609433152*^9}, 3.58989070904885*^9, 
   3.589890741356698*^9, 3.589890868379963*^9, 3.5898911326900806`*^9, 
   3.5898912822466345`*^9, 3.589893877824481*^9, 3.5898939219725585`*^9, 
   3.589893961284628*^9, 3.589894008661911*^9, 3.589894073246024*^9, {
   3.5898941273625193`*^9, 3.589894158999375*^9}, 3.589894222541847*^9, 
   3.5898947594655576`*^9, 3.58989774779148*^9, 3.5898985101020813`*^9, {
   3.589898845804283*^9, 3.5898988715767565`*^9}, 3.589898962532959*^9, {
   3.589899089213205*^9, 3.5898991030029936`*^9}, 3.589899196698353*^9, 
   3.5898992528325634`*^9, {3.5898993270688095`*^9, 3.589899352831283*^9}, {
   3.5898993975748425`*^9, 3.5898994328338585`*^9}, 3.5898994648736916`*^9, 
   3.5898995009877567`*^9, 3.5898995975742817`*^9, 3.589899792994459*^9, 
   3.589899880216448*^9, 3.58989993061033*^9, {3.5899007007783813`*^9, 
   3.5899007262798395`*^9}, 3.589900758509683*^9, 3.5899009122644777`*^9, 
   3.5899010465001554`*^9, {3.5899013868896246`*^9, 3.589901412263076*^9}, 
   3.5899026331519065`*^9, 3.5899029536062355`*^9, 3.5899030110375204`*^9, 
   3.5899030859118032`*^9, 3.589903586880457*^9, 3.5899037105975327`*^9, 
   3.5899040385342903`*^9, 3.589905869520016*^9, 3.589906734022463*^9, 
   3.5899067843543415`*^9, 3.5899069930694094`*^9, 3.5899072620311327`*^9, 
   3.5899074157850027`*^9, {3.589907671882855*^9, 3.5899076808372707`*^9}, 
   3.5899077122245255`*^9, 3.5899079310697107`*^9, 3.5899080131414547`*^9, 
   3.589908090393796*^9, 3.5899088925510073`*^9, 3.5899093844752765`*^9, {
   3.589910268257841*^9, 3.5899103200343323`*^9}, 3.5899103837838464`*^9, 
   3.589911111346681*^9, {3.5899111899271755`*^9, 3.589911203846972*^9}, {
   3.5899113965059915`*^9, 3.589911421114399*^9}, 3.589911990203802*^9, 
   3.5899121150586233`*^9, {3.5899147749428997`*^9, 3.5899148113221636`*^9}, 
   3.589916981012376*^9, 3.5899173619180155`*^9, {3.5899175815085754`*^9, 
   3.5899175962994213`*^9}, 3.589921911724273*^9, 3.5899222269753046`*^9, 
   3.589922451632154*^9, 3.589922906345162*^9, 3.589924040387026*^9, 
   3.589924076810109*^9, {3.5899242037303686`*^9, 3.589924225485613*^9}, 
   3.589924714070558*^9, 3.589925002725068*^9, 3.5899250724790583`*^9, 
   3.589925491934049*^9, 3.589935953460623*^9, 3.589936092292267*^9, 
   3.5899370669494457`*^9, 3.589938612653367*^9, 3.589981752372757*^9, {
   3.589981794066141*^9, 3.5899818381806645`*^9}, {3.5899818942498713`*^9, 
   3.589981914278017*^9}, 3.5899819711332693`*^9, {3.58998200646229*^9, 
   3.5899820308706856`*^9}, 3.5899820748051987`*^9, 3.5899827184670143`*^9, 
   3.5899830619166584`*^9, {3.589983203165737*^9, 3.5899832158424625`*^9}, 
   3.589983252634567*^9, 3.589983289873697*^9, 3.589983358451619*^9, 
   3.5899834801275787`*^9, 3.5899847429808097`*^9, 3.589984789233455*^9, 
   3.5899850038877325`*^9, 3.5899851256376963`*^9, 3.589985199013893*^9, 
   3.589985332655537*^9, {3.5899854512603207`*^9, 3.5899854801249723`*^9}, {
   3.5899855732572985`*^9, 3.589985591504342*^9}, {3.589985665732588*^9, 
   3.589985684009633*^9}, 3.5899861231077485`*^9, {3.589986250141014*^9, 
   3.5899863024730077`*^9}, {3.589986373807088*^9, 3.5899863986265073`*^9}, {
   3.5899864690445347`*^9, 3.589986521987563*^9}, 3.589986795494207*^9, 
   3.5899868396877346`*^9, {3.589987715954854*^9, 3.589987737861107*^9}, 
   3.589987776501317*^9, 3.589988088080138*^9, 3.589989150092882*^9, 
   3.5899896484043837`*^9, 3.5899896959541035`*^9, 3.589990044659048*^9, 
   3.5899902110995684`*^9, {3.589990751861498*^9, 3.5899908058715873`*^9}, 
   3.589990884785101*^9, {3.5899911041036453`*^9, 3.5899911262339106`*^9}, 
   3.589991459964999*^9, 3.589991734364694*^9, 3.5899918145502806`*^9, 
   3.5899923051013384`*^9, 3.5899928393068933`*^9, {3.5899928720797677`*^9, 
   3.5899929222706385`*^9}, 3.589992988824445*^9, 3.5899930256635523`*^9, {
   3.589993106000147*^9, 3.589993133376713*^9}, 3.589993289712655*^9, 
   3.5899933253736944`*^9, 3.5899935224639673`*^9, 3.589993574973971*^9, 
   3.589994573657092*^9, 3.5899959792324867`*^9, {3.5899960115903373`*^9, 
   3.5899960358087225`*^9}, {3.589996924991581*^9, 3.589996975765485*^9}, {
   3.5899971711856623`*^9, 3.589997195527055*^9}, {3.5899973459196568`*^9, 
   3.589997353006062*^9}, 3.5899990232755957`*^9, 3.589999055465437*^9, 
   3.58999911023557*^9, {3.589999710058878*^9, 3.5899997155491915`*^9}, {
   3.5900001319220066`*^9, 3.5900001557303686`*^9}, {3.59000087415346*^9, 
   3.5900008840080233`*^9}, 3.5900009286215754`*^9, 3.590000961328446*^9, {
   3.5900009960084295`*^9, 3.5900010442851906`*^9}, {3.5900011992820563`*^9, 
   3.5900012056114187`*^9}, {3.590001257673396*^9, 3.590001282727829*^9}, 
   3.590001357276093*^9, 3.590070172042884*^9, {3.5900707042023215`*^9, 
   3.590070727689665*^9}, {3.5900712815983467`*^9, 3.590071305067689*^9}, {
   3.590071591537074*^9, 3.590071638721773*^9}, {3.5900718968965397`*^9, 
   3.5900719202128735`*^9}, {3.5900719532327623`*^9, 3.590071977483149*^9}, {
   3.590072065015156*^9, 3.590072087945467*^9}, {3.590072126020645*^9, 
   3.5900721504190407`*^9}, {3.590072183522934*^9, 3.5900722819835653`*^9}, 
   3.5900723922008696`*^9, 3.5900724583596535`*^9, 3.5900789166980495`*^9, {
   3.5900847122705374`*^9, 3.590084736201906*^9}, 3.5901477137707806`*^9, 
   3.590155098919179*^9, 3.590155267453416*^9, 3.5901554348609915`*^9, 
   3.5901556388766603`*^9, 3.5901560182413588`*^9, 3.590157079671069*^9, 
   3.59016020346974*^9, 3.5901624832201347`*^9, 3.5901673011073737`*^9, 
   3.5901703608063784`*^9, {3.59018208913688*^9, 3.590182131537754*^9}, 
   3.5901822839656224`*^9, {3.590182481212369*^9, 3.5901826556728725`*^9}, {
   3.590182708176875*^9, 3.590182733198306*^9}, {3.590182768742339*^9, 
   3.5901831027034407`*^9}, 3.590258856082738*^9, 3.59025901924807*^9, 
   3.5902591236450415`*^9, 3.5902592230707283`*^9, 3.5902593207783165`*^9, 
   3.590259453505908*^9, 3.590259815432609*^9, 3.591392240291829*^9, 
   3.5913925771470957`*^9, 3.5913926103379946`*^9, 3.5913973412525873`*^9, 
   3.5913974228342533`*^9, {3.5913980203864317`*^9, 3.5913980442497964`*^9}, 
   3.5913980951987104`*^9, {3.591974345804223*^9, 3.5919743712256775`*^9}, {
   3.5919744146091585`*^9, 3.59197446864625*^9}, {3.5919745335979643`*^9, 
   3.5919745859329576`*^9}, {3.5919746175337653`*^9, 
   3.5919746429432187`*^9}, {3.5919747422338977`*^9, 
   3.5919747676363506`*^9}, {3.591974799219157*^9, 3.5919748254116554`*^9}, {
   3.5919748922854805`*^9, 3.5919749446154737`*^9}, {3.591974981498583*^9, 
   3.5919750335325594`*^9}, 3.591975070983701*^9, 3.5919751495761967`*^9, {
   3.591976522247709*^9, 3.5919765500642996`*^9}, 3.592050534016478*^9, 
   3.5920505980381393`*^9, {3.592067538174613*^9, 3.59206756348606*^9}, 
   3.5920676250205803`*^9, {3.5920680582883615`*^9, 3.592068084162842*^9}, 
   3.59206847174701*^9, {3.592068503937851*^9, 3.592068531979455*^9}, 
   3.5920687837158537`*^9, {3.5920688149246387`*^9, 3.592068841898182*^9}, {
   3.59206906740608*^9, 3.5920690937035837`*^9}, {3.5920692055059786`*^9, 
   3.5920692314534626`*^9}, {3.5920692936190186`*^9, 
   3.5920693198645196`*^9}, {3.5920693669642134`*^9, 3.5920693931877136`*^9}, 
   3.5920694289517593`*^9, {3.592069464862813*^9, 3.592069576563202*^9}, 
   3.592069682511262*^9, 3.5920697888063416`*^9, {3.592140257836787*^9, 
   3.5921402741700153`*^9}, 3.5921451877336593`*^9, 3.5921455670963573`*^9, 
   3.5921521506120396`*^9, {3.592152206439233*^9, 3.592152232685734*^9}, 
   3.5921567374633923`*^9, {3.592156917531692*^9, 3.592156945845311*^9}, {
   3.592157260767324*^9, 3.5921572896789775`*^9}, {3.5921573729067383`*^9, 
   3.592157430527034*^9}, {3.592157469018235*^9, 3.5921574969248314`*^9}, 
   3.592157542406433*^9, {3.592157572615161*^9, 3.592157602603876*^9}, 
   3.592157633013615*^9, {3.592157685917641*^9, 3.592157714447273*^9}, {
   3.5921577492982664`*^9, 3.592157835748211*^9}, {3.5921578711612363`*^9, 
   3.592157985646785*^9}, 3.592160006730384*^9, 3.5921600517979617`*^9, 
   3.592160447744609*^9, {3.59216098311823*^9, 3.5921610100507708`*^9}, 
   3.5921628673270006`*^9, 3.592162912047559*^9, 3.5921723980709467`*^9, 
   3.5921724429425125`*^9, 3.5921724899822035`*^9, 3.592172535397801*^9, 
   3.592172582494495*^9, 3.5921726293981776`*^9, 3.5921726759568405`*^9, 
   3.592172722047477*^9, 3.592172767673086*^9, 3.5921728144577627`*^9, 
   3.592172861711465*^9, 3.592172951899624*^9, 3.592172998918313*^9, 
   3.5921730457549915`*^9, 3.592173092182647*^9, 3.592173143007554*^9, 
   3.592173189649222*^9, 3.592173236029875*^9, 3.5921732823565245`*^9, 
   3.5921733288571844`*^9, 3.5921733824282484`*^9, 3.592173429331931*^9, 
   3.592173476323619*^9, 3.5921739432663264`*^9, 3.592217137626951*^9, 
   3.592217179202329*^9, 3.592217245108099*^9, {3.592217802977007*^9, 
   3.592217814099643*^9}, {3.5922179492393727`*^9, 3.5922179747218304`*^9}, {
   3.5922187800048895`*^9, 3.592218835063039*^9}, {3.592218879346572*^9, 
   3.592218905605074*^9}, 3.5922190194225836`*^9, 3.5922190501713424`*^9, {
   3.5922191258886733`*^9, 3.5922191522601814`*^9}, {3.5922192013179874`*^9, 
   3.592219227736499*^9}, 3.592219447615075*^9, {3.592219800448256*^9, 
   3.592219826769761*^9}, {3.592220014465497*^9, 3.5922200410010147`*^9}, {
   3.5922201346703725`*^9, 3.5922201611908894`*^9}, {3.5922202023522434`*^9, 
   3.592220227978709*^9}, 3.5922236101821604`*^9, 3.594574883619179*^9, 
   3.5945751145653887`*^9, 3.5945752434407597`*^9, {3.5945753250834293`*^9, 
   3.594575363807644*^9}, {3.594576518505689*^9, 3.594576537681786*^9}, 
   3.5945766013074255`*^9, 3.5945766918916063`*^9, 3.594577694706964*^9, 
   3.594585076147806*^9, 3.594585257439175*^9, 3.5945856589701414`*^9, 
   3.5945856977973623`*^9, 3.5945871364391785`*^9, 3.59458733352892*^9, 
   3.5945873901289997`*^9, 3.594587446309078*^9, 3.594587504191165*^9, 
   3.594587562610718*^9, 3.594907170148234*^9, 3.594907227368314*^9, 
   3.5949072842083936`*^9, 3.5949073405284724`*^9, 3.5949073967555895`*^9, 
   3.5949074539480906`*^9, 3.5949075118073916`*^9, 3.594907647964431*^9, 
   3.5949079759602056`*^9, 3.594908218711831*^9, 3.594908403638955*^9, 
   3.594908570418848*^9, 3.594908845346772*^9, 3.5949091001196194`*^9, 
   3.5949094897327037`*^9, 3.5949107372872314`*^9, 3.594910795212134*^9, 
   3.5949108691618633`*^9, 3.5949109291171684`*^9, 3.594911398688795*^9, 
   3.6017656108662076`*^9, 3.6017663070401835`*^9, 3.6017664118134413`*^9, 
   3.6017665132842445`*^9, 3.6017666043504534`*^9, 3.6017667348029146`*^9, 
   3.601767489840067*^9, 3.601767550736156*^9, 3.601816393207928*^9, 
   3.601816552320029*^9, 3.6018166902789197`*^9, 3.601816801233266*^9, 
   3.601816868886135*^9, 3.601817083244396*^9, 3.6021749713354254`*^9, {
   3.602175034789519*^9, 3.6021750468795357`*^9}, {3.6021755036601753`*^9, 
   3.6021755226702023`*^9}, 3.6021761478610773`*^9, 3.6021762101341686`*^9, 
   3.602177216017579*^9, 3.602177274109665*^9, 3.60217858813313*^9, 
   3.602178652890834*^9, 3.6021788046095114`*^9, 3.602178872543397*^9, 
   3.602178977912424*^9, 3.6021790391669273`*^9, 3.602179101195475*^9, 
   3.6021821282086105`*^9, 3.6021825975194535`*^9, 3.60218327424516*^9, 
   3.6021833441091557`*^9, 3.6021846433664694`*^9, {3.6319052934942083`*^9, 
   3.6319053166902547`*^9}, 3.6319053630743556`*^9, 3.631905620182109*^9, {
   3.631905728971262*^9, 3.631905775670328*^9}, 3.631905841794423*^9, 
   3.631905873554469*^9, {3.631905952064582*^9, 3.6319059856346292`*^9}, {
   3.6319060624262*^9, 3.6319061215592847`*^9}, {3.631906163962344*^9, 
   3.631906179554366*^9}, 3.631906263334484*^9, 3.631906298296533*^9, {
   3.6319063347625847`*^9, 3.631906348252604*^9}, {3.6319064075006895`*^9, 
   3.63190642908272*^9}, 3.631906494520812*^9, {3.6319065440248814`*^9, 
   3.6319065493448887`*^9}, 3.631906629937003*^9, {3.631906675468067*^9, 
   3.6319066882430854`*^9}, 3.6319068391773005`*^9, 3.631907342363347*^9, {
   3.6319074649116297`*^9, 3.6319074855746975`*^9}, 3.631907516798767*^9, 
   3.6319075597758827`*^9, 3.631907612119988*^9, 3.6319077037782097`*^9, 
   3.6319077663923926`*^9, 3.631907815550498*^9, {3.631907904663707*^9, 
   3.631907922620743*^9}, 3.631975016875606*^9, {3.6319750575127325`*^9, 
   3.6319751147608604`*^9}, 3.631983690490576*^9, 3.6319848202868705`*^9, {
   3.6319848651439695`*^9, 3.631984920041115*^9}, 3.631985088216516*^9, 
   3.6319851447920237`*^9, {3.631985183018132*^9, 3.631985278012357*^9}, 
   3.631985329203041*^9, 3.6319891339300346`*^9, 3.631989211524261*^9, {
   3.6319908489448385`*^9, 3.631990938290032*^9}, {3.631991756083335*^9, 
   3.631991782060395*^9}, {3.6319918961556826`*^9, 3.6319919864239445`*^9}, {
   3.631992061841157*^9, 3.6319920871812277`*^9}, {3.6319936801940928`*^9, 
   3.631993695547117*^9}, {3.631993794388259*^9, 3.631993851098342*^9}, 
   3.631993892956401*^9, 3.6319941303717394`*^9, 3.6319941704207973`*^9, 
   3.6319949311748505`*^9, 3.631995285762494*^9, {3.6321525218100443`*^9, 
   3.6321525621191053`*^9}, 3.632152601611161*^9, 3.6321526690852594`*^9, 
   3.632152729914345*^9, {3.632152941589265*^9, 3.6321529628659906`*^9}, {
   3.632153012885932*^9, 3.6321530321850615`*^9}, {3.6321531489237366`*^9, 
   3.632153170952864*^9}, {3.63215331508171*^9, 3.632153423511314*^9}, 
   3.6321534989767733`*^9, {3.641647714313848*^9, 3.641647729598896*^9}, {
   3.6416478232095146`*^9, 3.641647902085271*^9}, 3.6416495462427626`*^9, 
   3.6416495983398457`*^9, 3.641649666366851*^9, 3.6416498970159254`*^9, {
   3.6416500044941063`*^9, 3.641650018741129*^9}, 3.641655281477024*^9, 
   3.64165543933371*^9, {3.64228529326035*^9, 3.642285303660945*^9}, 
   3.6422857722827487`*^9, 3.642285809459875*^9, 3.642286372846099*^9, {
   3.642329329568283*^9, 3.6423293475203977`*^9}, 3.6423296065474663`*^9, {
   3.6425190199422293`*^9, 3.6425190297322435`*^9}, {3.6425191569924264`*^9, 
   3.642519170471447*^9}, {3.6425192401065025`*^9, 3.642519339466775*^9}, 
   3.6425194466329794`*^9, 3.6425196496602926`*^9, 3.64251968061734*^9, 
   3.6425197618324614`*^9, 3.6425198090635333`*^9, 3.6425198750266323`*^9, 
   3.6425237589403563`*^9, {3.64252552609377*^9, 3.642525534218797*^9}, {
   3.642525929997016*^9, 3.6425260758345413`*^9}, 3.6425290135056953`*^9, 
   3.64252904546583*^9, {3.642529278554722*^9, 3.6425292937957745`*^9}, {
   3.6425293985322075`*^9, 3.64252941668127*^9}, {3.642529570092864*^9, 
   3.6425295859469247`*^9}, 3.6425296642022095`*^9, {3.6425298766340246`*^9, 
   3.642529913777169*^9}, {3.6425307800723295`*^9, 3.642530892123747*^9}, {
   3.6425323652890844`*^9, 3.6425323897651234`*^9}, 3.6428673507280307`*^9, {
   3.643381386559639*^9, 3.643381428129735*^9}, 3.6433815439560966`*^9, {
   3.6433836215911894`*^9, 3.643383683364358*^9}, 3.643390997134905*^9, 
   3.643391089846038*^9, 3.643391167624151*^9, 3.6446639399233317`*^9, 
   3.6446639930397387`*^9, 3.6446640487928305`*^9, 3.6446640857408886`*^9, 
   3.6446641203099685`*^9, 3.6446641506320195`*^9, {3.647702210174711*^9, 
   3.647702222206729*^9}, {3.6477023224222574`*^9, 3.647702358455705*^9}, {
   3.6477024479877067`*^9, 3.64770245678621*^9}, 3.647702716356511*^9, 
   3.647702950168728*^9, {3.64770298663387*^9, 3.647703013841516*^9}, {
   3.6477031975062532`*^9, 3.6477032387003226`*^9}, {3.6477051023628626`*^9, 
   3.6477051567689743`*^9}, 3.647705202345581*^9, 3.6477052333813562`*^9, 
   3.647706851715418*^9, 3.647706968806819*^9, {3.6477070266092095`*^9, 
   3.647707058291658*^9}, 3.647707104149311*^9, {3.6477071552526073`*^9, 
   3.647707171304631*^9}, {3.6477088524849854`*^9, 3.647708861538503*^9}, 
   3.6477106421669655`*^9, 3.647710705171401*^9, 3.6477107772891355`*^9, 
   3.647710833387344*^9, 3.6477108708187017`*^9, {3.647711340617963*^9, 
   3.6477114256418257`*^9}, 3.7039545813735695`*^9, {3.7039549879682255`*^9, 
   3.7039550159690247`*^9}, 3.7039551144818754`*^9, {3.7039552106444902`*^9, 
   3.703955237409167*^9}, {3.703955282896715*^9, 3.703955310862511*^9}, 
   3.7039553587883034`*^9, 3.7039554458100047`*^9, 3.7039555082562485`*^9, 
   3.703955896475067*^9, 3.703955961561575*^9, 3.703956021893607*^9, 
   3.70395607212663*^9, 3.7039561440988264`*^9, 3.703956188877304*^9, 
   3.7039562341318293`*^9, 3.703956470905004*^9, 3.7039565094798613`*^9, 
   3.7039566170226145`*^9, 3.703961735203638*^9, 3.7040218603870573`*^9, {
   3.704147854774356*^9, 3.7041478646979237`*^9}, 3.704147907320361*^9, {
   3.7041479848197937`*^9, 3.704148011508321*^9}, {3.7041481506012764`*^9, 
   3.7041481760337305`*^9}, 3.7041482976856885`*^9, 3.7041489318932347`*^9, 
   3.704148977309309*^9, 3.7041491430246887`*^9, 3.7041497391725683`*^9, 
   3.7041907731769185`*^9, 3.7041910943529186`*^9, 3.704191250622918*^9, 
   3.7041916948380194`*^9, 3.704192102475769*^9, 3.7041946246472178`*^9, {
   3.704194713521181*^9, 3.704194723889181*^9}, 3.7041961708597684`*^9, 
   3.704198425527832*^9, 3.704199543204652*^9, 3.7042046417233667`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
   ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
   "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.5727103173290725`*^9, 3.572710377059162*^9, 3.5727107674317493`*^9, {
   3.572711079127226*^9, 3.572711094267247*^9}, 3.5727111958873897`*^9, 
   3.5727116009489565`*^9, 3.5727117529186745`*^9, 3.5727121145977364`*^9, 
   3.5727121829178324`*^9, 3.572712427380197*^9, 3.5727126296329913`*^9, {
   3.572713036735614*^9, 3.5727130598356457`*^9}, 3.5727133704511204`*^9, {
   3.5727135561288958`*^9, 3.5727135766664405`*^9}, 3.5727136511690464`*^9, 
   3.5727140272966213`*^9, 3.572714454833254*^9, 3.572714883245854*^9, 
   3.572715352118572*^9, 3.572715682241593*^9, 3.5727167422766533`*^9, 
   3.5727169355379405`*^9, 3.5727171334217196`*^9, 3.5727173105420156`*^9, 
   3.5727175052298064`*^9, 3.5727177051370945`*^9, 3.572717898259905*^9, 
   3.5727180424751234`*^9, 3.572718237898941*^9, 3.5727184864793177`*^9, 
   3.5727186951522245`*^9, 3.5727188947960296`*^9, 3.5727190668022966`*^9, 
   3.5727192340595517`*^9, 3.57271939747231*^9, 3.5727195313825026`*^9, 
   3.5727197620178456`*^9, 3.5727199547541604`*^9, 3.572720153141941*^9, 
   3.5727203287257123`*^9, 3.5727790737997203`*^9, 3.572779247378478*^9, 
   3.572779470688802*^9, 3.572780793264619*^9, 3.5727809883478093`*^9, 
   3.5727816762417955`*^9, 3.572781864624563*^9, 3.5727822760012474`*^9, 
   3.5727824666460238`*^9, 3.572782764261463*^9, 3.572782998582814*^9, 
   3.5727839891472025`*^9, 3.572784182187473*^9, 3.572784332134692*^9, 
   3.57278450079344*^9, 3.5727846920542364`*^9, 3.5727848559719715`*^9, 
   3.5727852489275675`*^9, 3.5727854445103445`*^9, 3.572786176092434*^9, 
   3.572786372028728*^9, 3.5727865714810295`*^9, 3.572790335469838*^9, 
   3.5727906334017844`*^9, 3.5727968922661533`*^9, 3.572797220277616*^9, 
   3.572798701337019*^9, 3.572798998647459*^9, 3.5728000353935275`*^9, 
   3.572800269378891*^9, 3.5728013047549486`*^9, 3.5728017357291007`*^9, 
   3.572801917710304*^9, 3.5728021290258436`*^9, 3.5728023280936756`*^9, 
   3.5728025227639513`*^9, 3.5728028596504283`*^9, 3.5728031167492895`*^9, 
   3.572803373819412*^9, 3.5728037812120247`*^9, 3.5728040340224037`*^9, 
   3.5728043334089017`*^9, 3.572804717629489*^9, {3.572805108223567*^9, 
   3.57280511778358*^9}, 3.5728053108208733`*^9, 3.57280565550741*^9, 
   3.5728059488713884`*^9, 3.5728062687816467`*^9, 3.572806411539898*^9, 
   3.572811346170677*^9, 3.5728115737282767`*^9, 3.572811734564559*^9, 
   3.572811925228094*^9, {3.5728645376230545`*^9, 3.5728645528830767`*^9}, 
   3.57321837737822*^9, 3.573221497459982*^9, 3.573222269258195*^9, 
   3.573386286677565*^9, 3.573386466148816*^9, 3.573386825971822*^9, 
   3.573387021152119*^9, 3.5733874689972925`*^9, 3.573389054893198*^9, 
   3.5733905093310804`*^9, 3.573390685020968*^9, 3.573391151502674*^9, 
   3.573391377265731*^9, 3.573395874352536*^9, 3.573396312793182*^9, 
   3.5733965589385524`*^9, 3.573397933168602*^9, 3.573400235828558*^9, 
   3.573415068550668*^9, 3.573415576691362*^9, 3.5734157672944965`*^9, 
   3.573415958192032*^9, 3.573416764439848*^9, 3.5734169528569794`*^9, 
   3.573417303748396*^9, 3.5734174976637363`*^9, 3.5734176361149797`*^9, 
   3.5734178247505107`*^9, 3.573418066925336*^9, 3.5734182083239846`*^9, 
   3.573418571416622*^9, 3.5734187337037077`*^9, 3.5734194703702016`*^9, 
   3.573419662671739*^9, 3.5734198120264015`*^9, 3.573420004140739*^9, 
   3.5734201887992635`*^9, 3.5746139433289003`*^9, 3.5746141211966667`*^9, 
   3.574614313245453*^9, 3.574614548053297*^9, 3.5746147424710712`*^9, 
   3.5746149364523587`*^9, 3.5746151719936986`*^9, 3.574615372906495*^9, 
   3.574615566099289*^9, 3.5746159516298285`*^9, 3.574616182170151*^9, 
   3.574616373260419*^9, 3.5746165691126933`*^9, 3.574616765962969*^9, 
   3.57461695974424*^9, 3.574617125248975*^9, 3.574617523031003*^9, 
   3.574620644315285*^9, 3.574629916990301*^9, 3.57463043998122*^9, {
   3.5898888596390696`*^9, 3.5898889001613874`*^9}, 3.589889011205739*^9, {
   3.5898890512000265`*^9, 3.589889069060048*^9}, 3.589889228356159*^9, {
   3.5898892856014333`*^9, 3.5898892992442136`*^9}, 3.5898893330891495`*^9, {
   3.589889371265333*^9, 3.5898893999029713`*^9}, 3.589889432102813*^9, {
   3.5898894747592525`*^9, 3.589889487105959*^9}, {3.589889550363577*^9, 
   3.589889563588333*^9}, 3.5898896076298523`*^9, {3.58988966004385*^9, 
   3.5898896789879336`*^9}, {3.5898897372742677`*^9, 3.589889816039773*^9}, {
   3.5898898651485815`*^9, 3.589889891365081*^9}, {3.5898900201584473`*^9, 
   3.5898900498231444`*^9}, {3.5898900872562857`*^9, 3.589890101198083*^9}, {
   3.589890217295723*^9, 3.5898902444242744`*^9}, 3.5898905391551323`*^9, {
   3.589890591491126*^9, 3.589890609433152*^9}, 3.58989070904885*^9, 
   3.589890741356698*^9, 3.589890868379963*^9, 3.5898911326900806`*^9, 
   3.5898912822466345`*^9, 3.589893877824481*^9, 3.5898939219725585`*^9, 
   3.589893961284628*^9, 3.589894008661911*^9, 3.589894073246024*^9, {
   3.5898941273625193`*^9, 3.589894158999375*^9}, 3.589894222541847*^9, 
   3.5898947594655576`*^9, 3.58989774779148*^9, 3.5898985101020813`*^9, {
   3.589898845804283*^9, 3.5898988715767565`*^9}, 3.589898962532959*^9, {
   3.589899089213205*^9, 3.5898991030029936`*^9}, 3.589899196698353*^9, 
   3.5898992528325634`*^9, {3.5898993270688095`*^9, 3.589899352831283*^9}, {
   3.5898993975748425`*^9, 3.5898994328338585`*^9}, 3.5898994648736916`*^9, 
   3.5898995009877567`*^9, 3.5898995975742817`*^9, 3.589899792994459*^9, 
   3.589899880216448*^9, 3.58989993061033*^9, {3.5899007007783813`*^9, 
   3.5899007262798395`*^9}, 3.589900758509683*^9, 3.5899009122644777`*^9, 
   3.5899010465001554`*^9, {3.5899013868896246`*^9, 3.589901412263076*^9}, 
   3.5899026331519065`*^9, 3.5899029536062355`*^9, 3.5899030110375204`*^9, 
   3.5899030859118032`*^9, 3.589903586880457*^9, 3.5899037105975327`*^9, 
   3.5899040385342903`*^9, 3.589905869520016*^9, 3.589906734022463*^9, 
   3.5899067843543415`*^9, 3.5899069930694094`*^9, 3.5899072620311327`*^9, 
   3.5899074157850027`*^9, {3.589907671882855*^9, 3.5899076808372707`*^9}, 
   3.5899077122245255`*^9, 3.5899079310697107`*^9, 3.5899080131414547`*^9, 
   3.589908090393796*^9, 3.5899088925510073`*^9, 3.5899093844752765`*^9, {
   3.589910268257841*^9, 3.5899103200343323`*^9}, 3.5899103837838464`*^9, 
   3.589911111346681*^9, {3.5899111899271755`*^9, 3.589911203846972*^9}, {
   3.5899113965059915`*^9, 3.589911421114399*^9}, 3.589911990203802*^9, 
   3.5899121150586233`*^9, {3.5899147749428997`*^9, 3.5899148113221636`*^9}, 
   3.589916981012376*^9, 3.5899173619180155`*^9, {3.5899175815085754`*^9, 
   3.5899175962994213`*^9}, 3.589921911724273*^9, 3.5899222269753046`*^9, 
   3.589922451632154*^9, 3.589922906345162*^9, 3.589924040387026*^9, 
   3.589924076810109*^9, {3.5899242037303686`*^9, 3.589924225485613*^9}, 
   3.589924714070558*^9, 3.589925002725068*^9, 3.5899250724790583`*^9, 
   3.589925491934049*^9, 3.589935953460623*^9, 3.589936092292267*^9, 
   3.5899370669494457`*^9, 3.589938612653367*^9, 3.589981752372757*^9, {
   3.589981794066141*^9, 3.5899818381806645`*^9}, {3.5899818942498713`*^9, 
   3.589981914278017*^9}, 3.5899819711332693`*^9, {3.58998200646229*^9, 
   3.5899820308706856`*^9}, 3.5899820748051987`*^9, 3.5899827184670143`*^9, 
   3.5899830619166584`*^9, {3.589983203165737*^9, 3.5899832158424625`*^9}, 
   3.589983252634567*^9, 3.589983289873697*^9, 3.589983358451619*^9, 
   3.5899834801275787`*^9, 3.5899847429808097`*^9, 3.589984789233455*^9, 
   3.5899850038877325`*^9, 3.5899851256376963`*^9, 3.589985199013893*^9, 
   3.589985332655537*^9, {3.5899854512603207`*^9, 3.5899854801249723`*^9}, {
   3.5899855732572985`*^9, 3.589985591504342*^9}, {3.589985665732588*^9, 
   3.589985684009633*^9}, 3.5899861231077485`*^9, {3.589986250141014*^9, 
   3.5899863024730077`*^9}, {3.589986373807088*^9, 3.5899863986265073`*^9}, {
   3.5899864690445347`*^9, 3.589986521987563*^9}, 3.589986795494207*^9, 
   3.5899868396877346`*^9, {3.589987715954854*^9, 3.589987737861107*^9}, 
   3.589987776501317*^9, 3.589988088080138*^9, 3.589989150092882*^9, 
   3.5899896484043837`*^9, 3.5899896959541035`*^9, 3.589990044659048*^9, 
   3.5899902110995684`*^9, {3.589990751861498*^9, 3.5899908058715873`*^9}, 
   3.589990884785101*^9, {3.5899911041036453`*^9, 3.5899911262339106`*^9}, 
   3.589991459964999*^9, 3.589991734364694*^9, 3.5899918145502806`*^9, 
   3.5899923051013384`*^9, 3.5899928393068933`*^9, {3.5899928720797677`*^9, 
   3.5899929222706385`*^9}, 3.589992988824445*^9, 3.5899930256635523`*^9, {
   3.589993106000147*^9, 3.589993133376713*^9}, 3.589993289712655*^9, 
   3.5899933253736944`*^9, 3.5899935224639673`*^9, 3.589993574973971*^9, 
   3.589994573657092*^9, 3.5899959792324867`*^9, {3.5899960115903373`*^9, 
   3.5899960358087225`*^9}, {3.589996924991581*^9, 3.589996975765485*^9}, {
   3.5899971711856623`*^9, 3.589997195527055*^9}, {3.5899973459196568`*^9, 
   3.589997353006062*^9}, 3.5899990232755957`*^9, 3.589999055465437*^9, 
   3.58999911023557*^9, {3.589999710058878*^9, 3.5899997155491915`*^9}, {
   3.5900001319220066`*^9, 3.5900001557303686`*^9}, {3.59000087415346*^9, 
   3.5900008840080233`*^9}, 3.5900009286215754`*^9, 3.590000961328446*^9, {
   3.5900009960084295`*^9, 3.5900010442851906`*^9}, {3.5900011992820563`*^9, 
   3.5900012056114187`*^9}, {3.590001257673396*^9, 3.590001282727829*^9}, 
   3.590001357276093*^9, 3.590070172042884*^9, {3.5900707042023215`*^9, 
   3.590070727689665*^9}, {3.5900712815983467`*^9, 3.590071305067689*^9}, {
   3.590071591537074*^9, 3.590071638721773*^9}, {3.5900718968965397`*^9, 
   3.5900719202128735`*^9}, {3.5900719532327623`*^9, 3.590071977483149*^9}, {
   3.590072065015156*^9, 3.590072087945467*^9}, {3.590072126020645*^9, 
   3.5900721504190407`*^9}, {3.590072183522934*^9, 3.5900722819835653`*^9}, 
   3.5900723922008696`*^9, 3.5900724583596535`*^9, 3.5900789166980495`*^9, {
   3.5900847122705374`*^9, 3.590084736201906*^9}, 3.5901477137707806`*^9, 
   3.590155098919179*^9, 3.590155267453416*^9, 3.5901554348609915`*^9, 
   3.5901556388766603`*^9, 3.5901560182413588`*^9, 3.590157079671069*^9, 
   3.59016020346974*^9, 3.5901624832201347`*^9, 3.5901673011073737`*^9, 
   3.5901703608063784`*^9, {3.59018208913688*^9, 3.590182131537754*^9}, 
   3.5901822839656224`*^9, {3.590182481212369*^9, 3.5901826556728725`*^9}, {
   3.590182708176875*^9, 3.590182733198306*^9}, {3.590182768742339*^9, 
   3.5901831027034407`*^9}, 3.590258856082738*^9, 3.59025901924807*^9, 
   3.5902591236450415`*^9, 3.5902592230707283`*^9, 3.5902593207783165`*^9, 
   3.590259453505908*^9, 3.590259815432609*^9, 3.591392240291829*^9, 
   3.5913925771470957`*^9, 3.5913926103379946`*^9, 3.5913973412525873`*^9, 
   3.5913974228342533`*^9, {3.5913980203864317`*^9, 3.5913980442497964`*^9}, 
   3.5913980951987104`*^9, {3.591974345804223*^9, 3.5919743712256775`*^9}, {
   3.5919744146091585`*^9, 3.59197446864625*^9}, {3.5919745335979643`*^9, 
   3.5919745859329576`*^9}, {3.5919746175337653`*^9, 
   3.5919746429432187`*^9}, {3.5919747422338977`*^9, 
   3.5919747676363506`*^9}, {3.591974799219157*^9, 3.5919748254116554`*^9}, {
   3.5919748922854805`*^9, 3.5919749446154737`*^9}, {3.591974981498583*^9, 
   3.5919750335325594`*^9}, 3.591975070983701*^9, 3.5919751495761967`*^9, {
   3.591976522247709*^9, 3.5919765500642996`*^9}, 3.592050534016478*^9, 
   3.5920505980381393`*^9, {3.592067538174613*^9, 3.59206756348606*^9}, 
   3.5920676250205803`*^9, {3.5920680582883615`*^9, 3.592068084162842*^9}, 
   3.59206847174701*^9, {3.592068503937851*^9, 3.592068531979455*^9}, 
   3.5920687837158537`*^9, {3.5920688149246387`*^9, 3.592068841898182*^9}, {
   3.59206906740608*^9, 3.5920690937035837`*^9}, {3.5920692055059786`*^9, 
   3.5920692314534626`*^9}, {3.5920692936190186`*^9, 
   3.5920693198645196`*^9}, {3.5920693669642134`*^9, 3.5920693931877136`*^9}, 
   3.5920694289517593`*^9, {3.592069464862813*^9, 3.592069576563202*^9}, 
   3.592069682511262*^9, 3.5920697888063416`*^9, {3.592140257836787*^9, 
   3.5921402741700153`*^9}, 3.5921451877336593`*^9, 3.5921455670963573`*^9, 
   3.5921521506120396`*^9, {3.592152206439233*^9, 3.592152232685734*^9}, 
   3.5921567374633923`*^9, {3.592156917531692*^9, 3.592156945845311*^9}, {
   3.592157260767324*^9, 3.5921572896789775`*^9}, {3.5921573729067383`*^9, 
   3.592157430527034*^9}, {3.592157469018235*^9, 3.5921574969248314`*^9}, 
   3.592157542406433*^9, {3.592157572615161*^9, 3.592157602603876*^9}, 
   3.592157633013615*^9, {3.592157685917641*^9, 3.592157714447273*^9}, {
   3.5921577492982664`*^9, 3.592157835748211*^9}, {3.5921578711612363`*^9, 
   3.592157985646785*^9}, 3.592160006730384*^9, 3.5921600517979617`*^9, 
   3.592160447744609*^9, {3.59216098311823*^9, 3.5921610100507708`*^9}, 
   3.5921628673270006`*^9, 3.592162912047559*^9, 3.5921723980709467`*^9, 
   3.5921724429425125`*^9, 3.5921724899822035`*^9, 3.592172535397801*^9, 
   3.592172582494495*^9, 3.5921726293981776`*^9, 3.5921726759568405`*^9, 
   3.592172722047477*^9, 3.592172767673086*^9, 3.5921728144577627`*^9, 
   3.592172861711465*^9, 3.592172951899624*^9, 3.592172998918313*^9, 
   3.5921730457549915`*^9, 3.592173092182647*^9, 3.592173143007554*^9, 
   3.592173189649222*^9, 3.592173236029875*^9, 3.5921732823565245`*^9, 
   3.5921733288571844`*^9, 3.5921733824282484`*^9, 3.592173429331931*^9, 
   3.592173476323619*^9, 3.5921739432663264`*^9, 3.592217137626951*^9, 
   3.592217179202329*^9, 3.592217245108099*^9, {3.592217802977007*^9, 
   3.592217814099643*^9}, {3.5922179492393727`*^9, 3.5922179747218304`*^9}, {
   3.5922187800048895`*^9, 3.592218835063039*^9}, {3.592218879346572*^9, 
   3.592218905605074*^9}, 3.5922190194225836`*^9, 3.5922190501713424`*^9, {
   3.5922191258886733`*^9, 3.5922191522601814`*^9}, {3.5922192013179874`*^9, 
   3.592219227736499*^9}, 3.592219447615075*^9, {3.592219800448256*^9, 
   3.592219826769761*^9}, {3.592220014465497*^9, 3.5922200410010147`*^9}, {
   3.5922201346703725`*^9, 3.5922201611908894`*^9}, {3.5922202023522434`*^9, 
   3.592220227978709*^9}, 3.5922236101821604`*^9, 3.594574883619179*^9, 
   3.5945751145653887`*^9, 3.5945752434407597`*^9, {3.5945753250834293`*^9, 
   3.594575363807644*^9}, {3.594576518505689*^9, 3.594576537681786*^9}, 
   3.5945766013074255`*^9, 3.5945766918916063`*^9, 3.594577694706964*^9, 
   3.594585076147806*^9, 3.594585257439175*^9, 3.5945856589701414`*^9, 
   3.5945856977973623`*^9, 3.5945871364391785`*^9, 3.59458733352892*^9, 
   3.5945873901289997`*^9, 3.594587446309078*^9, 3.594587504191165*^9, 
   3.594587562610718*^9, 3.594907170148234*^9, 3.594907227368314*^9, 
   3.5949072842083936`*^9, 3.5949073405284724`*^9, 3.5949073967555895`*^9, 
   3.5949074539480906`*^9, 3.5949075118073916`*^9, 3.594907647964431*^9, 
   3.5949079759602056`*^9, 3.594908218711831*^9, 3.594908403638955*^9, 
   3.594908570418848*^9, 3.594908845346772*^9, 3.5949091001196194`*^9, 
   3.5949094897327037`*^9, 3.5949107372872314`*^9, 3.594910795212134*^9, 
   3.5949108691618633`*^9, 3.5949109291171684`*^9, 3.594911398688795*^9, 
   3.6017656108662076`*^9, 3.6017663070401835`*^9, 3.6017664118134413`*^9, 
   3.6017665132842445`*^9, 3.6017666043504534`*^9, 3.6017667348029146`*^9, 
   3.601767489840067*^9, 3.601767550736156*^9, 3.601816393207928*^9, 
   3.601816552320029*^9, 3.6018166902789197`*^9, 3.601816801233266*^9, 
   3.601816868886135*^9, 3.601817083244396*^9, 3.6021749713354254`*^9, {
   3.602175034789519*^9, 3.6021750468795357`*^9}, {3.6021755036601753`*^9, 
   3.6021755226702023`*^9}, 3.6021761478610773`*^9, 3.6021762101341686`*^9, 
   3.602177216017579*^9, 3.602177274109665*^9, 3.60217858813313*^9, 
   3.602178652890834*^9, 3.6021788046095114`*^9, 3.602178872543397*^9, 
   3.602178977912424*^9, 3.6021790391669273`*^9, 3.602179101195475*^9, 
   3.6021821282086105`*^9, 3.6021825975194535`*^9, 3.60218327424516*^9, 
   3.6021833441091557`*^9, 3.6021846433664694`*^9, {3.6319052934942083`*^9, 
   3.6319053166902547`*^9}, 3.6319053630743556`*^9, 3.631905620182109*^9, {
   3.631905728971262*^9, 3.631905775670328*^9}, 3.631905841794423*^9, 
   3.631905873554469*^9, {3.631905952064582*^9, 3.6319059856346292`*^9}, {
   3.6319060624262*^9, 3.6319061215592847`*^9}, {3.631906163962344*^9, 
   3.631906179554366*^9}, 3.631906263334484*^9, 3.631906298296533*^9, {
   3.6319063347625847`*^9, 3.631906348252604*^9}, {3.6319064075006895`*^9, 
   3.63190642908272*^9}, 3.631906494520812*^9, {3.6319065440248814`*^9, 
   3.6319065493448887`*^9}, 3.631906629937003*^9, {3.631906675468067*^9, 
   3.6319066882430854`*^9}, 3.6319068391773005`*^9, 3.631907342363347*^9, {
   3.6319074649116297`*^9, 3.6319074855746975`*^9}, 3.631907516798767*^9, 
   3.6319075597758827`*^9, 3.631907612119988*^9, 3.6319077037782097`*^9, 
   3.6319077663923926`*^9, 3.631907815550498*^9, {3.631907904663707*^9, 
   3.631907922620743*^9}, 3.631975016875606*^9, {3.6319750575127325`*^9, 
   3.6319751147608604`*^9}, 3.631983690490576*^9, 3.6319848202868705`*^9, {
   3.6319848651439695`*^9, 3.631984920041115*^9}, 3.631985088216516*^9, 
   3.6319851447920237`*^9, {3.631985183018132*^9, 3.631985278012357*^9}, 
   3.631985329203041*^9, 3.6319891339300346`*^9, 3.631989211524261*^9, {
   3.6319908489448385`*^9, 3.631990938290032*^9}, {3.631991756083335*^9, 
   3.631991782060395*^9}, {3.6319918961556826`*^9, 3.6319919864239445`*^9}, {
   3.631992061841157*^9, 3.6319920871812277`*^9}, {3.6319936801940928`*^9, 
   3.631993695547117*^9}, {3.631993794388259*^9, 3.631993851098342*^9}, 
   3.631993892956401*^9, 3.6319941303717394`*^9, 3.6319941704207973`*^9, 
   3.6319949311748505`*^9, 3.631995285762494*^9, {3.6321525218100443`*^9, 
   3.6321525621191053`*^9}, 3.632152601611161*^9, 3.6321526690852594`*^9, 
   3.632152729914345*^9, {3.632152941589265*^9, 3.6321529628659906`*^9}, {
   3.632153012885932*^9, 3.6321530321850615`*^9}, {3.6321531489237366`*^9, 
   3.632153170952864*^9}, {3.63215331508171*^9, 3.632153423511314*^9}, 
   3.6321534989767733`*^9, {3.641647714313848*^9, 3.641647729598896*^9}, {
   3.6416478232095146`*^9, 3.641647902085271*^9}, 3.6416495462427626`*^9, 
   3.6416495983398457`*^9, 3.641649666366851*^9, 3.6416498970159254`*^9, {
   3.6416500044941063`*^9, 3.641650018741129*^9}, 3.641655281477024*^9, 
   3.64165543933371*^9, {3.64228529326035*^9, 3.642285303660945*^9}, 
   3.6422857722827487`*^9, 3.642285809459875*^9, 3.642286372846099*^9, {
   3.642329329568283*^9, 3.6423293475203977`*^9}, 3.6423296065474663`*^9, {
   3.6425190199422293`*^9, 3.6425190297322435`*^9}, {3.6425191569924264`*^9, 
   3.642519170471447*^9}, {3.6425192401065025`*^9, 3.642519339466775*^9}, 
   3.6425194466329794`*^9, 3.6425196496602926`*^9, 3.64251968061734*^9, 
   3.6425197618324614`*^9, 3.6425198090635333`*^9, 3.6425198750266323`*^9, 
   3.6425237589403563`*^9, {3.64252552609377*^9, 3.642525534218797*^9}, {
   3.642525929997016*^9, 3.6425260758345413`*^9}, 3.6425290135056953`*^9, 
   3.64252904546583*^9, {3.642529278554722*^9, 3.6425292937957745`*^9}, {
   3.6425293985322075`*^9, 3.64252941668127*^9}, {3.642529570092864*^9, 
   3.6425295859469247`*^9}, 3.6425296642022095`*^9, {3.6425298766340246`*^9, 
   3.642529913777169*^9}, {3.6425307800723295`*^9, 3.642530892123747*^9}, {
   3.6425323652890844`*^9, 3.6425323897651234`*^9}, 3.6428673507280307`*^9, {
   3.643381386559639*^9, 3.643381428129735*^9}, 3.6433815439560966`*^9, {
   3.6433836215911894`*^9, 3.643383683364358*^9}, 3.643390997134905*^9, 
   3.643391089846038*^9, 3.643391167624151*^9, 3.6446639399233317`*^9, 
   3.6446639930397387`*^9, 3.6446640487928305`*^9, 3.6446640857408886`*^9, 
   3.6446641203099685`*^9, 3.6446641506320195`*^9, {3.647702210174711*^9, 
   3.647702222206729*^9}, {3.6477023224222574`*^9, 3.647702358455705*^9}, {
   3.6477024479877067`*^9, 3.64770245678621*^9}, 3.647702716356511*^9, 
   3.647702950168728*^9, {3.64770298663387*^9, 3.647703013841516*^9}, {
   3.6477031975062532`*^9, 3.6477032387003226`*^9}, {3.6477051023628626`*^9, 
   3.6477051567689743`*^9}, 3.647705202345581*^9, 3.6477052333813562`*^9, 
   3.647706851715418*^9, 3.647706968806819*^9, {3.6477070266092095`*^9, 
   3.647707058291658*^9}, 3.647707104149311*^9, {3.6477071552526073`*^9, 
   3.647707171304631*^9}, {3.6477088524849854`*^9, 3.647708861538503*^9}, 
   3.6477106421669655`*^9, 3.647710705171401*^9, 3.6477107772891355`*^9, 
   3.647710833387344*^9, 3.6477108708187017`*^9, {3.647711340617963*^9, 
   3.6477114256418257`*^9}, 3.7039545813735695`*^9, {3.7039549879682255`*^9, 
   3.7039550159690247`*^9}, 3.7039551144818754`*^9, {3.7039552106444902`*^9, 
   3.703955237409167*^9}, {3.703955282896715*^9, 3.703955310862511*^9}, 
   3.7039553587883034`*^9, 3.7039554458100047`*^9, 3.7039555082562485`*^9, 
   3.703955896475067*^9, 3.703955961561575*^9, 3.703956021893607*^9, 
   3.70395607212663*^9, 3.7039561440988264`*^9, 3.703956188877304*^9, 
   3.7039562341318293`*^9, 3.703956470905004*^9, 3.7039565094798613`*^9, 
   3.7039566170226145`*^9, 3.703961735203638*^9, 3.7040218603870573`*^9, {
   3.704147854774356*^9, 3.7041478646979237`*^9}, 3.704147907320361*^9, {
   3.7041479848197937`*^9, 3.704148011508321*^9}, {3.7041481506012764`*^9, 
   3.7041481760337305`*^9}, 3.7041482976856885`*^9, 3.7041489318932347`*^9, 
   3.704148977309309*^9, 3.7041491430246887`*^9, 3.7041497391725683`*^9, 
   3.7041907731769185`*^9, 3.7041910943529186`*^9, 3.704191250622918*^9, 
   3.7041916948380194`*^9, 3.704192102475769*^9, 3.7041946246472178`*^9, {
   3.704194713521181*^9, 3.704194723889181*^9}, 3.7041961708597684`*^9, 
   3.704198425527832*^9, 3.704199543204652*^9, 3.7042046421003294`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["First Order Approximation", "Section",
 CellChangeTimes->{{3.620495797931159*^9, 3.6204958028344398`*^9}}],

Cell[CellGroupData[{

Cell["System to Be Solved", "Subsection",
 CellChangeTimes->{{3.6243755133418107`*^9, 3.6243755163819847`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"dFss", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{"F", ",", 
            RowBox[{"{", "state", "}"}]}], "]"}], "/.", "derivrule"}], "/.", 
         "ssrule"}], "/.", "barrule"}], "/.", "regimerule"}], "/.", 
      "parmrule"}], "/.", "epsrule"}], "/.", "epsprule1"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6204958066436577`*^9, 3.620495898244897*^9}, {
   3.620495951115921*^9, 3.6204959985236325`*^9}, {3.6204960876987333`*^9, 
   3.6204960882267632`*^9}, {3.620497428361415*^9, 3.6204974313925877`*^9}, {
   3.6204975843353357`*^9, 3.6204975850713778`*^9}, {3.620497703718164*^9, 
   3.620497703878173*^9}, {3.621942980670184*^9, 3.6219429878205934`*^9}, 
   3.624369570009757*^9, 3.6243745825389805`*^9, {3.6319073758684177`*^9, 
   3.6319074038204994`*^9}, {3.63190747197867*^9, 3.6319074772986813`*^9}, {
   3.6319751181208673`*^9, 3.631975169317995*^9}}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.704204644122127*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Derivative for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", 
    RowBox[{"t", "-", "1"}]], TraditionalForm]]]
}], "Subsection",
 CellChangeTimes->{{3.5474806913578176`*^9, 3.5474806959660816`*^9}, {
  3.6243746944671392`*^9, 3.6243747734592505`*^9}}],

Cell[CellGroupData[{

Cell["Solve Fixed Regime Counterpart", "Subsubsection",
 CellChangeTimes->{{3.624375494501733*^9, 3.624375542453476*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Amat", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"D", "[", 
               RowBox[{"ff", ",", 
                RowBox[{"{", "xvars", "}"}]}], "]"}], ",", 
              RowBox[{"D", "[", 
               RowBox[{"ff", ",", 
                RowBox[{"{", "yvarsp", "}"}]}], "]"}], ",", "2"}], "]"}], "/.",
             "funrulej"}], "/.", "funrulei"}], "/.", "derivrule"}], "/.", 
         "ssrule"}], "/.", "barrule"}], "/.", "regimerule"}], "/.", 
      "parmrule"}], "/.", "epsrule"}], "/.", "epsprule1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bmat", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{"Join", "[", 
              RowBox[{
               RowBox[{"D", "[", 
                RowBox[{"ff", ",", 
                 RowBox[{"{", "xlag", "}"}]}], "]"}], ",", 
               RowBox[{"D", "[", 
                RowBox[{"ff", ",", 
                 RowBox[{"{", "yvars", "}"}]}], "]"}], ",", "2"}], "]"}]}], "/.",
             "funrulej"}], "/.", "funrulei"}], "/.", "derivrule"}], "/.", 
         "ssrule"}], "/.", "barrule"}], "/.", "regimerule"}], "/.", 
      "parmrule"}], "/.", "epsrule"}], "/.", "epsprule1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Vals", ",", "Vecs"}], "}"}], "=", 
   RowBox[{"Eigensystem", "[", 
    RowBox[{"{", 
     RowBox[{"Bmat", ",", "Amat"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vecs", "=", 
   RowBox[{"Transpose", "[", "Vecs", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vecs", "=", 
   RowBox[{"Vecs", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"1", ";;", "n"}], ",", 
      RowBox[{"Ordering", "[", 
       RowBox[{"Abs", "[", "Vals", "]"}], "]"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vals", "=", 
   RowBox[{"Vals", "[", 
    RowBox[{"[", 
     RowBox[{"Ordering", "[", 
      RowBox[{"Abs", "[", "Vals", "]"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "Vals", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Count", "[", 
  RowBox[{
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{"Abs", "[", "Vals", "]"}], "<", "1"}], "]"}], ",", "True"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hx", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{
     RowBox[{"Vecs", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"1", ";;", "nx"}], ",", 
        RowBox[{"1", ";;", "nx"}]}], "]"}], "]"}], ".", 
     RowBox[{"DiagonalMatrix", "[", 
      RowBox[{"Vals", "[", 
       RowBox[{"[", 
        RowBox[{"1", ";;", "nx"}], "]"}], "]"}], "]"}], ".", 
     RowBox[{"Inverse", "[", 
      RowBox[{"Vecs", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"1", ";;", "nx"}], ",", 
         RowBox[{"1", ";;", "nx"}]}], "]"}], "]"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gx", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{
     RowBox[{"Vecs", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"nx", "+", "1"}], ";;", "n"}], ",", 
        RowBox[{"1", ";;", "nx"}]}], "]"}], "]"}], ".", 
     RowBox[{"Inverse", "[", 
      RowBox[{"Vecs", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"1", ";;", "nx"}], ",", 
         RowBox[{"1", ";;", "nx"}]}], "]"}], "]"}], "]"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.624372591989167*^9, 3.6243726248322144`*^9}, {
   3.624372715484344*^9, 3.6243727237233562`*^9}, {3.6243732112400446`*^9, 
   3.6243732514351015`*^9}, {3.6243733032221746`*^9, 3.624373378895281*^9}, {
   3.624373433124358*^9, 3.624373445064375*^9}, {3.6243743788666935`*^9, 
   3.6243743797366953`*^9}, {3.6243744637768135`*^9, 3.624374465006816*^9}, {
   3.624376188888296*^9, 3.6243761918683023`*^9}, {3.6243762335053897`*^9, 
   3.6243762483224216`*^9}, 3.6243762924265375`*^9, {3.6243763780107183`*^9, 
   3.624376379820722*^9}, {3.6295669792148695`*^9, 3.6295670001979275`*^9}, {
   3.631906893409376*^9, 3.631906932193431*^9}, {3.6319751899380393`*^9, 
   3.631975192338045*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.`", ",", "0.6599999999999998`", ",", "0.9`", ",", "0.9`", ",", 
   "0.9571149291140455`", ",", "1.0688865764732247`", ",", 
   "1.1676802342679096`", ",", "1.5227653418608145`", ",", 
   "3.9535226324441357`", ",", "\[Infinity]", ",", "\[Infinity]", ",", 
   "\[Infinity]", ",", "\[Infinity]", ",", "\[Infinity]", ",", "\[Infinity]", 
   ",", "\[Infinity]", ",", "\[Infinity]", ",", "\[Infinity]"}], 
  "}"}]], "Print",
 CellChangeTimes->{3.7039564769106045`*^9, 3.7039565714190545`*^9, 
  3.7039566807894125`*^9, 3.703962187163597*^9, 3.7040222561300697`*^9, 
  3.704148939661249*^9, 3.7041491508207045`*^9, 3.704149746923012*^9, 
  3.704191705653101*^9, 3.7041921130788293`*^9, 3.704194734808487*^9, 
  3.704196181539937*^9, 3.7041984343937187`*^9, 3.7041995516104927`*^9}],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{3.703956476912605*^9, 3.703956571421055*^9, 
  3.703956680790412*^9, 3.703962187165597*^9, 3.7040222561300697`*^9, 
  3.704148939661249*^9, 3.7041491508207045`*^9, 3.7041497469250116`*^9, 
  3.7041917056551013`*^9, 3.704192113080829*^9, 3.70419473480949*^9, 
  3.7041961815429335`*^9, 3.7041984343957186`*^9, 3.7041995516124926`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Set Solution", "Subsubsection",
 CellChangeTimes->{{3.6243755482128053`*^9, 3.624375551501993*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"solution", "=", 
   RowBox[{"{", 
    RowBox[{"{", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ns"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"solution", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"{", 
        RowBox[{"solution", ",", "\[IndentingNewLine]", 
         RowBox[{"Thread", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"D", "[", 
                RowBox[{
                 RowBox[{"xvars", "/.", "funrulei"}], ",", 
                 RowBox[{"{", "xlag", "}"}]}], "]"}], "/.", "derivrule"}], 
              "]"}], "/.", 
             RowBox[{"s", "\[Rule]", "ii"}]}], ")"}], "\[Rule]", 
           RowBox[{"(", 
            RowBox[{"Flatten", "[", "hx", "]"}], ")"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Thread", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Flatten", "[", 
              RowBox[{
               RowBox[{"D", "[", 
                RowBox[{
                 RowBox[{"yvars", "/.", "funrulei"}], ",", 
                 RowBox[{"{", "xlag", "}"}]}], "]"}], "/.", "derivrule"}], 
              "]"}], "/.", 
             RowBox[{"s", "\[Rule]", "ii"}]}], ")"}], "\[Rule]", 
           RowBox[{"(", 
            RowBox[{"Flatten", "[", "gx", "]"}], ")"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], "]"}]}], ";"}]}], "\[IndentingNewLine]",
    "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6243744897568502`*^9, 3.6243746732231092`*^9}, {
  3.6243793641967115`*^9, 3.6243793718417597`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check (should be near zero)", "Subsubsection",
 CellChangeTimes->{{3.6243755558452415`*^9, 3.62437555634127*^9}, {
  3.6243756032369523`*^9, 3.624375607229181*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"Norm", "[", 
    RowBox[{
     RowBox[{"dFss", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"1", ";;", 
         RowBox[{"n", "*", "ns"}]}], ",", 
        RowBox[{"1", ";;", "nx"}]}], "]"}], "]"}], "/.", "solution"}], "]"}], 
   "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.62437555809237*^9, 3.6243756000457697`*^9}, 
   3.6243793718617597`*^9}],

Cell[BoxData["2.3551665844642916`*^-13"], "Print",
 CellChangeTimes->{3.703956572008113*^9, 3.7039566814448223`*^9, 
  3.7039621881596966`*^9, 3.7040222570300426`*^9, 3.70414894039225*^9, 
  3.704149151540705*^9, 3.704149747635052*^9, 3.704191706662202*^9, 
  3.704192114146936*^9, 3.7041947358451757`*^9, 3.704196182641613*^9, 
  3.704198435343814*^9, 3.7041995525025816`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Derivatives for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Epsilon]", 
    RowBox[{"t", " "}]], TraditionalForm]]],
 " and \[Chi]"
}], "Subsection",
 CellChangeTimes->{{3.6243746904831333`*^9, 3.6243747864192686`*^9}, {
  3.624376429790863*^9, 3.624376440311887*^9}}],

Cell[CellGroupData[{

Cell["Set Solution", "Subsubsection",
 CellChangeTimes->{{3.6243764071347847`*^9, 3.624376409180789*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"solution", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"{", 
     RowBox[{"solution", ",", 
      RowBox[{"Solve", "[", 
       RowBox[{"Thread", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"dFss", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"1", ";;", 
               RowBox[{"n", "*", "ns"}]}], ",", 
              RowBox[{
               RowBox[{"nx", "+", "1"}], ";;", 
               RowBox[{"nx", "+", "ne", "+", "1"}]}]}], "]"}], "]"}], "/.", 
           "solution"}], ")"}], "\[Equal]", "0"}], "]"}], "]"}]}], "}"}], 
    "]"}]}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check (should be near zero)", "Subsubsection",
 CellChangeTimes->{{3.6243764549319153`*^9, 3.624376455381917*^9}, 
   3.6277505370449333`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"Norm", "[", 
    RowBox[{"dFss", "/.", "solution"}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.624376458057922*^9, 3.624376468271945*^9}, {
   3.6243765014550395`*^9, 3.6243765045820465`*^9}, 3.62437937189176*^9}],

Cell[BoxData["2.355166584464784`*^-13"], "Print",
 CellChangeTimes->{3.7041984409433737`*^9, 3.7041995573080626`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Solutions in Matrix Form", "Subsection",
 CellChangeTimes->{{3.6243783713334866`*^9, 3.6243783847537746`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ns"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"G", "[", "ii", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"yvars", "/.", "funrulei"}], ",", 
           RowBox[{"{", "state", "}"}]}], "]"}], "/.", 
         RowBox[{"s", "\[Rule]", "ii"}]}], "/.", "derivrule"}], "/.", 
       "solution"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"H", "[", "ii", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"xvars", "/.", "funrulei"}], ",", 
           RowBox[{"{", "state", "}"}]}], "]"}], "/.", 
         RowBox[{"s", "\[Rule]", "ii"}]}], "/.", "derivrule"}], "/.", 
       "solution"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.624378393253953*^9, 3.6243784450396843`*^9}, {
  3.624379358842682*^9, 3.624379379875814*^9}, {3.628604065262196*^9, 
  3.6286040707122035`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Second Order Approximation", "Section",
 CellChangeTimes->{{3.620495797931159*^9, 3.6204958028344398`*^9}, {
  3.6243791462429533`*^9, 3.6243791469399757`*^9}}],

Cell[CellGroupData[{

Cell["System to Be Solved", "Subsection",
 CellChangeTimes->{{3.6243755133418107`*^9, 3.6243755163819847`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"d2Fss", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", 
     RowBox[{"nx", "+", "ne", "+", "1"}]}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"jj", "=", "ii"}], ",", 
       RowBox[{"jj", "\[LessEqual]", 
        RowBox[{"nx", "+", "ne", "+", "1"}]}], ",", 
       RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"d2Fss", "=", 
         RowBox[{"Flatten", "[", 
          RowBox[{"{", 
           RowBox[{"d2Fss", ",", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{"F", ",", 
               RowBox[{"{", 
                RowBox[{"state", "[", 
                 RowBox[{"[", "ii", "]"}], "]"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"state", "[", 
                 RowBox[{"[", "jj", "]"}], "]"}], "}"}]}], "]"}], "/.", 
             "derivrule"}]}], "}"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d2Fss", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"d2Fss", "/.", "derivrule"}], "/.", "ssrule"}], "/.", 
        "barrule"}], "/.", "regimerule"}], "/.", "parmrule"}], "/.", 
     "epsrule"}], "/.", "solution"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6204958066436577`*^9, 3.620495898244897*^9}, {
   3.620495951115921*^9, 3.6204959985236325`*^9}, {3.6204960876987333`*^9, 
   3.6204960882267632`*^9}, {3.620497428361415*^9, 3.6204974313925877`*^9}, {
   3.6204975843353357`*^9, 3.6204975850713778`*^9}, {3.620497703718164*^9, 
   3.620497703878173*^9}, {3.621942980670184*^9, 3.6219429878205934`*^9}, 
   3.624369570009757*^9, 3.6243745825389805`*^9, {3.6243791489100323`*^9, 
   3.624379298044076*^9}, 3.6243793719217596`*^9, {3.631907542968849*^9, 
   3.631907546289856*^9}, {3.6319076059939756`*^9, 3.6319076071629777`*^9}, {
   3.631975212478088*^9, 3.631975245399155*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Expectations of Future Shocks", "Subsection",
 CellChangeTimes->{{3.5497123305569344`*^9, 3.5497123432656612`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"E0", ",", "E1", ",", "E2"}], "}"}], "=", 
   RowBox[{"CoefficientArrays", "[", 
    RowBox[{"d2Fss", ",", "epsp"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d2Fss", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Normal", "[", "E0", "]"}], "+", 
       RowBox[{"Expand", "[", 
        RowBox[{
         RowBox[{"Normal", "[", "E2", "]"}], ".", "epsp", ".", "epsp"}], 
        "]"}]}], "/.", "epsprule2"}], "/.", "epsprule1"}], "/.", 
    "epsrule"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5369487634414787`*^9, 3.5369488100481443`*^9}, {
   3.5369488943369656`*^9, 3.5369489014713736`*^9}, {3.536949133624652*^9, 
   3.536949140994074*^9}, {3.536951585376768*^9, 3.536951592646381*^9}, 
   3.537301741329111*^9, {3.5373019012662587`*^9, 3.5373019028413486`*^9}, 
   3.543244502227271*^9, 3.5432447490863905`*^9, {3.543245043350221*^9, 
   3.543245044749301*^9}, {3.5432453262013993`*^9, 3.5432453314847016`*^9}, 
   3.5432456069484572`*^9, {3.543245724396175*^9, 3.543245729471465*^9}, 
   3.543246052774957*^9, {3.5434220218898*^9, 3.5434220220338*^9}, {
   3.5435781082076607`*^9, 3.5435781083996716`*^9}, {3.54418778846472*^9, 
   3.5441877886487303`*^9}, {3.544188792842167*^9, 3.5441887930241776`*^9}, {
   3.5442791146195407`*^9, 3.5442791160976257`*^9}, 3.549712493047228*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Solving Linear System", "Subsection",
 CellChangeTimes->{{3.549712347193886*^9, 3.5497123502800627`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vars", "=", 
   RowBox[{"Variables", "[", "d2Fss", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"NN", ",", "MM"}], "}"}], "=", 
   RowBox[{"CoefficientArrays", "[", 
    RowBox[{"d2Fss", ",", "vars"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solution", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"{", 
     RowBox[{"solution", ",", 
      RowBox[{"Thread", "[", 
       RowBox[{"vars", "\[Rule]", 
        RowBox[{"(", 
         RowBox[{"-", 
          RowBox[{
           RowBox[{"Inverse", "[", "MM", "]"}], ".", "NN"}]}], ")"}]}], 
       "]"}]}], "}"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5369283351621113`*^9, 3.5369283655028467`*^9}, {
  3.53692840122289*^9, 3.536928477952279*^9}, {3.536928545021115*^9, 
  3.5369285908757377`*^9}, {3.5369289031856008`*^9, 3.536928948024165*^9}, {
  3.5434220240978003`*^9, 3.5434220242578*^9}, {3.5435781090947113`*^9, 
  3.543578109334725*^9}, {3.5441877912068768`*^9, 3.544187791366886*^9}, {
  3.544188795895342*^9, 3.5441887960943527`*^9}, {3.5442791171206837`*^9, 
  3.5442791192468057`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check (should be near zero)", "Subsection",
 CellChangeTimes->{{3.627750589666011*^9, 3.6277505953860188`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Norm", "[", 
  RowBox[{"d2Fss", "/.", "solution"}], "]"}]], "Input",
 CellChangeTimes->{{3.627750558086965*^9, 3.6277505721969852`*^9}}],

Cell[BoxData["5.234464654169613`*^-11"], "Output",
 CellChangeTimes->{{3.627750562846972*^9, 3.6277505741039877`*^9}, 
   3.627751972136319*^9, 3.627754943570462*^9, 3.6277571396458216`*^9, 
   3.627757517970299*^9, 3.627769403112034*^9, 3.6277698514040146`*^9, 
   3.627769935987204*^9, 3.6277699702673097`*^9, 3.6277700083744273`*^9, 
   3.6278342826541944`*^9, 3.627834557250986*^9, 3.627835480092346*^9, 
   3.6278359094578867`*^9, 3.6278361734916506`*^9, 3.6278386394446297`*^9, 
   3.6278387014168015`*^9, 3.627840441732483*^9, 3.6278405203707285`*^9, 
   3.6286036382394032`*^9, 3.628603816601218*^9, 3.628603930612007*^9, 
   3.6286041070922546`*^9, 3.6286043142245445`*^9, 3.6286060097179513`*^9, 
   3.6286061495201473`*^9, 3.629481452955364*^9, 3.629487152133664*^9, 
   3.6294888379148445`*^9, 3.62948893848199*^9, 3.6294891393232713`*^9, 
   3.629553971230401*^9, 3.6295566744804068`*^9, 3.629561248500224*^9, 
   3.6295619546414623`*^9, 3.6295620221415987`*^9, 3.6295623403373775`*^9, 
   3.6295627408671017`*^9, 3.629563407535462*^9, 3.62956704467203*^9, 
   3.629567140036475*^9, 3.629569273133995*^9, 3.6295693207411213`*^9, 
   3.6295698114306927`*^9, 3.6295712347143307`*^9, 3.629571608603839*^9, 
   3.6295717812783833`*^9, 3.6296414055497665`*^9, 3.629642358850973*^9, 
   3.6296433118292055`*^9, 3.6296433440212507`*^9, 3.629644702825227*^9, 
   3.6296455186474733`*^9, 3.6296469297152505`*^9, 3.629646970015339*^9, 
   3.6296472392094164`*^9, 3.6296527866806684`*^9, 3.629652905024836*^9, 
   3.629653585253153*^9, 3.6296536318662195`*^9, 3.629654416043335*^9, 
   3.629654911328376*^9, 3.629655005661873*^9, 3.629655801311611*^9, 
   3.629655859279556*^9, 3.6296559476728525`*^9, 3.6296559836197867`*^9, 
   3.6296565808544884`*^9, {3.6296566131995354`*^9, 3.6296566416635756`*^9}, 
   3.629725140678673*^9, 3.6297253631392374`*^9, 3.62972539542933*^9, 
   3.629725450128549*^9, 3.6297256090947847`*^9, 3.6297263393141966`*^9, 
   3.6297263704040275`*^9, 3.629726401754712*^9, 3.629726687019902*^9, 
   3.62972692316298*^9, 3.629726960532631*^9, 3.6297277603737893`*^9, 
   3.629727938493432*^9, 3.631907525441812*^9, 3.6319075667858963`*^9, 
   3.631907619300003*^9, 3.6319077111342244`*^9, 3.6319077719824066`*^9, 
   3.631907910042718*^9, 3.631975022872659*^9, 3.6319750963638196`*^9, 
   3.6319752608462176`*^9, 3.631983693930581*^9, 3.631984823719878*^9, {
   3.6319848688709784`*^9, 3.631984923788145*^9}, 3.6319850922555323`*^9, 
   3.6319851485280313`*^9, {3.631985186565141*^9, 3.6319852818223777`*^9}, 
   3.63198533274405*^9, 3.631989137793043*^9, 3.6319892154072685`*^9, {
   3.631990878405902*^9, 3.6319909420800395`*^9}, {3.631991760204343*^9, 
   3.6319917863314037`*^9}, {3.631991900138691*^9, 3.6319919903899546`*^9}, {
   3.631992065778178*^9, 3.631992091218238*^9}, 3.631993700337124*^9, {
   3.631993799408266*^9, 3.631993856038348*^9}, 3.631993897688407*^9, 
   3.631994135121746*^9, 3.6319941752808037`*^9, 3.631994935978861*^9, 
   3.6319952907925014`*^9, 3.6321527471405325`*^9, {3.632152961885956*^9, 
   3.632152982873438*^9}, {3.632153031233056*^9, 3.632153051169179*^9}, {
   3.6321531696258583`*^9, 3.6321531908089848`*^9}, {3.632153333461791*^9, 
   3.632153442119421*^9}, 3.632153518082861*^9, {3.6416477287828827`*^9, 
   3.6416477456406364`*^9}, {3.641647838157593*^9, 3.641647917706303*^9}, 
   3.641649560489786*^9, 3.6416496133812666`*^9, 3.6416496822611027`*^9, 
   3.6416499119599485`*^9, 3.6416500333772125`*^9, 3.641655297548617*^9, 
   3.6416554545341063`*^9, 3.6422853179507627`*^9, 3.642285789179715*^9, 
   3.6422858249417605`*^9, 3.642286387824956*^9, {3.6423293463533897`*^9, 
   3.6423293637534847`*^9}, 3.64232962465454*^9, 3.642519036897255*^9, {
   3.642519163685437*^9, 3.642519177651457*^9}, {3.6425192473575144`*^9, 
   3.6425193464737854`*^9}, 3.6425194532269893`*^9, 3.642519687559351*^9, 
   3.642519815989546*^9, 3.6425198820676436`*^9, 3.6425237656633787`*^9, {
   3.642525533646796*^9, 3.6425255416088223`*^9}, {3.6425259370510397`*^9, 
   3.642526082996639*^9}, 3.642529020505746*^9, 3.6425290532128572`*^9, {
   3.642529285262748*^9, 3.6425293007967978`*^9}, {3.6425294053042316`*^9, 
   3.642529423904298*^9}, {3.6425295770798874`*^9, 3.6425295929619503`*^9}, 
   3.642529670947234*^9, {3.642529879930035*^9, 3.6425299205041924`*^9}, {
   3.642530787281357*^9, 3.642530899353779*^9}, {3.642532372704096*^9, 
   3.6425323968751593`*^9}, {3.6433813933156548`*^9, 3.64338143506575*^9}, 
   3.643381550902117*^9, {3.643383629317205*^9, 3.6433836902373767`*^9}, 
   3.6433910040449147`*^9, 3.643391097206048*^9, 3.643391174884161*^9, 
   3.644663947058425*^9, 3.6446640001647515`*^9, 3.6446640558108406`*^9, 
   3.6446640929048996`*^9, 3.6446641272509804`*^9, 3.6446641574871273`*^9, 
   3.6477022284327383`*^9, {3.6477023288752804`*^9, 3.647702366851142*^9}, {
   3.6477024561661744`*^9, 3.647702464518652*^9}, 3.6477027229788136`*^9, 
   3.647702956655749*^9, {3.6477029946991634`*^9, 3.6477030199415245`*^9}, {
   3.647703203856267*^9, 3.647703245240367*^9}, {3.6477051102973166`*^9, 
   3.6477051654564714`*^9}, 3.6477052105380497`*^9, 3.6477052431369143`*^9, 
   3.6477068591094313`*^9, 3.647706975286066*^9, {3.6477070344922237`*^9, 
   3.647707064824669*^9}, 3.6477071104093194`*^9, {3.647707161632616*^9, 
   3.647707178898897*^9}, 3.6477088682018843`*^9, 3.647710648613065*^9, 
   3.6477107113424096`*^9, 3.647710784157528*^9, 3.64771084065876*^9, 
   3.6477108769107122`*^9, {3.6477113475643597`*^9, 3.647711432375211*^9}, 
   3.7039550185022783`*^9, 3.7039576080618024`*^9, 3.7040284888543644`*^9, 
   3.7041928719812574`*^9, 3.704195540204389*^9, 3.704199262193263*^9, 
   3.7042002884436264`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Saving Solution", "Subsection",
 CellChangeTimes->{{3.5360044033569756`*^9, 3.5360044090172997`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ns"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"G2", "[", "ii", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"yvars", "/.", "funrulei"}], ",", 
           RowBox[{"{", 
            RowBox[{"state", ",", "2"}], "}"}]}], "]"}], "/.", "derivrule"}], 
        "/.", 
        RowBox[{"s", "\[Rule]", "ii"}]}], "/.", "solution"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"G2", "[", "ii", "]"}], "=", 
      RowBox[{"Partition", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"G2", "[", "ii", "]"}], "]"}], ",", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"nx", "+", "ne", "+", "1"}], ")"}], "2"]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"H2", "[", "ii", "]"}], "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"xvars", "/.", "funrulei"}], ",", 
           RowBox[{"{", 
            RowBox[{"state", ",", "2"}], "}"}]}], "]"}], "/.", "derivrule"}], 
        "/.", 
        RowBox[{"s", "\[Rule]", "ii"}]}], "/.", "solution"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"H2", "[", "ii", "]"}], "=", 
      RowBox[{"Partition", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"H2", "[", "ii", "]"}], "]"}], ",", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"nx", "+", "ne", "+", "1"}], ")"}], "2"]}], "]"}]}], 
     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.536004455513959*^9, 3.536004467257631*^9}, {
   3.536004644196751*^9, 3.536004644668778*^9}, {3.536004787317937*^9, 
   3.536004857026924*^9}, {3.5360053244116573`*^9, 3.536005324971689*^9}, {
   3.536005462369548*^9, 3.536005577646141*^9}, 3.536005611583082*^9, {
   3.5360056512653522`*^9, 3.536005652295411*^9}, {3.536005708824644*^9, 
   3.536005738658351*^9}, {3.536005827619439*^9, 3.5360058838716564`*^9}, {
   3.536006084104109*^9, 3.536006088804378*^9}, {3.549712742721509*^9, 
   3.549712744719623*^9}, {3.61565529099061*^9, 3.615655292573701*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Solution", "Section",
 CellChangeTimes->{{3.567957176227206*^9, 3.5679571787063484`*^9}}],

Cell[CellGroupData[{

Cell["Printing Full Solution to File", "Subsection",
 CellChangeTimes->{{3.535300670261916*^9, 3.5353006733140907`*^9}, {
  3.543772994014028*^9, 3.5437729950610876`*^9}, {3.568056151837992*^9, 
  3.5680561527890463`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"str", "=", 
   RowBox[{"StringJoin", "[", 
    RowBox[{
     RowBox[{"filename", "/.", "switchparmrule"}], ",", "\"\<.m\>\""}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"string", "=", 
   RowBox[{"StringJoin", "[", 
    RowBox[{"\"\<function [xss,yss,H,G,H2,G2] = \>\"", ",", 
     RowBox[{"ToString", "[", 
      RowBox[{"filename", "/.", "switchparmrule"}], "]"}], ",", 
     "\"\<\\n \\n\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WriteString", "[", 
   RowBox[{"str", ",", "string"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "nx"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"string", "=", 
      RowBox[{"StringJoin", "[", 
       RowBox[{"\"\<xss(\>\"", ",", 
        RowBox[{"ToString", "[", "ii", "]"}], ",", "\"\<,1)=\>\"", ",", 
        RowBox[{"ToString", "[", 
         RowBox[{"CForm", "[", 
          RowBox[{"xvecss", "[", 
           RowBox[{"[", "ii", "]"}], "]"}], "]"}], "]"}], ",", 
        "\"\<;\\n\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"WriteString", "[", 
      RowBox[{"str", ",", "string"}], "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ny"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"string", "=", 
      RowBox[{"StringJoin", "[", 
       RowBox[{"\"\<yss(\>\"", ",", 
        RowBox[{"ToString", "[", "ii", "]"}], ",", "\"\<,1)=\>\"", ",", 
        RowBox[{"ToString", "[", 
         RowBox[{"CForm", "[", 
          RowBox[{"yvecss", "[", 
           RowBox[{"[", "ii", "]"}], "]"}], "]"}], "]"}], ",", 
        "\"\<;\\n\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"WriteString", "[", 
      RowBox[{"str", ",", "string"}], "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ns"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"jj", "=", "1"}], ",", 
       RowBox[{"jj", "\[LessEqual]", "nx"}], ",", 
       RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"kk", "=", "1"}], ",", 
          RowBox[{"kk", "\[LessEqual]", 
           RowBox[{"nx", "+", "ne", "+", "1"}]}], ",", 
          RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"string", "=", 
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<H{\>\"", ",", 
              RowBox[{"ToString", "[", "ii", "]"}], ",", "\"\<}(\>\"", ",", 
              RowBox[{"ToString", "[", "jj", "]"}], ",", "\"\<,\>\"", ",", 
              RowBox[{"ToString", "[", "kk", "]"}], ",", "\"\<)=\>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"CForm", "[", 
                RowBox[{
                 RowBox[{"H", "[", "ii", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"jj", ",", "kk"}], "]"}], "]"}], "]"}], "]"}], ",", 
              "\"\<;\\n\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"WriteString", "[", 
            RowBox[{"str", ",", "string"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ns"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"jj", "=", "1"}], ",", 
      RowBox[{"jj", "\[LessEqual]", "ny"}], ",", 
      RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"kk", "=", "1"}], ",", 
         RowBox[{"kk", "\[LessEqual]", 
          RowBox[{"nx", "+", "ne", "+", "1"}]}], ",", 
         RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"string", "=", 
           RowBox[{"StringJoin", "[", 
            RowBox[{"\"\<G{\>\"", ",", 
             RowBox[{"ToString", "[", "ii", "]"}], ",", "\"\<}(\>\"", ",", 
             RowBox[{"ToString", "[", "jj", "]"}], ",", "\"\<,\>\"", ",", 
             RowBox[{"ToString", "[", "kk", "]"}], ",", "\"\<)=\>\"", ",", 
             RowBox[{"ToString", "[", 
              RowBox[{"CForm", "[", 
               RowBox[{
                RowBox[{"G", "[", "ii", "]"}], "[", 
                RowBox[{"[", 
                 RowBox[{"jj", ",", "kk"}], "]"}], "]"}], "]"}], "]"}], ",", 
             "\"\<;\\n\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"str", ",", "string"}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}]}],
    "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ns"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"jj", "=", "1"}], ",", 
       RowBox[{"jj", "\[LessEqual]", "nx"}], ",", 
       RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"kk", "=", "1"}], ",", 
          RowBox[{"kk", "\[LessEqual]", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"nx", "+", "ne", "+", "1"}], ")"}], "2"]}], ",", 
          RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"string", "=", 
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<H2{\>\"", ",", 
              RowBox[{"ToString", "[", "ii", "]"}], ",", "\"\<}(\>\"", ",", 
              RowBox[{"ToString", "[", "jj", "]"}], ",", "\"\<,\>\"", ",", 
              RowBox[{"ToString", "[", "kk", "]"}], ",", "\"\<)=\>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"CForm", "[", 
                RowBox[{
                 RowBox[{"H2", "[", "ii", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"jj", ",", "kk"}], "]"}], "]"}], "]"}], "]"}], ",", 
              "\"\<;\\n\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"WriteString", "[", 
            RowBox[{"str", ",", "string"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"ii", "=", "1"}], ",", 
    RowBox[{"ii", "\[LessEqual]", "ns"}], ",", 
    RowBox[{"ii", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"jj", "=", "1"}], ",", 
       RowBox[{"jj", "\[LessEqual]", "ny"}], ",", 
       RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"kk", "=", "1"}], ",", 
          RowBox[{"kk", "\[LessEqual]", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"nx", "+", "ne", "+", "1"}], ")"}], "2"]}], ",", 
          RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"string", "=", 
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<G2{\>\"", ",", 
              RowBox[{"ToString", "[", "ii", "]"}], ",", "\"\<}(\>\"", ",", 
              RowBox[{"ToString", "[", "jj", "]"}], ",", "\"\<,\>\"", ",", 
              RowBox[{"ToString", "[", "kk", "]"}], ",", "\"\<)=\>\"", ",", 
              RowBox[{"ToString", "[", 
               RowBox[{"CForm", "[", 
                RowBox[{
                 RowBox[{"G2", "[", "ii", "]"}], "[", 
                 RowBox[{"[", 
                  RowBox[{"jj", ",", "kk"}], "]"}], "]"}], "]"}], "]"}], ",", 
              "\"\<;\\n\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"WriteString", "[", 
            RowBox[{"str", ",", "string"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Close", "[", "str", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.536088763629565*^9, 3.5360887648606353`*^9}, {
   3.5360888165315905`*^9, 3.5360889526413755`*^9}, {3.5360889842991867`*^9, 
   3.5360890364281683`*^9}, {3.5360890905342627`*^9, 3.536089246856204*^9}, {
   3.5363246697686787`*^9, 3.536324672430831*^9}, {3.536326280475806*^9, 
   3.536326294978636*^9}, {3.5363263678638043`*^9, 3.5363264428730946`*^9}, {
   3.5363291256745424`*^9, 3.536329152143056*^9}, {3.536334246643445*^9, 
   3.536334248153531*^9}, {3.537029513701724*^9, 3.5370295254863977`*^9}, {
   3.537029560397395*^9, 3.5370296133254223`*^9}, {3.544187920732285*^9, 
   3.544187930500844*^9}, {3.5441886753404465`*^9, 3.5441887133056173`*^9}, {
   3.544279131089483*^9, 3.5442791399579897`*^9}, {3.544279830797504*^9, 
   3.544279861362252*^9}, 3.5442894606799603`*^9, {3.5682269284848104`*^9, 
   3.568226949770028*^9}, {3.5709080640455246`*^9, 3.570908111235607*^9}, {
   3.5716777159263706`*^9, 3.571677799963718*^9}, {3.589894153960566*^9, 
   3.5898941553801684`*^9}, 3.5899080107234507`*^9, {3.5922231921172485`*^9, 
   3.5922232464413557`*^9}, {3.5922233006914587`*^9, 
   3.5922233239627895`*^9}, {3.5938680438670073`*^9, 3.59386806007703*^9}, {
   3.594585793122815*^9, 3.5945857934038305`*^9}, {3.5945858365102963`*^9, 
   3.5945858366893063`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1920, 1158},
WindowMargins->{{1912, Automatic}, {Automatic, -8}},
ShowSelection->True,
FrontEndVersion->"10.3 for Microsoft Windows (64-bit) (December 10, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 138, 2, 70, "Section"],
Cell[CellGroupData[{
Cell[730, 28, 156, 2, 49, "Subsection"],
Cell[889, 32, 651, 14, 72, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1577, 51, 99, 1, 49, "Subsection"],
Cell[1679, 54, 1158, 22, 72, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2874, 81, 106, 1, 49, "Subsection"],
Cell[2983, 84, 9330, 266, 685, "Input"],
Cell[CellGroupData[{
Cell[12338, 354, 478, 11, 72, "Input"],
Cell[12819, 367, 11865, 280, 392, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[24733, 653, 164, 2, 49, "Subsection"],
Cell[24900, 657, 11259, 205, 432, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36196, 867, 98, 1, 49, "Subsection"],
Cell[36297, 870, 3886, 105, 392, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40220, 980, 105, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[40350, 985, 1241, 33, 192, "Input"],
Cell[41594, 1020, 13343, 181, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[54986, 1207, 97, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[55108, 1212, 3748, 85, 112, "Input"],
Cell[58859, 1299, 6830, 107, 131, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[65738, 1412, 124, 1, 49, "Subsection"],
Cell[65865, 1415, 1152, 30, 92, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[67066, 1451, 103, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[67194, 1456, 113, 2, 49, "Subsection"],
Cell[67310, 1460, 40518, 578, 134, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107865, 2043, 106, 1, 49, "Subsection"],
Cell[107974, 2046, 30763, 440, 135, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[138774, 2491, 103, 1, 49, "Subsection"],
Cell[138880, 2494, 2365, 58, 92, "Input"],
Cell[141248, 2554, 862, 26, 52, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[142159, 2586, 201, 3, 70, "Section"],
Cell[CellGroupData[{
Cell[142385, 2593, 109, 1, 49, "Subsection"],
Cell[142497, 2596, 8531, 166, 455, "Input"],
Cell[151031, 2764, 2283, 63, 334, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[153351, 2832, 160, 2, 49, "Subsection"],
Cell[CellGroupData[{
Cell[153536, 2838, 2726, 53, 172, "Input"],
Cell[156265, 2893, 22354, 313, 131, "Output"],
Cell[178622, 3208, 21602, 295, 31, "Output"],
Cell[200227, 3505, 21959, 301, 31, "Output"],
Cell[222189, 3808, 22835, 310, 52, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[245085, 4125, 112, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[245222, 4130, 111, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[245358, 4135, 1014, 22, 31, "Input"],
Cell[246375, 4159, 77, 1, 31, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[246501, 4166, 273, 8, 49, "Subsection"],
Cell[CellGroupData[{
Cell[246799, 4178, 121, 1, 39, "Subsubsection"],
Cell[CellGroupData[{
Cell[246945, 4183, 4431, 129, 212, "Input"],
Cell[251379, 4314, 820, 14, 23, "Print"],
Cell[252202, 4330, 381, 5, 31, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[252632, 4341, 105, 1, 39, "Subsubsection"],
Cell[252740, 4344, 1819, 48, 152, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[254596, 4397, 170, 2, 39, "Subsubsection"],
Cell[CellGroupData[{
Cell[254791, 4403, 421, 13, 31, "Input"],
Cell[255215, 4418, 377, 5, 23, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[255653, 4430, 290, 9, 49, "Subsection"],
Cell[CellGroupData[{
Cell[255968, 4443, 105, 1, 39, "Subsubsection"],
Cell[256076, 4446, 664, 20, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[256777, 4471, 148, 2, 39, "Subsubsection"],
Cell[CellGroupData[{
Cell[256950, 4477, 285, 6, 31, "Input"],
Cell[257238, 4485, 117, 1, 23, "Print"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[257416, 4493, 116, 1, 49, "Subsection"],
Cell[257535, 4496, 1175, 32, 92, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[258759, 4534, 166, 2, 70, "Section"],
Cell[CellGroupData[{
Cell[258950, 4540, 111, 1, 49, "Subsection"],
Cell[259064, 4543, 2203, 54, 152, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261304, 4602, 121, 1, 49, "Subsection"],
Cell[261428, 4605, 1401, 29, 52, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[262866, 4639, 111, 1, 49, "Subsection"],
Cell[262980, 4642, 1158, 28, 72, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[264175, 4675, 117, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[264317, 4680, 160, 3, 31, "Input"],
Cell[264480, 4685, 5690, 77, 31, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[270219, 4768, 107, 1, 49, "Subsection"],
Cell[270329, 4771, 2362, 61, 141, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[272740, 4838, 95, 1, 70, "Section"],
Cell[CellGroupData[{
Cell[272860, 4843, 222, 3, 49, "Subsection"],
Cell[273085, 4848, 9986, 225, 919, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
